# Generated by configure.  Do not edit.

commit 8e11a42e3e9b679dce97ac45cd8b47322536a253
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 26 15:30:20 2013 +0100

    1.12.16 release

 NEWS            |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |    2 +-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit b710a4730940e54ac7ffd5073eecf950997a0484
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 26 17:18:38 2013 +0100

    Make "make check" happy
    
    A recursive include should hide the bare header from
    check-preprocessor-syntax.sh
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-pixman-private.h |    6 ++++++
 1 file changed, 6 insertions(+)

commit fb8881e84bb24b2a54ee5aa449b6f5638de36404
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 23 12:48:08 2013 +0100

    win32: Prevent double-free of similar images
    
    Based on a patch and analysis by Michael Henning.
    
    When we create a similar-image surface for win32, we set up a couple of
    back references from the image to the win32 surface, and vice versa. We
    need to be careful when decoupling the reference cycle to avoid chasing
    around the loop upon destruction. Currently we handled destroying the
    similar-image via the parent win32 surface, but similar precaution is
    required when destroying the surface via the similar-image.
    
    Reported-by: Michael Henning <drawoc@darkrefraction.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=63787
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface.c               |    3 ++-
 src/win32/cairo-win32-display-surface.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 054f34111d220541bc785b30207387541fdd31d2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Aug 15 14:28:44 2013 +0000

    Provide backwards compatibilty with old pixman
    
    The goal is to allow compilation against older pixman to ease regression
    testing.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 configure.ac                       |    2 +-
 src/Makefile.sources               |    1 +
 src/cairo-ft-font.c                |    6 +++--
 src/cairo-image-compositor.c       |   44 ++++++++++++++++++++++-------------
 src/cairo-image-surface.c          |    5 ++++
 src/cairo-pixman-private.h         |   45 ++++++++++++++++++++++++++++++++++++
 src/cairo-xlib-render-compositor.c |    1 +
 src/cairo-xlib-surface.c           |    1 +
 8 files changed, 86 insertions(+), 19 deletions(-)

commit 95f320e3f26b2a1552a53ebad14dd5086ccf0c60
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Mon Jul 29 11:14:34 2013 -0700

    gl: Return surface in error when creating oversized texture surfaces
    
    When creating a texture surface that is larger than the maximum
    framebuffer or texture dimensions of the context, return a surface in
    error. Previously the code failed an assertion, but this prevents an
    application from easily detecting when to fall back.
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-surface.c      |   33 ++++++++++------
 test/Makefile.sources       |    1 +
 test/gl-oversized-surface.c |   88 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 111 insertions(+), 11 deletions(-)

commit b5e1373c5845c859ebf82ef4d5e065f6cdd68faf
Author: Henry Song <henry.song@samsung.com>
Date:   Mon Aug 19 12:14:46 2013 -0700

    gl/msaa: Clean up msaa depth/stencil buffer for OpenGLES
    
    OpenGLES also uses the depth/stencil buffer when doing multisampling, so
    it's a leak to only clean up the buffer for desktop OpenGL.

 src/cairo-gl-surface.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 54a51968e82ec4e6a8d81d5451232641275439df
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 16:33:19 2013 +0200

    surface_get_extents: Reject finished or error surface
    
    This fixes a crash in the api-special-cases with xlib-xcb when calling
    cairo_clip_extents() on a context that refers to a finished surface.
    
    The crash was a simple NULL pointer dereference, because the underlying xcb
    surface that was used in xlib-xcb was gone and set to NULL already.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-surface.c |   12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 3c4e0f0f1a338fbbd802cdb3b65b8ea3abc758d1
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 15:59:18 2013 +0200

    push_group: Refuse working with unusable surface
    
    Make cairo_push_group() fail when the context's target surface is finished.
    
    This fixes the api-special-cases for the xcb backend:
    
       Detected error during xcb run: error=9, seqno=0x13c, major=53, minor=0
    
    The problem was that the Pixmap for the cairo surface was already freed and
    cairo still tried to use it again as the drawable in a CreatePixmap request.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-default-context.c |    5 +++++
 1 file changed, 5 insertions(+)

commit 18633b081026eb88931af6130b3e716fdb954e19
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 15:40:00 2013 +0200

    surface: Error out on finished surfaces
    
    Finished surfaces and surfaces with an error status must not be usable anymore,
    so refuse to work on them.
    
    This improves the result for api-special-cases.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=68014
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-surface.c |   19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit b64c83e891f2417a1b28034a55659260a1769ba7
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 14:30:59 2013 +0200

    api-special-cases: Also test contexts
    
    This adds code to the api-special-cases test which also tests the behavior of
    cairo when the cairo context or the surface that is target is in an error state
    or finished. These new tests call into all public entry points defined in
    cairo.h which receive a cairo_t * as their first argument.
    
    Currently this causes a new crash in the testsuite:
    
      cairo-surface.c:394:
      _cairo_surface_begin_modification: Assertion `!  surface->finished' failed.
    
    Reported-by: christophe.troestler@umons.ac.be
    References: https://bugs.freedesktop.org/show_bug.cgi?id=68014
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/api-special-cases.c | 1174 +++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 1153 insertions(+), 21 deletions(-)

commit e438071e9debeca81f97c6fcdc1c2a91a969761d
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Tue Jul 9 21:22:59 2013 +0000

    perf: Move macro-benchmark documentation to cairo-traces
    
    The macro benchmarks were moved to a separate repository some time ago,
    but the perf README still refers to these tests as if they were still
    present, which may lead to some confusion.  Instead, consolodate the
    macro benchmark documentation with the macro benchmarks, and focus this
    README on just the (still in tree) micro-benchmarks.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 perf/README |   89 ++++++++++++++---------------------------------------------
 1 file changed, 20 insertions(+), 69 deletions(-)

commit 4e133af60c1af42307724eb6a88b23056741d7e2
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Tue Jul 9 21:23:52 2013 +0000

    HACKING: Make mention of the separate cairo-traces repo
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 HACKING |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 46d9db96d460fea72f0420102e8a90c6a7231f79
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 4 20:08:46 2013 -0400

    [ft] Ensure alignment of bitmaps received from FreeType

 src/cairo-ft-font.c |    9 +++++++++
 1 file changed, 9 insertions(+)

commit 34a747e7bdeba1cfe17318f80fbe6720d47bc023
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 4 19:59:06 2013 -0400

    [ft] Fix alignment

 src/cairo-ft-font.c |    9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 3cd6c5966aca1d202744fe44083800bc2a4a831d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 22:47:26 2013 -0400

    Revert accidentally committed stuff

 build/configure.ac.pthread |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0554d76402321b25cc952180e4d19436a9038d1a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 22:41:46 2013 -0400

    [ft] Add missing include

 build/configure.ac.pthread |    6 +++---
 src/cairo-ft-font.c        |    1 +
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 7d26341072b13a78d4b3fe58779057ac020be487
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 19:20:33 2013 -0400

    [ft] Fix math

 src/cairo-ft-font.c |    9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 9444ef09ccde2735258cc1bd2f1912119a32dd88
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 19:09:29 2013 -0400

    Support 2bit and 4bit embedded bitmaps

 src/cairo-ft-font.c |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit 274863be08f6c8df6d411df9db725d34f7fbabea
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jul 28 09:30:05 2013 +0930

    type1-subset: Don't try to rename non winansi glyphs
    
    When the latin subset contains glyphs that use the seac operator to
    combine two glyphs, additional non winansi glyphs are added to the
    subset.  These extra glyphs do not have a winansi name so they can't
    be renamed.
    
    Based on a patch by Salvador Ortiz.
    
    Bug 67324

 src/cairo-type1-subset.c |   12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 03c81d414d4edb710c91f96ddb7dbf73e5432583
Author: Henry Song <henry.song@samsung.com>
Date:   Mon Jul 8 11:36:25 2013 -0700

    gl/msaa: Always use scissor when clipping
    
    Even when using the stencil buffer for clipping, always scissor the clip
    extents. This simplifies the code a bit.

 src/cairo-gl-composite.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 8c710ed87244321dc18447936d629decc25d3d09
Author: Henry Song <henry.song@samsung.com>
Date:   Sun Jul 7 11:00:28 2013 -0700

    gl/msaa: Disable stencil and scissor during framebuffer blit
    
    When blitting the framebuffer during transitions to and from
    multi-sampling mode, we need to disable the stencil and scissor test so
    that the entire surface is preserved. This fixes the bitmap-font test
    for the MSAA compositor.

 src/cairo-gl-device.c |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit be2c09a1f59ad677a2b4718d26687873093b466c
Author: Henry Song <henry.song@samsung.com>
Date:   Wed Jul 3 12:22:55 2013 -0700

    gl/msaa: Properly destroy stencil buffer clip cache
    
    When replacing the stencil buffer clip cache or destroying a surface,
    destroy the cached clip. This prevents the clip from leaking.

 src/cairo-gl-composite.c |    5 ++++-
 src/cairo-gl-surface.c   |    2 ++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2cc353c3dbe01b4d8f65d6de800f2b1d6004a1c2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 7 14:34:42 2012 -0800

    Towards support loading color glyphs from FreeType
    
    See comments.

 src/cairo-ft-font.c |   41 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 38 insertions(+), 3 deletions(-)

commit e738079302a968b7b1fb9101cd4d92a8887bedce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 5 15:22:18 2013 -0600

    [ft] Fix wrong assumptions
    
    If subpixel rendering is enabled, but FT returns a 8bit gray bitmap
    (perhaps because the font has 8bit embedded bitmaps) we were hitting
    the assertions because the assumptions made were wrong.  Fix up.

 src/cairo-ft-font.c |   10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit a0f556f37fb7016aa304b7cf0e811c0d38f0b969
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 5 15:12:14 2013 -0600

    [ft] Fix memory bug in copying bitmaps

 src/cairo-ft-font.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 9f9796920f5994090a19de357defe5e72ac61297
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Jun 21 20:38:43 2013 +0200

    xcb: Fix some uninitialized variable warnings
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2170bdbb12f38e372ea2ce1c6492c60cb35f22e4
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Jun 21 20:36:09 2013 +0200

    image compositor: Always finish the span renderer
    
    In some obscure conditions that I don't really understand, the image compositor
    did not finish a span renderer that it created. This could then cause the last
    row of the span to be ignored.
    
    Fixes: clip-complex-bug61492
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=61592
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-image-compositor.c |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9058e9ae283ae39a6a4f78dc3dbf8ab46b2ef291
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Jun 21 20:34:27 2013 +0200

    Add new test for bug 61592
    
    This test exercises some clipping-related failure that Seongwon Cho reported.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=61592
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/Makefile.sources                        |    3 +-
 test/clip-complex-bug61592.c                 |   60 ++++++++++++++++++++++++++
 test/reference/clip-complex-bug61492.ref.png |  Bin 0 -> 105 bytes
 3 files changed, 62 insertions(+), 1 deletion(-)

commit 54bee5e0fc1fd1fa85b9f389a73502a7145e0846
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Jun 21 15:18:58 2013 +0200

    Fix caps-tails-curve reference images
    
    Commit d7f5a1bec fixed a bug. This caused 12 new test failures for the
    test-traps test target:
    
    caps-tails-curve degenerate-arc degenerate-path joins subsurface
    subsurface-scale twin twin-antialias-gray twin-antialias-mixed
    twin-antialias-none twin-antialias-subpixel user-font
    
    Most of these are indeed (new?) bugs. However, caps-tails-curve actually started
    producing the expected result and the reference image just wrongly captures the
    old state of things.
    
    At the time of that commit, just taking the output from test-traps as the new
    reference image works fine for all backends. However, with current git,
    something introduced more antialiasing noise and now test-traps changed again
    while cairo-xcb stayed with the old result. Thus, we also need a new reference
    image to fix this test.
    
    (The wrong reference images come from commit 8488ae02 which turned test-traps'
    results into reference images)
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/reference/caps-tails-curve.traps.argb32.ref.png |  Bin 50617 -> 49798 bytes
 test/reference/caps-tails-curve.traps.rgb24.ref.png  |  Bin 50617 -> 49798 bytes
 test/reference/caps-tails-curve.xcb.ref.png          |  Bin 0 -> 50367 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 8b55703d760a0032772d7f9b1d17438b2db3f1b4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 4 10:04:30 2013 +0100

    test: Amend check-refs.sh to support out-of-tree builds

 test/Makefile.am   |    4 ++--
 test/check-refs.sh |   19 ++++---------------
 2 files changed, 6 insertions(+), 17 deletions(-)

commit 8b4151a5e59cd2036e32c0eeb13afe420a434e19
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 4 10:02:46 2013 +0100

    test: Remove conflicting .ref.png, .argb32.ref.png, .rgb24.ref.png
    
    Where a content specific reference image exists, prefer to have both
    content reference images (i.e. both argb32.ref and rgb24.ref) rather
    than a mix of .ref and argb32/rgb24.

 test/reference/a8-clear.ref.png                            |  Bin 272 -> 0 bytes
 test/reference/aliasing.ref.png                            |  Bin 76314 -> 0 bytes
 test/reference/alpha-similar.argb32.ref.png                |  Bin 0 -> 99 bytes
 test/reference/alpha-similar.ref.png                       |  Bin 99 -> 0 bytes
 test/reference/arc-direction.ref.png                       |  Bin 4124 -> 0 bytes
 test/reference/big-line.ref.png                            |  Bin 897 -> 0 bytes
 test/reference/bitmap-font.argb32.ref.png                  |  Bin 0 -> 950 bytes
 test/reference/bitmap-font.ref.png                         |  Bin 950 -> 0 bytes
 test/reference/bug-40410.ref.png                           |  Bin 428 -> 0 bytes
 test/reference/bug-bo-ricotz.ref.png                       |  Bin 2108 -> 0 bytes
 test/reference/bug-extents.ref.png                         |  Bin 6364 -> 0 bytes
 test/reference/caps-joins.ref.png                          |  Bin 2621 -> 0 bytes
 test/reference/caps-sub-paths.ref.png                      |  Bin 176 -> 0 bytes
 test/reference/caps.ref.png                                |  Bin 1687 -> 0 bytes
 test/reference/clear-source.ref.png                        |  Bin 779 -> 0 bytes
 test/reference/clip-disjoint-hatching.ref.png              |  Bin 4390 -> 0 bytes
 test/reference/clip-fill-rule-pixel-aligned.argb32.ref.png |  Bin 0 -> 195 bytes
 test/reference/clip-fill-rule-pixel-aligned.ref.png        |  Bin 195 -> 0 bytes
 test/reference/clip-fill.ref.png                           |  Bin 836 -> 0 bytes
 test/reference/clip-group-shapes-circles.ref.png           |  Bin 1178 -> 0 bytes
 test/reference/clip-image.ref.png                          |  Bin 2679 -> 0 bytes
 test/reference/clip-intersect.ref.png                      |  Bin 201 -> 0 bytes
 test/reference/clip-mixed-antialias.ref.png                |  Bin 981 -> 0 bytes
 test/reference/clip-polygons.ref.png                       |  Bin 1355 -> 0 bytes
 test/reference/clip-push-group.ref.png                     |  Bin 166 -> 0 bytes
 test/reference/clip-shape.ref.png                          |  Bin 2249 -> 0 bytes
 test/reference/clip-text.ref.png                           |  Bin 796 -> 0 bytes
 test/reference/clip-unbounded.argb32.ref.png               |  Bin 0 -> 100 bytes
 test/reference/clip-unbounded.ref.png                      |  Bin 100 -> 0 bytes
 test/reference/clipped-group.ref.png                       |  Bin 289 -> 0 bytes
 test/reference/close-path.ref.png                          |  Bin 271 -> 0 bytes
 test/reference/copy-path.ref.png                           |  Bin 513 -> 0 bytes
 test/reference/create-from-png.ref.png                     |  Bin 131 -> 0 bytes
 test/reference/culled-glyphs.ref.png                       |  Bin 434 -> 0 bytes
 test/reference/dash-infinite-loop.ref.png                  |  Bin 626 -> 0 bytes
 test/reference/dash-offset-negative.ref.png                |  Bin 171 -> 0 bytes
 test/reference/dash-state.ref.png                          |  Bin 7642 -> 0 bytes
 test/reference/dash-zero-length.ref.png                    |  Bin 232 -> 0 bytes
 test/reference/degenerate-linear-gradient.ref.png          |  Bin 322 -> 0 bytes
 test/reference/degenerate-pen.ref.png                      |  Bin 752 -> 0 bytes
 test/reference/device-offset-positive.argb32.ref.png       |  Bin 0 -> 139 bytes
 test/reference/device-offset-positive.ref.png              |  Bin 139 -> 0 bytes
 test/reference/device-offset.argb32.ref.png                |  Bin 0 -> 137 bytes
 test/reference/device-offset.ref.png                       |  Bin 137 -> 0 bytes
 test/reference/extend-pad-border.ref.png                   |  Bin 616 -> 0 bytes
 test/reference/fill-alpha-pattern.ref.png                  |  Bin 2962 -> 0 bytes
 test/reference/fill-alpha.ref.png                          |  Bin 2167 -> 0 bytes
 test/reference/fill-and-stroke-alpha-add.ref.png           |  Bin 536 -> 0 bytes
 test/reference/fill-and-stroke-alpha.ref.png               |  Bin 462 -> 0 bytes
 test/reference/fill-image.ref.png                          |  Bin 972 -> 0 bytes
 test/reference/fill-missed-stop.ref.png                    |  Bin 455 -> 0 bytes
 test/reference/fill-rule.ref.png                           |  Bin 1769 -> 0 bytes
 test/reference/filter-bilinear-extents.ref.png             |  Bin 1340 -> 0 bytes
 test/reference/font-matrix-translation.ref.png             |  Bin 874 -> 0 bytes
 test/reference/ft-show-glyphs-positioning.ref.png          |  Bin 3297 -> 0 bytes
 test/reference/ft-show-glyphs-table.ref.png                |  Bin 9893 -> 0 bytes
 test/reference/ft-text-vertical-layout-type1.ref.png       |  Bin 3591 -> 0 bytes
 test/reference/glyph-cache-pressure.ref.png                |  Bin 2863 -> 0 bytes
 test/reference/gradient-alpha.ref.png                      |  Bin 147 -> 0 bytes
 test/reference/gradient-constant-alpha.ref.png             |  Bin 117 -> 0 bytes
 test/reference/gradient-zero-stops.argb32.ref.png          |  Bin 0 -> 105 bytes
 test/reference/gradient-zero-stops.ref.png                 |  Bin 105 -> 0 bytes
 test/reference/group-unaligned.ref.png                     |  Bin 325 -> 0 bytes
 test/reference/halo-transform.ref.png                      |  Bin 11313 -> 0 bytes
 test/reference/horizontal-clip.ref.png                     |  Bin 129 -> 0 bytes
 test/reference/huge-linear.ref.png                         |  Bin 1619 -> 0 bytes
 test/reference/infinite-join.ref.png                       |  Bin 142 -> 0 bytes
 test/reference/joins-loop.ref.png                          |  Bin 3112 -> 0 bytes
 test/reference/joins-star.ref.png                          |  Bin 4028 -> 0 bytes
 test/reference/large-twin-antialias-mixed.ref.png          |  Bin 10740 -> 0 bytes
 test/reference/leaky-dashed-stroke.ref.png                 |  Bin 5627 -> 0 bytes
 test/reference/leaky-polygon.ref.png                       |  Bin 281 -> 0 bytes
 test/reference/line-width-large-overlap-rotated.ref.png    |  Bin 406 -> 0 bytes
 test/reference/line-width-overlap-rotated.ref.png          |  Bin 719 -> 0 bytes
 test/reference/line-width-scale.ref.png                    |  Bin 3568 -> 0 bytes
 test/reference/line-width-tolerance.ref.png                |  Bin 192 -> 0 bytes
 test/reference/line-width.ref.png                          |  Bin 201 -> 0 bytes
 test/reference/linear-gradient-reflect.ref.png             |  Bin 216 -> 0 bytes
 test/reference/linear-gradient-subset.ref.png              |  Bin 802 -> 0 bytes
 test/reference/linear-gradient.ref.png                     |  Bin 961 -> 0 bytes
 test/reference/long-dashed-lines.ref.png                   |  Bin 1453 -> 0 bytes
 test/reference/mask-ctm.argb32.ref.png                     |  Bin 0 -> 129 bytes
 test/reference/mask-ctm.ref.png                            |  Bin 129 -> 0 bytes
 test/reference/mask-surface-ctm.argb32.ref.png             |  Bin 0 -> 129 bytes
 test/reference/mask-surface-ctm.ref.png                    |  Bin 129 -> 0 bytes
 test/reference/mask-transformed-image.ref.png              |  Bin 4516 -> 0 bytes
 test/reference/mask-transformed-similar.ref.png            |  Bin 4516 -> 0 bytes
 test/reference/miter-precision.ref.png                     |  Bin 878 -> 0 bytes
 test/reference/nil-surface.argb32.ref.png                  |  Bin 0 -> 107 bytes
 test/reference/nil-surface.ref.png                         |  Bin 107 -> 0 bytes
 test/reference/operator-alpha.argb32.ref.png               |  Bin 0 -> 280 bytes
 test/reference/operator-alpha.ref.png                      |  Bin 280 -> 0 bytes
 test/reference/operator.argb32.ref.png                     |  Bin 0 -> 238 bytes
 test/reference/operator.ref.png                            |  Bin 238 -> 0 bytes
 test/reference/over-above-source.ref.png                   |  Bin 511 -> 0 bytes
 test/reference/over-around-source.ref.png                  |  Bin 578 -> 0 bytes
 test/reference/over-below-source.ref.png                   |  Bin 413 -> 0 bytes
 test/reference/over-between-source.ref.png                 |  Bin 561 -> 0 bytes
 test/reference/paint-with-alpha-clip-mask.ref.png          |  Bin 348 -> 0 bytes
 test/reference/partial-clip-text-bottom.ref.png            |  Bin 259 -> 0 bytes
 test/reference/partial-clip-text-left.ref.png              |  Bin 293 -> 0 bytes
 test/reference/partial-clip-text-right.ref.png             |  Bin 155 -> 0 bytes
 test/reference/partial-clip-text-top.ref.png               |  Bin 173 -> 0 bytes
 test/reference/pass-through.argb32.ref.png                 |  Bin 0 -> 221 bytes
 test/reference/pass-through.ref.png                        |  Bin 221 -> 0 bytes
 test/reference/path-append.ref.png                         |  Bin 4424 -> 0 bytes
 test/reference/path-stroke-twice.ref.png                   |  Bin 209 -> 0 bytes
 test/reference/pixman-rotate.argb32.ref.png                |  Bin 0 -> 260 bytes
 test/reference/pixman-rotate.ref.png                       |  Bin 260 -> 0 bytes
 test/reference/pthread-show-text.ref.png                   |  Bin 29759 -> 0 bytes
 test/reference/push-group-color.ref.png                    |  Bin 2676 -> 0 bytes
 test/reference/push-group.ref.png                          |  Bin 2829 -> 0 bytes
 test/reference/random-intersections-curves-eo.ref.png      |  Bin 156491 -> 0 bytes
 test/reference/random-intersections-curves-nz.ref.png      |  Bin 151310 -> 0 bytes
 test/reference/random-intersections-eo.ref.png             |  Bin 85197 -> 0 bytes
 test/reference/random-intersections-nonzero.ref.png        |  Bin 83247 -> 0 bytes
 test/reference/record-paint-alpha-clip.ref.png             |  Bin 299 -> 0 bytes
 test/reference/record-select-font-face.ref.png             |  Bin 2245 -> 0 bytes
 test/reference/recording-surface-over.ref.png              |  Bin 3072 -> 0 bytes
 test/reference/rectilinear-miter-limit.ref.png             |  Bin 145 -> 0 bytes
 test/reference/rel-path.ref.png                            |  Bin 177 -> 0 bytes
 test/reference/rotate-clip-image-surface-paint.ref.png     |  Bin 312 -> 0 bytes
 test/reference/rotated-clip.ref.png                        |  Bin 2713 -> 0 bytes
 test/reference/rounded-rectangle-fill.ref.png              |  Bin 563 -> 0 bytes
 test/reference/scale-offset-image.ref.png                  |  Bin 7688 -> 0 bytes
 test/reference/scale-offset-similar.ref.png                |  Bin 7688 -> 0 bytes
 test/reference/scale-source-surface-paint.argb32.ref.png   |  Bin 0 -> 147 bytes
 test/reference/scale-source-surface-paint.ref.png          |  Bin 147 -> 0 bytes
 test/reference/select-font-face.ref.png                    |  Bin 2245 -> 0 bytes
 test/reference/self-copy.ref.png                           |  Bin 258 -> 0 bytes
 test/reference/set-source.argb32.ref.png                   |  Bin 0 -> 120 bytes
 test/reference/set-source.ref.png                          |  Bin 120 -> 0 bytes
 test/reference/shape-general-convex.ref.png                |  Bin 1869 -> 0 bytes
 test/reference/shape-sierpinski.ref.png                    |  Bin 43504 -> 0 bytes
 test/reference/show-glyphs-advance.ref.png                 |  Bin 1395 -> 0 bytes
 test/reference/show-text-current-point.ref.png             |  Bin 2185 -> 0 bytes
 test/reference/skew-extreme.ref.png                        |  Bin 904 -> 0 bytes
 test/reference/smask-fill.ref.png                          |  Bin 1134 -> 0 bytes
 test/reference/smask-image-mask.ref.png                    |  Bin 643 -> 0 bytes
 test/reference/smask-mask.ref.png                          |  Bin 2523 -> 0 bytes
 test/reference/smask-paint.ref.png                         |  Bin 2639 -> 0 bytes
 test/reference/smask-stroke.ref.png                        |  Bin 1598 -> 0 bytes
 test/reference/smask-text.ref.png                          |  Bin 1623 -> 0 bytes
 test/reference/smask.ref.png                               |  Bin 3401 -> 0 bytes
 test/reference/source-surface-scale-paint.argb32.ref.png   |  Bin 0 -> 139 bytes
 test/reference/source-surface-scale-paint.ref.png          |  Bin 139 -> 0 bytes
 test/reference/spline-decomposition.ref.png                |  Bin 10005 -> 0 bytes
 test/reference/stroke-image.ref.png                        |  Bin 972 -> 0 bytes
 test/reference/stroke-pattern.ref.png                      |  Bin 1417 -> 0 bytes
 test/reference/subsurface-scale.ref.png                    |  Bin 5216 -> 0 bytes
 test/reference/subsurface.ref.png                          |  Bin 1281 -> 0 bytes
 test/reference/surface-pattern-scale-down.ref.png          |  Bin 1784 -> 0 bytes
 test/reference/surface-pattern-scale-up.ref.png            |  Bin 4017 -> 0 bytes
 test/reference/surface-pattern.ref.png                     |  Bin 11100 -> 0 bytes
 test/reference/text-antialias-gray.ref.png                 |  Bin 975 -> 0 bytes
 test/reference/text-antialias-subpixel-bgr.ref.png         |  Bin 1001 -> 0 bytes
 test/reference/text-antialias-subpixel-rgb.ref.png         |  Bin 1004 -> 0 bytes
 test/reference/text-antialias-subpixel-vbgr.ref.png        |  Bin 992 -> 0 bytes
 test/reference/text-antialias-subpixel-vrgb.ref.png        |  Bin 1004 -> 0 bytes
 test/reference/text-antialias-subpixel.ref.png             |  Bin 1004 -> 0 bytes
 test/reference/text-glyph-range.ref.png                    |  Bin 1729 -> 0 bytes
 test/reference/text-pattern.ref.png                        |  Bin 3444 -> 0 bytes
 test/reference/tiger.ref.png                               |  Bin 71094 -> 0 bytes
 test/reference/transforms.ref.png                          |  Bin 341 -> 0 bytes
 test/reference/trap-clip.ref.png                           |  Bin 5741 -> 0 bytes
 test/reference/twin-antialias-mixed.ref.png                |  Bin 1639 -> 0 bytes
 test/reference/twin-antialias-none.ref.png                 |  Bin 694 -> 0 bytes
 test/reference/unclosed-strokes.ref.png                    |  Bin 1432 -> 0 bytes
 test/reference/user-font-proxy.ref.png                     |  Bin 14023 -> 0 bytes
 test/reference/user-font-rescale.ref.png                   |  Bin 14852 -> 0 bytes
 test/reference/world-map-fill.ref.png                      |  Bin 45440 -> 0 bytes
 test/reference/world-map-stroke.ref.png                    |  Bin 43370 -> 0 bytes
 test/reference/world-map.ref.png                           |  Bin 65880 -> 0 bytes
 test/reference/zero-mask.argb32.ref.png                    |  Bin 0 -> 402 bytes
 test/reference/zero-mask.ref.png                           |  Bin 402 -> 0 bytes
 175 files changed, 0 insertions(+), 0 deletions(-)

commit 9eb1237e006bb19098144cc045c0a03d167a82b4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 4 09:40:37 2013 +0100

    test: Add a few reference images found lurking on my machine

 test/reference/bug-seams.image.xfail.png      |  Bin 0 -> 1647 bytes
 test/reference/record1414x-fill-alpha.ref.png |  Bin 0 -> 4212 bytes
 test/reference/record2x-fill-alpha.ref.png    |  Bin 0 -> 5950 bytes
 test/reference/record90-fill-alpha.ref.png    |  Bin 0 -> 2650 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit 3255462a238dfb6d9f1336f04918d51f2cb6ea18
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 4 09:24:25 2013 +0100

    test: Remove all identical (cmp & pdiff) reference images
    
    Courtesy of the improved check-ref-dups written by Bryce Harrington:
    
    Running make check on the codebase (with default configuration) with the
    redundant images removed produces essentially the same test results:
    
    Before
    ------
    Tests run:        13687
    Passed:           9216
    Failed:           3566
    Expected Failed:  312
    Error:            1
    Crashed:          17
    Untested:         575
    Total:            13687
    
    After
    -----
    Tests run:        13689
    Passed:           9216
    Failed:           3566
    Expected Failed:  312
    Error:            1
    Crashed:          19
    Untested:         575
    Total:            13689
    
    (with the exception being the pthread tests misbehaving between runs)

 test/reference/a1-clip-fill-equal.argb32.ref.png                       |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill-equal.mask.argb32.ref.png                  |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill-equal.mask.rgb24.ref.png                   |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill-equal.rgb24.ref.png                        |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill-equal.traps.argb32.ref.png                 |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill-equal.traps.rgb24.ref.png                  |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill-rule.mask.argb32.ref.png                   |  Bin 236 -> 0 bytes
 test/reference/a1-clip-fill-rule.mask.rgb24.ref.png                    |  Bin 218 -> 0 bytes
 test/reference/a1-clip-fill-rule.traps.argb32.ref.png                  |  Bin 236 -> 0 bytes
 test/reference/a1-clip-fill-rule.traps.rgb24.ref.png                   |  Bin 218 -> 0 bytes
 test/reference/a1-clip-fill.argb32.ref.png                             |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill.mask.argb32.ref.png                        |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill.mask.rgb24.ref.png                         |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill.rgb24.ref.png                              |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill.traps.argb32.ref.png                       |  Bin 120 -> 0 bytes
 test/reference/a1-clip-fill.traps.rgb24.ref.png                        |  Bin 120 -> 0 bytes
 test/reference/a1-clip-paint.argb32.ref.png                            |  Bin 120 -> 0 bytes
 test/reference/a1-clip-paint.mask.argb32.ref.png                       |  Bin 120 -> 0 bytes
 test/reference/a1-clip-paint.mask.rgb24.ref.png                        |  Bin 120 -> 0 bytes
 test/reference/a1-clip-paint.rgb24.ref.png                             |  Bin 120 -> 0 bytes
 test/reference/a1-clip-paint.traps.argb32.ref.png                      |  Bin 120 -> 0 bytes
 test/reference/a1-clip-paint.traps.rgb24.ref.png                       |  Bin 120 -> 0 bytes
 test/reference/a1-clip-stroke.argb32.ref.png                           |  Bin 120 -> 0 bytes
 test/reference/a1-clip-stroke.mask.argb32.ref.png                      |  Bin 120 -> 0 bytes
 test/reference/a1-clip-stroke.mask.rgb24.ref.png                       |  Bin 120 -> 0 bytes
 test/reference/a1-clip-stroke.rgb24.ref.png                            |  Bin 120 -> 0 bytes
 test/reference/a1-clip-stroke.traps.argb32.ref.png                     |  Bin 120 -> 0 bytes
 test/reference/a1-clip-stroke.traps.rgb24.ref.png                      |  Bin 120 -> 0 bytes
 test/reference/a1-fill.argb32.ref.png                                  |  Bin 328 -> 0 bytes
 test/reference/a1-fill.mask.argb32.ref.png                             |  Bin 328 -> 0 bytes
 test/reference/a1-fill.mask.rgb24.ref.png                              |  Bin 328 -> 0 bytes
 test/reference/a1-fill.rgb24.ref.png                                   |  Bin 328 -> 0 bytes
 test/reference/a1-fill.traps.argb32.ref.png                            |  Bin 328 -> 0 bytes
 test/reference/a1-fill.traps.ref.png                                   |  Bin 328 -> 0 bytes
 test/reference/a1-fill.traps.rgb24.ref.png                             |  Bin 328 -> 0 bytes
 test/reference/a1-image-sample.argb32.ref.png                          |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.mask.argb32.ref.png                     |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.mask.rgb24.ref.png                      |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.rgb24.ref.png                           |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.traps.argb32.ref.png                    |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.traps.rgb24.ref.png                     |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.xlib-fallback.rgb24.ref.png             |  Bin 122 -> 0 bytes
 test/reference/a1-image-sample.xlib-window.rgb24.ref.png               |  Bin 122 -> 0 bytes
 test/reference/a1-line-width.argb32.ref.png                            |  Bin 154 -> 0 bytes
 test/reference/a1-line-width.mask.argb32.ref.png                       |  Bin 154 -> 0 bytes
 test/reference/a1-line-width.mask.rgb24.ref.png                        |  Bin 154 -> 0 bytes
 test/reference/a1-line-width.rgb24.ref.png                             |  Bin 154 -> 0 bytes
 test/reference/a1-line-width.traps.argb32.ref.png                      |  Bin 154 -> 0 bytes
 test/reference/a1-line-width.traps.rgb24.ref.png                       |  Bin 154 -> 0 bytes
 test/reference/a1-mask-sample.argb32.ref.png                           |  Bin 122 -> 0 bytes
 test/reference/a1-mask-sample.mask.argb32.ref.png                      |  Bin 122 -> 0 bytes
 test/reference/a1-mask-sample.mask.rgb24.ref.png                       |  Bin 122 -> 0 bytes
 test/reference/a1-mask-sample.rgb24.ref.png                            |  Bin 122 -> 0 bytes
 test/reference/a1-mask-sample.traps.argb32.ref.png                     |  Bin 122 -> 0 bytes
 test/reference/a1-mask-sample.traps.rgb24.ref.png                      |  Bin 122 -> 0 bytes
 test/reference/a1-mask.argb32.ref.png                                  |  Bin 106 -> 0 bytes
 test/reference/a1-mask.mask.argb32.ref.png                             |  Bin 106 -> 0 bytes
 test/reference/a1-mask.mask.rgb24.ref.png                              |  Bin 106 -> 0 bytes
 test/reference/a1-mask.pdf.ref.png                                     |  Bin 106 -> 0 bytes
 test/reference/a1-mask.ps.ref.png                                      |  Bin 106 -> 0 bytes
 test/reference/a1-mask.rgb24.ref.png                                   |  Bin 106 -> 0 bytes
 test/reference/a1-mask.traps.argb32.ref.png                            |  Bin 106 -> 0 bytes
 test/reference/a1-mask.traps.rgb24.ref.png                             |  Bin 106 -> 0 bytes
 test/reference/a1-rasterisation-rectangles.argb32.ref.png              |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-rectangles.mask.argb32.ref.png         |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-rectangles.mask.rgb24.ref.png          |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-rectangles.rgb24.ref.png               |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-rectangles.traps.argb32.ref.png        |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-rectangles.traps.rgb24.ref.png         |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-triangles.argb32.ref.png               |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-triangles.mask.argb32.ref.png          |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-triangles.mask.rgb24.ref.png           |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-triangles.rgb24.ref.png                |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-triangles.traps.argb32.ref.png         |  Bin 1729 -> 0 bytes
 test/reference/a1-rasterisation-triangles.traps.rgb24.ref.png          |  Bin 1729 -> 0 bytes
 test/reference/a1-rectilinear-grid.argb32.ref.png                      |  Bin 207 -> 0 bytes
 test/reference/a1-rectilinear-grid.mask.argb32.ref.png                 |  Bin 207 -> 0 bytes
 test/reference/a1-rectilinear-grid.mask.rgb24.ref.png                  |  Bin 207 -> 0 bytes
 test/reference/a1-rectilinear-grid.rgb24.ref.png                       |  Bin 207 -> 0 bytes
 test/reference/a1-rectilinear-grid.traps.argb32.ref.png                |  Bin 207 -> 0 bytes
 test/reference/a1-rectilinear-grid.traps.rgb24.ref.png                 |  Bin 207 -> 0 bytes
 test/reference/a1-sample.argb32.ref.png                                |  Bin 786 -> 0 bytes
 test/reference/a1-sample.mask.argb32.ref.png                           |  Bin 786 -> 0 bytes
 test/reference/a1-sample.mask.rgb24.ref.png                            |  Bin 786 -> 0 bytes
 test/reference/a1-sample.rgb24.ref.png                                 |  Bin 786 -> 0 bytes
 test/reference/a1-sample.traps.argb32.ref.png                          |  Bin 786 -> 0 bytes
 test/reference/a1-sample.traps.rgb24.ref.png                           |  Bin 786 -> 0 bytes
 test/reference/a1-traps-sample.argb32.ref.png                          |  Bin 120 -> 0 bytes
 test/reference/a1-traps-sample.mask.argb32.ref.png                     |  Bin 120 -> 0 bytes
 test/reference/a1-traps-sample.mask.rgb24.ref.png                      |  Bin 120 -> 0 bytes
 test/reference/a1-traps-sample.rgb24.ref.png                           |  Bin 120 -> 0 bytes
 test/reference/a1-traps-sample.traps.argb32.ref.png                    |  Bin 120 -> 0 bytes
 test/reference/a1-traps-sample.traps.rgb24.ref.png                     |  Bin 120 -> 0 bytes
 test/reference/a8-clear.mask.argb32.ref.png                            |  Bin 271 -> 0 bytes
 test/reference/a8-clear.mask.rgb24.ref.png                             |  Bin 271 -> 0 bytes
 test/reference/a8-mask.argb32.ref.png                                  |  Bin 103 -> 0 bytes
 test/reference/a8-mask.mask.argb32.ref.png                             |  Bin 103 -> 0 bytes
 test/reference/a8-mask.mask.rgb24.ref.png                              |  Bin 103 -> 0 bytes
 test/reference/a8-mask.rgb24.ref.png                                   |  Bin 103 -> 0 bytes
 test/reference/a8-mask.traps.argb32.ref.png                            |  Bin 103 -> 0 bytes
 test/reference/a8-mask.traps.rgb24.ref.png                             |  Bin 103 -> 0 bytes
 test/reference/aliasing.mask.argb32.ref.png                            |  Bin 104324 -> 0 bytes
 test/reference/aliasing.mask.rgb24.ref.png                             |  Bin 104324 -> 0 bytes
 test/reference/alpha-similar.argb32.ref.png                            |  Bin 99 -> 0 bytes
 test/reference/alpha-similar.mask.argb32.ref.png                       |  Bin 99 -> 0 bytes
 test/reference/alpha-similar.mask.rgb24.ref.png                        |  Bin 88 -> 0 bytes
 test/reference/alpha-similar.traps.argb32.ref.png                      |  Bin 99 -> 0 bytes
 test/reference/alpha-similar.traps.rgb24.ref.png                       |  Bin 88 -> 0 bytes
 test/reference/api-special-cases.argb32.ref.png                        |  Bin 95 -> 0 bytes
 test/reference/api-special-cases.mask.argb32.ref.png                   |  Bin 95 -> 0 bytes
 test/reference/api-special-cases.mask.rgb24.ref.png                    |  Bin 95 -> 0 bytes
 test/reference/api-special-cases.rgb24.ref.png                         |  Bin 95 -> 0 bytes
 test/reference/api-special-cases.traps.argb32.ref.png                  |  Bin 95 -> 0 bytes
 test/reference/api-special-cases.traps.rgb24.ref.png                   |  Bin 95 -> 0 bytes
 test/reference/arc-direction.mask.argb32.ref.png                       |  Bin 6380 -> 0 bytes
 test/reference/arc-direction.mask.rgb24.ref.png                        |  Bin 6380 -> 0 bytes
 test/reference/arc-infinite-loop.argb32.ref.png                        |  Bin 96 -> 0 bytes
 test/reference/arc-infinite-loop.mask.argb32.ref.png                   |  Bin 96 -> 0 bytes
 test/reference/arc-infinite-loop.mask.rgb24.ref.png                    |  Bin 96 -> 0 bytes
 test/reference/arc-infinite-loop.rgb24.ref.png                         |  Bin 96 -> 0 bytes
 test/reference/arc-infinite-loop.traps.argb32.ref.png                  |  Bin 96 -> 0 bytes
 test/reference/arc-infinite-loop.traps.rgb24.ref.png                   |  Bin 96 -> 0 bytes
 test/reference/big-empty-box.traps.argb32.ref.png                      |  Bin 111 -> 0 bytes
 test/reference/big-empty-box.traps.rgb24.ref.png                       |  Bin 108 -> 0 bytes
 test/reference/big-empty-triangle.mask.argb32.ref.png                  |  Bin 111 -> 0 bytes
 test/reference/big-empty-triangle.mask.rgb24.ref.png                   |  Bin 108 -> 0 bytes
 test/reference/big-empty-triangle.traps.argb32.ref.png                 |  Bin 111 -> 0 bytes
 test/reference/big-empty-triangle.traps.rgb24.ref.png                  |  Bin 108 -> 0 bytes
 test/reference/big-line.mask.argb32.ref.png                            |  Bin 977 -> 0 bytes
 test/reference/big-line.mask.rgb24.ref.png                             |  Bin 977 -> 0 bytes
 test/reference/big-little-box.mask.argb32.ref.png                      |  Bin 169 -> 0 bytes
 test/reference/big-little-box.mask.rgb24.ref.png                       |  Bin 160 -> 0 bytes
 test/reference/big-little-box.traps.argb32.ref.png                     |  Bin 169 -> 0 bytes
 test/reference/big-little-box.traps.rgb24.ref.png                      |  Bin 160 -> 0 bytes
 test/reference/big-little-triangle.mask.argb32.ref.png                 |  Bin 409 -> 0 bytes
 test/reference/big-little-triangle.mask.rgb24.ref.png                  |  Bin 328 -> 0 bytes
 test/reference/bilevel-image.argb32.ref.png                            |  Bin 105 -> 0 bytes
 test/reference/bilevel-image.mask.argb32.ref.png                       |  Bin 105 -> 0 bytes
 test/reference/bilevel-image.mask.rgb24.ref.png                        |  Bin 105 -> 0 bytes
 test/reference/bilevel-image.rgb24.ref.png                             |  Bin 105 -> 0 bytes
 test/reference/bilevel-image.traps.argb32.ref.png                      |  Bin 105 -> 0 bytes
 test/reference/bilevel-image.traps.rgb24.ref.png                       |  Bin 105 -> 0 bytes
 test/reference/bitmap-font.argb32.ref.png                              |  Bin 931 -> 0 bytes
 test/reference/bitmap-font.mask.argb32.ref.png                         |  Bin 931 -> 0 bytes
 test/reference/bitmap-font.mask.rgb24.ref.png                          |  Bin 871 -> 0 bytes
 test/reference/bitmap-font.traps.argb32.ref.png                        |  Bin 931 -> 0 bytes
 test/reference/bitmap-font.traps.rgb24.ref.png                         |  Bin 871 -> 0 bytes
 test/reference/bug-40410.mask.argb32.ref.png                           |  Bin 429 -> 0 bytes
 test/reference/bug-40410.mask.rgb24.ref.png                            |  Bin 429 -> 0 bytes
 test/reference/bug-bo-rectangular.argb32.ref.png                       |  Bin 950 -> 0 bytes
 test/reference/bug-bo-rectangular.mask.argb32.ref.png                  |  Bin 950 -> 0 bytes
 test/reference/bug-bo-rectangular.mask.rgb24.ref.png                   |  Bin 950 -> 0 bytes
 test/reference/bug-bo-rectangular.rgb24.ref.png                        |  Bin 950 -> 0 bytes
 test/reference/bug-bo-rectangular.traps.argb32.ref.png                 |  Bin 950 -> 0 bytes
 test/reference/bug-bo-rectangular.traps.rgb24.ref.png                  |  Bin 950 -> 0 bytes
 test/reference/bug-bo-ricotz.mask.argb32.ref.png                       |  Bin 2128 -> 0 bytes
 test/reference/bug-bo-ricotz.mask.rgb24.ref.png                        |  Bin 2128 -> 0 bytes
 test/reference/bug-bo-ricotz.traps.argb32.ref.png                      |  Bin 2125 -> 0 bytes
 test/reference/bug-bo-ricotz.traps.rgb24.ref.png                       |  Bin 2125 -> 0 bytes
 test/reference/bug-extents.mask.argb32.ref.png                         |  Bin 9251 -> 0 bytes
 test/reference/bug-extents.mask.rgb24.ref.png                          |  Bin 9251 -> 0 bytes
 test/reference/caps-joins.mask.argb32.ref.png                          |  Bin 2893 -> 0 bytes
 test/reference/caps-joins.mask.rgb24.ref.png                           |  Bin 2893 -> 0 bytes
 test/reference/caps-sub-paths.mask.argb32.ref.png                      |  Bin 168 -> 0 bytes
 test/reference/caps-sub-paths.mask.rgb24.ref.png                       |  Bin 168 -> 0 bytes
 test/reference/caps.mask.argb32.ref.png                                |  Bin 2115 -> 0 bytes
 test/reference/caps.mask.rgb24.ref.png                                 |  Bin 2115 -> 0 bytes
 test/reference/checkerboard.argb32.ref.png                             |  Bin 142 -> 0 bytes
 test/reference/checkerboard.mask.argb32.ref.png                        |  Bin 142 -> 0 bytes
 test/reference/checkerboard.mask.rgb24.ref.png                         |  Bin 142 -> 0 bytes
 test/reference/checkerboard.rgb24.ref.png                              |  Bin 142 -> 0 bytes
 test/reference/checkerboard.traps.argb32.ref.png                       |  Bin 142 -> 0 bytes
 test/reference/checkerboard.traps.rgb24.ref.png                        |  Bin 142 -> 0 bytes
 test/reference/clear-source.mask.argb32.ref.png                        |  Bin 882 -> 0 bytes
 test/reference/clear-source.mask.rgb24.ref.png                         |  Bin 882 -> 0 bytes
 test/reference/clear.mask.argb32.ref.png                               |  Bin 692 -> 0 bytes
 test/reference/clear.mask.rgb24.ref.png                                |  Bin 617 -> 0 bytes
 test/reference/clip-all.argb32.ref.png                                 |  Bin 95 -> 0 bytes
 test/reference/clip-all.mask.argb32.ref.png                            |  Bin 95 -> 0 bytes
 test/reference/clip-all.mask.rgb24.ref.png                             |  Bin 95 -> 0 bytes
 test/reference/clip-all.rgb24.ref.png                                  |  Bin 95 -> 0 bytes
 test/reference/clip-all.traps.argb32.ref.png                           |  Bin 95 -> 0 bytes
 test/reference/clip-all.traps.rgb24.ref.png                            |  Bin 95 -> 0 bytes
 test/reference/clip-complex-shape-eo-aa.argb32.ref.png                 |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-aa.mask.argb32.ref.png            |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-aa.mask.rgb24.ref.png             |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-aa.rgb24.ref.png                  |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-aa.traps.argb32.ref.png           |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-aa.traps.rgb24.ref.png            |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-mono.argb32.ref.png               |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-mono.mask.argb32.ref.png          |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-mono.mask.rgb24.ref.png           |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-mono.rgb24.ref.png                |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-mono.traps.argb32.ref.png         |  Bin 325 -> 0 bytes
 test/reference/clip-complex-shape-eo-mono.traps.rgb24.ref.png          |  Bin 325 -> 0 bytes
 test/reference/clip-contexts.argb32.ref.png                            |  Bin 98 -> 0 bytes
 test/reference/clip-contexts.mask.argb32.ref.png                       |  Bin 98 -> 0 bytes
 test/reference/clip-contexts.mask.rgb24.ref.png                        |  Bin 98 -> 0 bytes
 test/reference/clip-contexts.rgb24.ref.png                             |  Bin 98 -> 0 bytes
 test/reference/clip-contexts.traps.argb32.ref.png                      |  Bin 98 -> 0 bytes
 test/reference/clip-contexts.traps.rgb24.ref.png                       |  Bin 98 -> 0 bytes
 test/reference/clip-device-offset.mask.argb32.ref.png                  |  Bin 175 -> 0 bytes
 test/reference/clip-device-offset.mask.rgb24.ref.png                   |  Bin 168 -> 0 bytes
 test/reference/clip-device-offset.traps.argb32.ref.png                 |  Bin 175 -> 0 bytes
 test/reference/clip-device-offset.traps.rgb24.ref.png                  |  Bin 168 -> 0 bytes
 test/reference/clip-empty-group.argb32.ref.png                         |  Bin 103 -> 0 bytes
 test/reference/clip-empty-group.mask.argb32.ref.png                    |  Bin 103 -> 0 bytes
 test/reference/clip-empty-group.mask.rgb24.ref.png                     |  Bin 103 -> 0 bytes
 test/reference/clip-empty-group.rgb24.ref.png                          |  Bin 103 -> 0 bytes
 test/reference/clip-empty-group.traps.argb32.ref.png                   |  Bin 103 -> 0 bytes
 test/reference/clip-empty-group.traps.rgb24.ref.png                    |  Bin 103 -> 0 bytes
 test/reference/clip-empty-save.argb32.ref.png                          |  Bin 95 -> 0 bytes
 test/reference/clip-empty-save.mask.argb32.ref.png                     |  Bin 95 -> 0 bytes
 test/reference/clip-empty-save.mask.rgb24.ref.png                      |  Bin 95 -> 0 bytes
 test/reference/clip-empty-save.rgb24.ref.png                           |  Bin 95 -> 0 bytes
 test/reference/clip-empty-save.traps.argb32.ref.png                    |  Bin 95 -> 0 bytes
 test/reference/clip-empty-save.traps.rgb24.ref.png                     |  Bin 95 -> 0 bytes
 test/reference/clip-empty.argb32.ref.png                               |  Bin 95 -> 0 bytes
 test/reference/clip-empty.mask.argb32.ref.png                          |  Bin 95 -> 0 bytes
 test/reference/clip-empty.mask.rgb24.ref.png                           |  Bin 95 -> 0 bytes
 test/reference/clip-empty.rgb24.ref.png                                |  Bin 95 -> 0 bytes
 test/reference/clip-empty.traps.argb32.ref.png                         |  Bin 95 -> 0 bytes
 test/reference/clip-empty.traps.rgb24.ref.png                          |  Bin 95 -> 0 bytes
 test/reference/clip-fill-no-op.argb32.ref.png                          |  Bin 152 -> 0 bytes
 test/reference/clip-fill-no-op.mask.argb32.ref.png                     |  Bin 152 -> 0 bytes
 test/reference/clip-fill-no-op.mask.rgb24.ref.png                      |  Bin 152 -> 0 bytes
 test/reference/clip-fill-no-op.rgb24.ref.png                           |  Bin 152 -> 0 bytes
 test/reference/clip-fill-no-op.traps.argb32.ref.png                    |  Bin 152 -> 0 bytes
 test/reference/clip-fill-no-op.traps.rgb24.ref.png                     |  Bin 152 -> 0 bytes
 test/reference/clip-fill-rule-pixel-aligned.argb32.ref.png             |  Bin 176 -> 0 bytes
 test/reference/clip-fill-rule-pixel-aligned.mask.argb32.ref.png        |  Bin 176 -> 0 bytes
 test/reference/clip-fill-rule-pixel-aligned.mask.rgb24.ref.png         |  Bin 165 -> 0 bytes
 test/reference/clip-fill-rule-pixel-aligned.traps.argb32.ref.png       |  Bin 176 -> 0 bytes
 test/reference/clip-fill-rule-pixel-aligned.traps.rgb24.ref.png        |  Bin 165 -> 0 bytes
 test/reference/clip-fill-rule.mask.argb32.ref.png                      |  Bin 437 -> 0 bytes
 test/reference/clip-fill-rule.mask.rgb24.ref.png                       |  Bin 393 -> 0 bytes
 test/reference/clip-group-shapes-aligned-rectangles.argb32.ref.png     |  Bin 378 -> 0 bytes
 .../reference/clip-group-shapes-aligned-rectangles.mask.argb32.ref.png |  Bin 378 -> 0 bytes
 test/reference/clip-group-shapes-aligned-rectangles.mask.rgb24.ref.png |  Bin 378 -> 0 bytes
 test/reference/clip-group-shapes-aligned-rectangles.rgb24.ref.png      |  Bin 378 -> 0 bytes
 .../clip-group-shapes-aligned-rectangles.traps.argb32.ref.png          |  Bin 378 -> 0 bytes
 .../reference/clip-group-shapes-aligned-rectangles.traps.rgb24.ref.png |  Bin 378 -> 0 bytes
 test/reference/clip-group-shapes-unaligned-rectangles.argb32.ref.png   |  Bin 415 -> 0 bytes
 test/reference/clip-group-shapes-unaligned-rectangles.rgb24.ref.png    |  Bin 415 -> 0 bytes
 test/reference/clip-intersect.mask.argb32.ref.png                      |  Bin 200 -> 0 bytes
 test/reference/clip-intersect.mask.rgb24.ref.png                       |  Bin 200 -> 0 bytes
 test/reference/clip-mixed-antialias.mask.argb32.ref.png                |  Bin 1084 -> 0 bytes
 test/reference/clip-mixed-antialias.mask.rgb24.ref.png                 |  Bin 1084 -> 0 bytes
 test/reference/clip-nesting.mask.argb32.ref.png                        |  Bin 1044 -> 0 bytes
 test/reference/clip-polygons.traps.argb32.ref.png                      |  Bin 1268 -> 0 bytes
 test/reference/clip-polygons.traps.rgb24.ref.png                       |  Bin 1268 -> 0 bytes
 test/reference/clip-push-group.mask.argb32.ref.png                     |  Bin 164 -> 0 bytes
 test/reference/clip-push-group.mask.rgb24.ref.png                      |  Bin 164 -> 0 bytes
 test/reference/clip-rectilinear.argb32.ref.png                         |  Bin 439 -> 0 bytes
 test/reference/clip-rectilinear.rgb24.ref.png                          |  Bin 439 -> 0 bytes
 test/reference/clip-rectilinear.traps.argb32.ref.png                   |  Bin 440 -> 0 bytes
 test/reference/clip-rectilinear.traps.rgb24.ref.png                    |  Bin 440 -> 0 bytes
 test/reference/clip-rotate-image-surface-paint.argb32.ref.png          |  Bin 202 -> 0 bytes
 test/reference/clip-rotate-image-surface-paint.mask.argb32.ref.png     |  Bin 202 -> 0 bytes
 test/reference/clip-rotate-image-surface-paint.mask.rgb24.ref.png      |  Bin 202 -> 0 bytes
 test/reference/clip-rotate-image-surface-paint.rgb24.ref.png           |  Bin 202 -> 0 bytes
 test/reference/clip-rotate-image-surface-paint.traps.argb32.ref.png    |  Bin 202 -> 0 bytes
 test/reference/clip-rotate-image-surface-paint.traps.rgb24.ref.png     |  Bin 202 -> 0 bytes
 .../clip-rotate-image-surface-paint.xlib-fallback.rgb24.ref.png        |  Bin 202 -> 0 bytes
 .../clip-rotate-image-surface-paint.xlib-window.rgb24.ref.png          |  Bin 202 -> 0 bytes
 test/reference/clip-stroke-no-op.argb32.ref.png                        |  Bin 152 -> 0 bytes
 test/reference/clip-stroke-no-op.mask.argb32.ref.png                   |  Bin 152 -> 0 bytes
 test/reference/clip-stroke-no-op.mask.rgb24.ref.png                    |  Bin 152 -> 0 bytes
 test/reference/clip-stroke-no-op.rgb24.ref.png                         |  Bin 152 -> 0 bytes
 test/reference/clip-stroke-no-op.traps.argb32.ref.png                  |  Bin 152 -> 0 bytes
 test/reference/clip-stroke-no-op.traps.rgb24.ref.png                   |  Bin 152 -> 0 bytes
 test/reference/clip-twice-rectangle.argb32.ref.png                     |  Bin 323 -> 0 bytes
 test/reference/clip-twice-rectangle.mask.argb32.ref.png                |  Bin 323 -> 0 bytes
 test/reference/clip-twice-rectangle.mask.rgb24.ref.png                 |  Bin 323 -> 0 bytes
 test/reference/clip-twice-rectangle.rgb24.ref.png                      |  Bin 323 -> 0 bytes
 test/reference/clip-twice-rectangle.traps.argb32.ref.png               |  Bin 323 -> 0 bytes
 test/reference/clip-twice-rectangle.traps.rgb24.ref.png                |  Bin 323 -> 0 bytes
 test/reference/clip-unbounded.argb32.ref.png                           |  Bin 100 -> 0 bytes
 test/reference/clip-unbounded.mask.argb32.ref.png                      |  Bin 100 -> 0 bytes
 test/reference/clip-unbounded.mask.rgb24.ref.png                       |  Bin 97 -> 0 bytes
 test/reference/clip-unbounded.traps.argb32.ref.png                     |  Bin 100 -> 0 bytes
 test/reference/clip-unbounded.traps.rgb24.ref.png                      |  Bin 97 -> 0 bytes
 test/reference/clipped-surface.argb32.ref.png                          |  Bin 345 -> 0 bytes
 test/reference/clipped-surface.mask.argb32.ref.png                     |  Bin 345 -> 0 bytes
 test/reference/clipped-surface.mask.rgb24.ref.png                      |  Bin 345 -> 0 bytes
 test/reference/clipped-surface.rgb24.ref.png                           |  Bin 345 -> 0 bytes
 test/reference/clipped-surface.traps.argb32.ref.png                    |  Bin 345 -> 0 bytes
 test/reference/clipped-surface.traps.rgb24.ref.png                     |  Bin 345 -> 0 bytes
 test/reference/close-path.mask.argb32.ref.png                          |  Bin 294 -> 0 bytes
 test/reference/close-path.mask.rgb24.ref.png                           |  Bin 294 -> 0 bytes
 test/reference/composite-integer-translate-over-repeat.argb32.ref.png  |  Bin 334 -> 0 bytes
 .../composite-integer-translate-over-repeat.mask.argb32.ref.png        |  Bin 334 -> 0 bytes
 .../composite-integer-translate-over-repeat.mask.rgb24.ref.png         |  Bin 334 -> 0 bytes
 test/reference/composite-integer-translate-over-repeat.rgb24.ref.png   |  Bin 334 -> 0 bytes
 .../composite-integer-translate-over-repeat.traps.argb32.ref.png       |  Bin 334 -> 0 bytes
 .../composite-integer-translate-over-repeat.traps.rgb24.ref.png        |  Bin 334 -> 0 bytes
 test/reference/composite-integer-translate-over.argb32.ref.png         |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-over.mask.argb32.ref.png    |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-over.mask.rgb24.ref.png     |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-over.rgb24.ref.png          |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-over.traps.argb32.ref.png   |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-over.traps.rgb24.ref.png    |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-source.argb32.ref.png       |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-source.mask.argb32.ref.png  |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-source.mask.rgb24.ref.png   |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-source.rgb24.ref.png        |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-source.traps.argb32.ref.png |  Bin 13998 -> 0 bytes
 test/reference/composite-integer-translate-source.traps.rgb24.ref.png  |  Bin 13998 -> 0 bytes
 test/reference/copy-disjoint.argb32.ref.png                            |  Bin 1098 -> 0 bytes
 test/reference/copy-disjoint.mask.argb32.ref.png                       |  Bin 1098 -> 0 bytes
 test/reference/copy-disjoint.mask.rgb24.ref.png                        |  Bin 1098 -> 0 bytes
 test/reference/copy-disjoint.rgb24.ref.png                             |  Bin 1098 -> 0 bytes
 test/reference/copy-disjoint.traps.argb32.ref.png                      |  Bin 1098 -> 0 bytes
 test/reference/copy-disjoint.traps.rgb24.ref.png                       |  Bin 1098 -> 0 bytes
 test/reference/copy-path.mask.argb32.ref.png                           |  Bin 616 -> 0 bytes
 test/reference/copy-path.mask.rgb24.ref.png                            |  Bin 616 -> 0 bytes
 test/reference/create-from-png-stream.argb32.ref.png                   |  Bin 96 -> 0 bytes
 test/reference/create-from-png-stream.mask.argb32.ref.png              |  Bin 96 -> 0 bytes
 test/reference/create-from-png-stream.mask.rgb24.ref.png               |  Bin 96 -> 0 bytes
 test/reference/create-from-png-stream.rgb24.ref.png                    |  Bin 96 -> 0 bytes
 test/reference/create-from-png-stream.traps.argb32.ref.png             |  Bin 96 -> 0 bytes
 test/reference/create-from-png-stream.traps.rgb24.ref.png              |  Bin 96 -> 0 bytes
 test/reference/culled-glyphs.mask.argb32.ref.png                       |  Bin 440 -> 0 bytes
 test/reference/culled-glyphs.mask.rgb24.ref.png                        |  Bin 440 -> 0 bytes
 test/reference/culled-glyphs.traps.argb32.ref.png                      |  Bin 440 -> 0 bytes
 test/reference/culled-glyphs.traps.rgb24.ref.png                       |  Bin 440 -> 0 bytes
 test/reference/dash-infinite-loop.mask.argb32.ref.png                  |  Bin 877 -> 0 bytes
 test/reference/dash-infinite-loop.mask.rgb24.ref.png                   |  Bin 877 -> 0 bytes
 test/reference/dash-no-dash.argb32.ref.png                             |  Bin 119 -> 0 bytes
 test/reference/dash-no-dash.mask.argb32.ref.png                        |  Bin 119 -> 0 bytes
 test/reference/dash-no-dash.mask.rgb24.ref.png                         |  Bin 119 -> 0 bytes
 test/reference/dash-no-dash.rgb24.ref.png                              |  Bin 119 -> 0 bytes
 test/reference/dash-no-dash.traps.argb32.ref.png                       |  Bin 119 -> 0 bytes
 test/reference/dash-no-dash.traps.rgb24.ref.png                        |  Bin 119 -> 0 bytes
 test/reference/dash-offset-negative.mask.argb32.ref.png                |  Bin 129 -> 0 bytes
 test/reference/dash-offset-negative.mask.rgb24.ref.png                 |  Bin 129 -> 0 bytes
 test/reference/dash-offset.argb32.ref.png                              |  Bin 794 -> 0 bytes
 test/reference/dash-offset.mask.argb32.ref.png                         |  Bin 794 -> 0 bytes
 test/reference/dash-offset.mask.rgb24.ref.png                          |  Bin 794 -> 0 bytes
 test/reference/dash-offset.rgb24.ref.png                               |  Bin 794 -> 0 bytes
 test/reference/dash-offset.traps.argb32.ref.png                        |  Bin 794 -> 0 bytes
 test/reference/dash-offset.traps.rgb24.ref.png                         |  Bin 794 -> 0 bytes
 test/reference/dash-state.mask.argb32.ref.png                          |  Bin 8027 -> 0 bytes
 test/reference/dash-state.mask.rgb24.ref.png                           |  Bin 8027 -> 0 bytes
 test/reference/dash-zero-length.mask.argb32.ref.png                    |  Bin 230 -> 0 bytes
 test/reference/degenerate-arcs.argb32.ref.png                          |  Bin 120 -> 0 bytes
 test/reference/degenerate-arcs.mask.argb32.ref.png                     |  Bin 120 -> 0 bytes
 test/reference/degenerate-arcs.mask.rgb24.ref.png                      |  Bin 120 -> 0 bytes
 test/reference/degenerate-arcs.rgb24.ref.png                           |  Bin 120 -> 0 bytes
 test/reference/degenerate-arcs.traps.argb32.ref.png                    |  Bin 120 -> 0 bytes
 test/reference/degenerate-arcs.traps.rgb24.ref.png                     |  Bin 120 -> 0 bytes
 test/reference/degenerate-linear-gradient.mask.argb32.ref.png          |  Bin 336 -> 0 bytes
 test/reference/degenerate-linear-gradient.mask.rgb24.ref.png           |  Bin 336 -> 0 bytes
 test/reference/degenerate-linear-gradient.traps.argb32.ref.png         |  Bin 336 -> 0 bytes
 test/reference/degenerate-linear-gradient.traps.rgb24.ref.png          |  Bin 336 -> 0 bytes
 test/reference/degenerate-pen.mask.argb32.ref.png                      |  Bin 1019 -> 0 bytes
 test/reference/degenerate-pen.mask.rgb24.ref.png                       |  Bin 1019 -> 0 bytes
 test/reference/degenerate-radial-gradient.argb32.ref.png               |  Bin 428 -> 0 bytes
 test/reference/degenerate-radial-gradient.mask.argb32.ref.png          |  Bin 428 -> 0 bytes
 test/reference/degenerate-radial-gradient.mask.rgb24.ref.png           |  Bin 428 -> 0 bytes
 test/reference/degenerate-radial-gradient.rgb24.ref.png                |  Bin 428 -> 0 bytes
 test/reference/degenerate-radial-gradient.traps.argb32.ref.png         |  Bin 428 -> 0 bytes
 test/reference/degenerate-radial-gradient.traps.rgb24.ref.png          |  Bin 428 -> 0 bytes
 test/reference/device-offset-fractional.argb32.ref.png                 |  Bin 266 -> 0 bytes
 test/reference/device-offset-fractional.mask.argb32.ref.png            |  Bin 266 -> 0 bytes
 test/reference/device-offset-fractional.mask.rgb24.ref.png             |  Bin 266 -> 0 bytes
 test/reference/device-offset-fractional.rgb24.ref.png                  |  Bin 266 -> 0 bytes
 test/reference/device-offset-fractional.traps.argb32.ref.png           |  Bin 266 -> 0 bytes
 test/reference/device-offset-fractional.traps.rgb24.ref.png            |  Bin 266 -> 0 bytes
 test/reference/device-offset-positive.argb32.ref.png                   |  Bin 120 -> 0 bytes
 test/reference/device-offset-positive.mask.argb32.ref.png              |  Bin 120 -> 0 bytes
 test/reference/device-offset-positive.mask.rgb24.ref.png               |  Bin 111 -> 0 bytes
 test/reference/device-offset-positive.traps.argb32.ref.png             |  Bin 120 -> 0 bytes
 test/reference/device-offset-positive.traps.rgb24.ref.png              |  Bin 111 -> 0 bytes
 test/reference/device-offset-scale.argb32.ref.png                      |  Bin 109 -> 0 bytes
 test/reference/device-offset-scale.mask.argb32.ref.png                 |  Bin 109 -> 0 bytes
 test/reference/device-offset-scale.mask.rgb24.ref.png                  |  Bin 109 -> 0 bytes
 test/reference/device-offset-scale.rgb24.ref.png                       |  Bin 109 -> 0 bytes
 test/reference/device-offset-scale.traps.argb32.ref.png                |  Bin 109 -> 0 bytes
 test/reference/device-offset-scale.traps.rgb24.ref.png                 |  Bin 109 -> 0 bytes
 test/reference/device-offset.argb32.ref.png                            |  Bin 118 -> 0 bytes
 test/reference/device-offset.mask.argb32.ref.png                       |  Bin 118 -> 0 bytes
 test/reference/device-offset.mask.rgb24.ref.png                        |  Bin 111 -> 0 bytes
 test/reference/device-offset.traps.argb32.ref.png                      |  Bin 118 -> 0 bytes
 test/reference/device-offset.traps.rgb24.ref.png                       |  Bin 111 -> 0 bytes
 test/reference/extend-pad-border.mask.argb32.ref.png                   |  Bin 495 -> 0 bytes
 test/reference/extend-pad-border.mask.rgb24.ref.png                    |  Bin 495 -> 0 bytes
 test/reference/extend-pad-border.traps.argb32.ref.png                  |  Bin 495 -> 0 bytes
 test/reference/extend-pad-border.traps.rgb24.ref.png                   |  Bin 495 -> 0 bytes
 test/reference/extend-pad-similar.argb32.ref.png                       |  Bin 279 -> 0 bytes
 test/reference/extend-pad-similar.mask.argb32.ref.png                  |  Bin 279 -> 0 bytes
 test/reference/extend-pad-similar.mask.rgb24.ref.png                   |  Bin 279 -> 0 bytes
 test/reference/extend-pad-similar.rgb24.ref.png                        |  Bin 279 -> 0 bytes
 test/reference/extend-pad-similar.traps.argb32.ref.png                 |  Bin 279 -> 0 bytes
 test/reference/extend-pad-similar.traps.rgb24.ref.png                  |  Bin 279 -> 0 bytes
 test/reference/extend-pad.argb32.ref.png                               |  Bin 279 -> 0 bytes
 test/reference/extend-pad.mask.argb32.ref.png                          |  Bin 279 -> 0 bytes
 test/reference/extend-pad.mask.rgb24.ref.png                           |  Bin 279 -> 0 bytes
 test/reference/extend-pad.rgb24.ref.png                                |  Bin 279 -> 0 bytes
 test/reference/extend-pad.traps.argb32.ref.png                         |  Bin 279 -> 0 bytes
 test/reference/extend-pad.traps.rgb24.ref.png                          |  Bin 279 -> 0 bytes
 test/reference/extend-reflect-similar.argb32.ref.png                   |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect-similar.mask.argb32.ref.png              |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect-similar.mask.rgb24.ref.png               |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect-similar.rgb24.ref.png                    |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect-similar.traps.argb32.ref.png             |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect-similar.traps.rgb24.ref.png              |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect.argb32.ref.png                           |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect.mask.argb32.ref.png                      |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect.mask.rgb24.ref.png                       |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect.rgb24.ref.png                            |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect.traps.argb32.ref.png                     |  Bin 133406 -> 0 bytes
 test/reference/extend-reflect.traps.rgb24.ref.png                      |  Bin 133406 -> 0 bytes
 test/reference/extend-repeat-similar.argb32.ref.png                    |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat-similar.mask.argb32.ref.png               |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat-similar.mask.rgb24.ref.png                |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat-similar.rgb24.ref.png                     |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat-similar.traps.argb32.ref.png              |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat-similar.traps.rgb24.ref.png               |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat.argb32.ref.png                            |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat.mask.argb32.ref.png                       |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat.mask.rgb24.ref.png                        |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat.rgb24.ref.png                             |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat.traps.argb32.ref.png                      |  Bin 108603 -> 0 bytes
 test/reference/extend-repeat.traps.rgb24.ref.png                       |  Bin 108603 -> 0 bytes
 test/reference/extended-blend-alpha-mask.mask.argb32.ref.png           |  Bin 9221 -> 0 bytes
 test/reference/extended-blend-alpha-mask.mask.rgb24.ref.png            |  Bin 4597 -> 0 bytes
 test/reference/extended-blend-alpha-mask.traps.argb32.ref.png          |  Bin 9221 -> 0 bytes
 test/reference/extended-blend-alpha-mask.traps.rgb24.ref.png           |  Bin 4597 -> 0 bytes
 test/reference/extended-blend-alpha.mask.argb32.ref.png                |  Bin 9406 -> 0 bytes
 test/reference/extended-blend-alpha.mask.rgb24.ref.png                 |  Bin 5740 -> 0 bytes
 test/reference/extended-blend-alpha.traps.argb32.ref.png               |  Bin 9406 -> 0 bytes
 test/reference/extended-blend-alpha.traps.rgb24.ref.png                |  Bin 5740 -> 0 bytes
 test/reference/extended-blend-mask.mask.argb32.ref.png                 |  Bin 3971 -> 0 bytes
 test/reference/extended-blend-mask.mask.rgb24.ref.png                  |  Bin 3643 -> 0 bytes
 test/reference/extended-blend-mask.traps.argb32.ref.png                |  Bin 3971 -> 0 bytes
 test/reference/extended-blend-mask.traps.rgb24.ref.png                 |  Bin 3643 -> 0 bytes
 test/reference/extended-blend-solid-alpha.mask.argb32.ref.png          |  Bin 9406 -> 0 bytes
 test/reference/extended-blend-solid-alpha.mask.rgb24.ref.png           |  Bin 5740 -> 0 bytes
 test/reference/extended-blend-solid-alpha.traps.argb32.ref.png         |  Bin 9406 -> 0 bytes
 test/reference/extended-blend-solid-alpha.traps.rgb24.ref.png          |  Bin 5740 -> 0 bytes
 test/reference/extended-blend-solid.mask.argb32.ref.png                |  Bin 4063 -> 0 bytes
 test/reference/extended-blend-solid.mask.rgb24.ref.png                 |  Bin 3775 -> 0 bytes
 test/reference/extended-blend-solid.traps.argb32.ref.png               |  Bin 4063 -> 0 bytes
 test/reference/extended-blend-solid.traps.rgb24.ref.png                |  Bin 3775 -> 0 bytes
 test/reference/extended-blend.mask.argb32.ref.png                      |  Bin 4063 -> 0 bytes
 test/reference/extended-blend.mask.rgb24.ref.png                       |  Bin 3775 -> 0 bytes
 test/reference/extended-blend.traps.argb32.ref.png                     |  Bin 4063 -> 0 bytes
 test/reference/extended-blend.traps.rgb24.ref.png                      |  Bin 3775 -> 0 bytes
 test/reference/fill-alpha-pattern.mask.argb32.ref.png                  |  Bin 3381 -> 0 bytes
 test/reference/fill-alpha-pattern.mask.rgb24.ref.png                   |  Bin 3381 -> 0 bytes
 test/reference/fill-alpha.mask.argb32.ref.png                          |  Bin 2736 -> 0 bytes
 test/reference/fill-alpha.mask.rgb24.ref.png                           |  Bin 2736 -> 0 bytes
 test/reference/fill-and-stroke-alpha-add.mask.argb32.ref.png           |  Bin 556 -> 0 bytes
 test/reference/fill-and-stroke-alpha-add.mask.rgb24.ref.png            |  Bin 556 -> 0 bytes
 test/reference/fill-and-stroke-alpha.mask.argb32.ref.png               |  Bin 508 -> 0 bytes
 test/reference/fill-and-stroke-alpha.mask.rgb24.ref.png                |  Bin 508 -> 0 bytes
 test/reference/fill-and-stroke.mask.argb32.ref.png                     |  Bin 312 -> 0 bytes
 test/reference/fill-and-stroke.mask.rgb24.ref.png                      |  Bin 283 -> 0 bytes
 test/reference/fill-degenerate-sort-order.mask.argb32.ref.png          |  Bin 2400 -> 0 bytes
 test/reference/fill-degenerate-sort-order.mask.rgb24.ref.png           |  Bin 2049 -> 0 bytes
 test/reference/fill-disjoint.argb32.ref.png                            |  Bin 1098 -> 0 bytes
 test/reference/fill-disjoint.mask.argb32.ref.png                       |  Bin 1098 -> 0 bytes
 test/reference/fill-disjoint.mask.rgb24.ref.png                        |  Bin 1098 -> 0 bytes
 test/reference/fill-disjoint.rgb24.ref.png                             |  Bin 1098 -> 0 bytes
 test/reference/fill-disjoint.traps.argb32.ref.png                      |  Bin 1098 -> 0 bytes
 test/reference/fill-disjoint.traps.rgb24.ref.png                       |  Bin 1098 -> 0 bytes
 test/reference/fill-empty.mask.argb32.ref.png                          |  Bin 99 -> 0 bytes
 test/reference/fill-empty.mask.rgb24.ref.png                           |  Bin 97 -> 0 bytes
 test/reference/fill-empty.traps.argb32.ref.png                         |  Bin 99 -> 0 bytes
 test/reference/fill-empty.traps.rgb24.ref.png                          |  Bin 97 -> 0 bytes
 test/reference/fill-image.mask.argb32.ref.png                          |  Bin 1315 -> 0 bytes
 test/reference/fill-image.mask.rgb24.ref.png                           |  Bin 1315 -> 0 bytes
 test/reference/fill-missed-stop.mask.argb32.ref.png                    |  Bin 455 -> 0 bytes
 test/reference/fill-missed-stop.mask.rgb24.ref.png                     |  Bin 382 -> 0 bytes
 test/reference/fill-rule.mask.argb32.ref.png                           |  Bin 2065 -> 0 bytes
 test/reference/fill-rule.mask.rgb24.ref.png                            |  Bin 1803 -> 0 bytes
 test/reference/filter-bilinear-extents.mask.argb32.ref.png             |  Bin 1210 -> 0 bytes
 test/reference/filter-bilinear-extents.mask.rgb24.ref.png              |  Bin 1210 -> 0 bytes
 test/reference/filter-bilinear-extents.traps.argb32.ref.png            |  Bin 1210 -> 0 bytes
 test/reference/filter-bilinear-extents.traps.rgb24.ref.png             |  Bin 1210 -> 0 bytes
 test/reference/filter-nearest-offset.argb32.ref.png                    |  Bin 201 -> 0 bytes
 test/reference/filter-nearest-offset.mask.argb32.ref.png               |  Bin 201 -> 0 bytes
 test/reference/filter-nearest-offset.mask.rgb24.ref.png                |  Bin 201 -> 0 bytes
 test/reference/filter-nearest-offset.rgb24.ref.png                     |  Bin 201 -> 0 bytes
 test/reference/filter-nearest-offset.traps.argb32.ref.png              |  Bin 201 -> 0 bytes
 test/reference/filter-nearest-offset.traps.rgb24.ref.png               |  Bin 201 -> 0 bytes
 test/reference/filter-nearest-transformed.argb32.ref.png               |  Bin 514 -> 0 bytes
 test/reference/filter-nearest-transformed.mask.argb32.ref.png          |  Bin 514 -> 0 bytes
 test/reference/filter-nearest-transformed.mask.rgb24.ref.png           |  Bin 514 -> 0 bytes
 test/reference/filter-nearest-transformed.rgb24.ref.png                |  Bin 514 -> 0 bytes
 test/reference/filter-nearest-transformed.traps.argb32.ref.png         |  Bin 514 -> 0 bytes
 test/reference/filter-nearest-transformed.traps.rgb24.ref.png          |  Bin 514 -> 0 bytes
 test/reference/font-matrix-translation.mask.argb32.ref.png             |  Bin 865 -> 0 bytes
 test/reference/font-matrix-translation.mask.rgb24.ref.png              |  Bin 865 -> 0 bytes
 test/reference/font-matrix-translation.traps.argb32.ref.png            |  Bin 865 -> 0 bytes
 test/reference/font-matrix-translation.traps.rgb24.ref.png             |  Bin 865 -> 0 bytes
 test/reference/ft-show-glyphs-positioning.mask.argb32.ref.png          |  Bin 3243 -> 0 bytes
 test/reference/ft-show-glyphs-positioning.mask.rgb24.ref.png           |  Bin 3243 -> 0 bytes
 test/reference/ft-show-glyphs-positioning.traps.argb32.ref.png         |  Bin 3243 -> 0 bytes
 test/reference/ft-show-glyphs-positioning.traps.rgb24.ref.png          |  Bin 3243 -> 0 bytes
 test/reference/ft-show-glyphs-table.mask.argb32.ref.png                |  Bin 9975 -> 0 bytes
 test/reference/ft-show-glyphs-table.mask.rgb24.ref.png                 |  Bin 9975 -> 0 bytes
 test/reference/ft-show-glyphs-table.traps.argb32.ref.png               |  Bin 9975 -> 0 bytes
 test/reference/ft-show-glyphs-table.traps.rgb24.ref.png                |  Bin 9975 -> 0 bytes
 test/reference/ft-text-antialias-none.argb32.ref.png                   |  Bin 295 -> 0 bytes
 test/reference/ft-text-antialias-none.mask.argb32.ref.png              |  Bin 295 -> 0 bytes
 test/reference/ft-text-antialias-none.mask.rgb24.ref.png               |  Bin 295 -> 0 bytes
 test/reference/ft-text-antialias-none.rgb24.ref.png                    |  Bin 295 -> 0 bytes
 test/reference/ft-text-antialias-none.traps.argb32.ref.png             |  Bin 295 -> 0 bytes
 test/reference/ft-text-antialias-none.traps.rgb24.ref.png              |  Bin 295 -> 0 bytes
 test/reference/ft-text-vertical-layout-type1.mask.argb32.ref.png       |  Bin 3062 -> 0 bytes
 test/reference/ft-text-vertical-layout-type1.mask.rgb24.ref.png        |  Bin 3062 -> 0 bytes
 test/reference/get-group-target.argb32.ref.png                         |  Bin 113 -> 0 bytes
 test/reference/get-group-target.mask.argb32.ref.png                    |  Bin 113 -> 0 bytes
 test/reference/get-group-target.mask.rgb24.ref.png                     |  Bin 113 -> 0 bytes
 test/reference/get-group-target.rgb24.ref.png                          |  Bin 113 -> 0 bytes
 test/reference/get-group-target.traps.argb32.ref.png                   |  Bin 113 -> 0 bytes
 test/reference/get-group-target.traps.rgb24.ref.png                    |  Bin 113 -> 0 bytes
 test/reference/gl-surface-source.mask.argb32.ref.png                   |  Bin 377 -> 0 bytes
 test/reference/gl-surface-source.mask.rgb24.ref.png                    |  Bin 301 -> 0 bytes
 test/reference/gl-surface-source.traps.argb32.ref.png                  |  Bin 377 -> 0 bytes
 test/reference/gl-surface-source.traps.rgb24.ref.png                   |  Bin 301 -> 0 bytes
 test/reference/glyph-cache-pressure.mask.argb32.ref.png                |  Bin 2858 -> 0 bytes
 test/reference/glyph-cache-pressure.mask.rgb24.ref.png                 |  Bin 2858 -> 0 bytes
 test/reference/glyph-cache-pressure.traps.argb32.ref.png               |  Bin 2858 -> 0 bytes
 test/reference/glyph-cache-pressure.traps.rgb24.ref.png                |  Bin 2858 -> 0 bytes
 test/reference/gradient-alpha.mask.argb32.ref.png                      |  Bin 125 -> 0 bytes
 test/reference/gradient-alpha.mask.rgb24.ref.png                       |  Bin 119 -> 0 bytes
 test/reference/gradient-alpha.traps.argb32.ref.png                     |  Bin 125 -> 0 bytes
 test/reference/gradient-alpha.traps.rgb24.ref.png                      |  Bin 119 -> 0 bytes
 test/reference/gradient-constant-alpha.mask.argb32.ref.png             |  Bin 111 -> 0 bytes
 test/reference/gradient-constant-alpha.mask.rgb24.ref.png              |  Bin 106 -> 0 bytes
 test/reference/gradient-constant-alpha.traps.argb32.ref.png            |  Bin 111 -> 0 bytes
 test/reference/gradient-constant-alpha.traps.rgb24.ref.png             |  Bin 106 -> 0 bytes
 test/reference/gradient-zero-stops-mask.mask.argb32.ref.png            |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops-mask.mask.rgb24.ref.png             |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops-mask.traps.argb32.ref.png           |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops-mask.traps.rgb24.ref.png            |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.argb32.ref.png                      |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.mask.argb32.ref.png                 |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.mask.rgb24.ref.png                  |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.traps.argb32.ref.png                |  Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.traps.rgb24.ref.png                 |  Bin 86 -> 0 bytes
 test/reference/group-clip.argb32.ref.png                               |  Bin 191 -> 0 bytes
 test/reference/group-clip.mask.argb32.ref.png                          |  Bin 191 -> 0 bytes
 test/reference/group-clip.mask.rgb24.ref.png                           |  Bin 191 -> 0 bytes
 test/reference/group-clip.rgb24.ref.png                                |  Bin 191 -> 0 bytes
 test/reference/group-clip.traps.argb32.ref.png                         |  Bin 191 -> 0 bytes
 test/reference/group-clip.traps.rgb24.ref.png                          |  Bin 191 -> 0 bytes
 test/reference/group-paint.argb32.ref.png                              |  Bin 95 -> 0 bytes
 test/reference/group-paint.mask.argb32.ref.png                         |  Bin 95 -> 0 bytes
 test/reference/group-paint.mask.rgb24.ref.png                          |  Bin 95 -> 0 bytes
 test/reference/group-paint.rgb24.ref.png                               |  Bin 95 -> 0 bytes
 test/reference/group-paint.traps.argb32.ref.png                        |  Bin 95 -> 0 bytes
 test/reference/group-paint.traps.rgb24.ref.png                         |  Bin 95 -> 0 bytes
 test/reference/group-unaligned.mask.argb32.ref.png                     |  Bin 427 -> 0 bytes
 test/reference/group-unaligned.mask.rgb24.ref.png                      |  Bin 427 -> 0 bytes
 test/reference/halo-transform.mask.argb32.ref.png                      |  Bin 15063 -> 0 bytes
 test/reference/halo-transform.mask.rgb24.ref.png                       |  Bin 15063 -> 0 bytes
 test/reference/halo-transform.traps.argb32.ref.png                     |  Bin 15122 -> 0 bytes
 test/reference/halo-transform.traps.rgb24.ref.png                      |  Bin 15122 -> 0 bytes
 test/reference/horizontal-clip.mask.argb32.ref.png                     |  Bin 113 -> 0 bytes
 test/reference/horizontal-clip.mask.rgb24.ref.png                      |  Bin 113 -> 0 bytes
 test/reference/horizontal-clip.traps.argb32.ref.png                    |  Bin 113 -> 0 bytes
 test/reference/horizontal-clip.traps.rgb24.ref.png                     |  Bin 113 -> 0 bytes
 test/reference/huge-linear.mask.argb32.ref.png                         |  Bin 1600 -> 0 bytes
 test/reference/huge-linear.mask.rgb24.ref.png                          |  Bin 1600 -> 0 bytes
 test/reference/huge-linear.traps.argb32.ref.png                        |  Bin 1600 -> 0 bytes
 test/reference/huge-linear.traps.rgb24.ref.png                         |  Bin 1600 -> 0 bytes
 test/reference/huge-radial.argb32.ref.png                              |  Bin 41702 -> 0 bytes
 test/reference/huge-radial.mask.argb32.ref.png                         |  Bin 41702 -> 0 bytes
 test/reference/huge-radial.mask.rgb24.ref.png                          |  Bin 41702 -> 0 bytes
 test/reference/huge-radial.rgb24.ref.png                               |  Bin 41702 -> 0 bytes
 test/reference/huge-radial.traps.argb32.ref.png                        |  Bin 41702 -> 0 bytes
 test/reference/huge-radial.traps.rgb24.ref.png                         |  Bin 41702 -> 0 bytes
 test/reference/image-bug-710072-aligned.argb32.ref.png                 |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.mask.argb32.ref.png            |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.mask.rgb24.ref.png             |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.rgb24.ref.png                  |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.traps.argb32.ref.png           |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.traps.rgb24.ref.png            |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.xlib-fallback.rgb24.ref.png    |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-aligned.xlib-window.rgb24.ref.png      |  Bin 151 -> 0 bytes
 test/reference/image-bug-710072-unaligned.argb32.ref.png               |  Bin 212 -> 0 bytes
 test/reference/image-bug-710072-unaligned.mask.argb32.ref.png          |  Bin 212 -> 0 bytes
 test/reference/image-bug-710072-unaligned.mask.rgb24.ref.png           |  Bin 212 -> 0 bytes
 test/reference/image-bug-710072-unaligned.rgb24.ref.png                |  Bin 212 -> 0 bytes
 test/reference/image-surface-source.mask.argb32.ref.png                |  Bin 377 -> 0 bytes
 test/reference/image-surface-source.mask.rgb24.ref.png                 |  Bin 301 -> 0 bytes
 test/reference/image-surface-source.traps.argb32.ref.png               |  Bin 377 -> 0 bytes
 test/reference/image-surface-source.traps.rgb24.ref.png                |  Bin 301 -> 0 bytes
 test/reference/image-surface-source.xlib-fallback.rgb24.ref.png        |  Bin 301 -> 0 bytes
 test/reference/image-surface-source.xlib-window.rgb24.ref.png          |  Bin 301 -> 0 bytes
 test/reference/implicit-close.argb32.ref.png                           |  Bin 251 -> 0 bytes
 test/reference/implicit-close.mask.argb32.ref.png                      |  Bin 251 -> 0 bytes
 test/reference/implicit-close.mask.rgb24.ref.png                       |  Bin 251 -> 0 bytes
 test/reference/implicit-close.rgb24.ref.png                            |  Bin 251 -> 0 bytes
 test/reference/infinite-join.mask.argb32.ref.png                       |  Bin 164 -> 0 bytes
 test/reference/infinite-join.mask.rgb24.ref.png                        |  Bin 164 -> 0 bytes
 test/reference/inverse-text.traps.argb32.ref.png                       |  Bin 2162 -> 0 bytes
 test/reference/inverse-text.traps.rgb24.ref.png                        |  Bin 2162 -> 0 bytes
 test/reference/joins-loop.mask.argb32.ref.png                          |  Bin 4492 -> 0 bytes
 test/reference/joins-loop.mask.rgb24.ref.png                           |  Bin 4492 -> 0 bytes
 test/reference/joins-star.mask.argb32.ref.png                          |  Bin 4914 -> 0 bytes
 test/reference/joins-star.mask.rgb24.ref.png                           |  Bin 4914 -> 0 bytes
 test/reference/large-clip.argb32.ref.png                               |  Bin 305 -> 0 bytes
 test/reference/large-clip.mask.argb32.ref.png                          |  Bin 305 -> 0 bytes
 test/reference/large-clip.mask.rgb24.ref.png                           |  Bin 305 -> 0 bytes
 test/reference/large-clip.rgb24.ref.png                                |  Bin 305 -> 0 bytes
 test/reference/large-clip.traps.argb32.ref.png                         |  Bin 305 -> 0 bytes
 test/reference/large-clip.traps.rgb24.ref.png                          |  Bin 305 -> 0 bytes
 test/reference/large-font.argb32.ref.png                               |  Bin 6117 -> 0 bytes
 test/reference/large-font.mask.argb32.ref.png                          |  Bin 6117 -> 0 bytes
 test/reference/large-font.mask.rgb24.ref.png                           |  Bin 6117 -> 0 bytes
 test/reference/large-font.rgb24.ref.png                                |  Bin 6117 -> 0 bytes
 test/reference/large-font.traps.argb32.ref.png                         |  Bin 6117 -> 0 bytes
 test/reference/large-font.traps.rgb24.ref.png                          |  Bin 6117 -> 0 bytes
 test/reference/large-source-roi.argb32.ref.png                         |  Bin 93 -> 0 bytes
 test/reference/large-source-roi.mask.argb32.ref.png                    |  Bin 93 -> 0 bytes
 test/reference/large-source-roi.mask.rgb24.ref.png                     |  Bin 93 -> 0 bytes
 test/reference/large-source-roi.rgb24.ref.png                          |  Bin 93 -> 0 bytes
 test/reference/large-source-roi.traps.argb32.ref.png                   |  Bin 93 -> 0 bytes
 test/reference/large-source-roi.traps.rgb24.ref.png                    |  Bin 93 -> 0 bytes
 test/reference/large-source.argb32.ref.png                             |  Bin 112 -> 0 bytes
 test/reference/large-source.mask.argb32.ref.png                        |  Bin 112 -> 0 bytes
 test/reference/large-source.mask.rgb24.ref.png                         |  Bin 112 -> 0 bytes
 test/reference/large-source.rgb24.ref.png                              |  Bin 112 -> 0 bytes
 test/reference/large-source.traps.argb32.ref.png                       |  Bin 112 -> 0 bytes
 test/reference/large-source.traps.rgb24.ref.png                        |  Bin 112 -> 0 bytes
 test/reference/large-twin-antialias-mixed.mask.argb32.ref.png          |  Bin 16660 -> 0 bytes
 test/reference/large-twin-antialias-mixed.mask.rgb24.ref.png           |  Bin 16660 -> 0 bytes
 test/reference/leaky-dash.argb32.ref.png                               |  Bin 197 -> 0 bytes
 test/reference/leaky-dash.mask.argb32.ref.png                          |  Bin 197 -> 0 bytes
 test/reference/leaky-dash.mask.rgb24.ref.png                           |  Bin 197 -> 0 bytes
 test/reference/leaky-dash.rgb24.ref.png                                |  Bin 197 -> 0 bytes
 test/reference/leaky-dash.traps.argb32.ref.png                         |  Bin 197 -> 0 bytes
 test/reference/leaky-dash.traps.rgb24.ref.png                          |  Bin 197 -> 0 bytes
 test/reference/leaky-dashed-rectangle.argb32.ref.png                   |  Bin 357 -> 0 bytes
 test/reference/leaky-dashed-rectangle.mask.argb32.ref.png              |  Bin 357 -> 0 bytes
 test/reference/leaky-dashed-rectangle.mask.rgb24.ref.png               |  Bin 357 -> 0 bytes
 test/reference/leaky-dashed-rectangle.rgb24.ref.png                    |  Bin 357 -> 0 bytes
 test/reference/leaky-dashed-stroke.mask.argb32.ref.png                 |  Bin 9387 -> 0 bytes
 test/reference/leaky-dashed-stroke.mask.rgb24.ref.png                  |  Bin 9387 -> 0 bytes
 test/reference/leaky-polygon.mask.argb32.ref.png                       |  Bin 337 -> 0 bytes
 test/reference/leaky-polygon.mask.rgb24.ref.png                        |  Bin 337 -> 0 bytes
 test/reference/line-width-large-overlap-flipped.argb32.ref.png         |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flipped.mask.argb32.ref.png    |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flipped.mask.rgb24.ref.png     |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flipped.rgb24.ref.png          |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flipped.traps.argb32.ref.png   |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flipped.traps.rgb24.ref.png    |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flopped.argb32.ref.png         |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flopped.mask.argb32.ref.png    |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flopped.mask.rgb24.ref.png     |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flopped.rgb24.ref.png          |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flopped.traps.argb32.ref.png   |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-flopped.traps.rgb24.ref.png    |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-offset.argb32.ref.png          |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-offset.mask.argb32.ref.png     |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-offset.mask.rgb24.ref.png      |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-offset.rgb24.ref.png           |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-offset.traps.argb32.ref.png    |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-offset.traps.rgb24.ref.png     |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap-rotated.mask.argb32.ref.png    |  Bin 427 -> 0 bytes
 test/reference/line-width-large-overlap-rotated.mask.rgb24.ref.png     |  Bin 427 -> 0 bytes
 test/reference/line-width-large-overlap-rotated.traps.argb32.ref.png   |  Bin 404 -> 0 bytes
 test/reference/line-width-large-overlap-rotated.traps.rgb24.ref.png    |  Bin 404 -> 0 bytes
 test/reference/line-width-large-overlap.argb32.ref.png                 |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap.mask.argb32.ref.png            |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap.mask.rgb24.ref.png             |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap.rgb24.ref.png                  |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap.traps.argb32.ref.png           |  Bin 305 -> 0 bytes
 test/reference/line-width-large-overlap.traps.rgb24.ref.png            |  Bin 305 -> 0 bytes
 test/reference/line-width-overlap-flipped.argb32.ref.png               |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flipped.mask.argb32.ref.png          |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flipped.mask.rgb24.ref.png           |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flipped.rgb24.ref.png                |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flipped.traps.argb32.ref.png         |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flipped.traps.rgb24.ref.png          |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flopped.argb32.ref.png               |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flopped.mask.argb32.ref.png          |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flopped.mask.rgb24.ref.png           |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flopped.rgb24.ref.png                |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flopped.traps.argb32.ref.png         |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-flopped.traps.rgb24.ref.png          |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap-offset.argb32.ref.png                |  Bin 348 -> 0 bytes
 test/reference/line-width-overlap-offset.mask.argb32.ref.png           |  Bin 348 -> 0 bytes
 test/reference/line-width-overlap-offset.mask.rgb24.ref.png            |  Bin 348 -> 0 bytes
 test/reference/line-width-overlap-offset.rgb24.ref.png                 |  Bin 348 -> 0 bytes
 test/reference/line-width-overlap-offset.traps.argb32.ref.png          |  Bin 365 -> 0 bytes
 test/reference/line-width-overlap-offset.traps.rgb24.ref.png           |  Bin 365 -> 0 bytes
 test/reference/line-width-overlap-rotated.mask.argb32.ref.png          |  Bin 828 -> 0 bytes
 test/reference/line-width-overlap-rotated.mask.rgb24.ref.png           |  Bin 828 -> 0 bytes
 test/reference/line-width-overlap.argb32.ref.png                       |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap.mask.argb32.ref.png                  |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap.mask.rgb24.ref.png                   |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap.rgb24.ref.png                        |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap.traps.argb32.ref.png                 |  Bin 324 -> 0 bytes
 test/reference/line-width-overlap.traps.rgb24.ref.png                  |  Bin 324 -> 0 bytes
 test/reference/line-width-scale.mask.argb32.ref.png                    |  Bin 5721 -> 0 bytes
 test/reference/line-width-scale.mask.rgb24.ref.png                     |  Bin 5721 -> 0 bytes
 test/reference/line-width-tolerance.mask.argb32.ref.png                |  Bin 168 -> 0 bytes
 test/reference/line-width-tolerance.mask.rgb24.ref.png                 |  Bin 168 -> 0 bytes
 test/reference/line-width.mask.argb32.ref.png                          |  Bin 178 -> 0 bytes
 test/reference/line-width.mask.rgb24.ref.png                           |  Bin 178 -> 0 bytes
 test/reference/linear-gradient-extend.argb32.ref.png                   |  Bin 371 -> 0 bytes
 test/reference/linear-gradient-extend.mask.argb32.ref.png              |  Bin 371 -> 0 bytes
 test/reference/linear-gradient-extend.mask.rgb24.ref.png               |  Bin 371 -> 0 bytes
 test/reference/linear-gradient-extend.rgb24.ref.png                    |  Bin 371 -> 0 bytes
 test/reference/linear-gradient-extend.traps.argb32.ref.png             |  Bin 371 -> 0 bytes
 test/reference/linear-gradient-extend.traps.rgb24.ref.png              |  Bin 371 -> 0 bytes
 test/reference/linear-gradient-large.argb32.ref.png                    |  Bin 4076 -> 0 bytes
 test/reference/linear-gradient-large.mask.argb32.ref.png               |  Bin 4076 -> 0 bytes
 test/reference/linear-gradient-large.mask.rgb24.ref.png                |  Bin 4076 -> 0 bytes
 test/reference/linear-gradient-large.rgb24.ref.png                     |  Bin 4076 -> 0 bytes
 test/reference/linear-gradient-large.traps.argb32.ref.png              |  Bin 4076 -> 0 bytes
 test/reference/linear-gradient-large.traps.rgb24.ref.png               |  Bin 4076 -> 0 bytes
 test/reference/linear-gradient-one-stop.mask.argb32.ref.png            |  Bin 225 -> 0 bytes
 test/reference/linear-gradient-one-stop.mask.rgb24.ref.png             |  Bin 174 -> 0 bytes
 test/reference/linear-gradient-one-stop.traps.argb32.ref.png           |  Bin 225 -> 0 bytes
 test/reference/linear-gradient-one-stop.traps.rgb24.ref.png            |  Bin 174 -> 0 bytes
 test/reference/linear-gradient-reflect.mask.argb32.ref.png             |  Bin 185 -> 0 bytes
 test/reference/linear-gradient-reflect.mask.rgb24.ref.png              |  Bin 185 -> 0 bytes
 test/reference/linear-gradient-reflect.traps.argb32.ref.png            |  Bin 185 -> 0 bytes
 test/reference/linear-gradient-reflect.traps.rgb24.ref.png             |  Bin 185 -> 0 bytes
 test/reference/linear-gradient-subset.mask.argb32.ref.png              |  Bin 820 -> 0 bytes
 test/reference/linear-gradient-subset.mask.rgb24.ref.png               |  Bin 820 -> 0 bytes
 test/reference/linear-gradient.mask.argb32.ref.png                     |  Bin 974 -> 0 bytes
 test/reference/linear-gradient.mask.rgb24.ref.png                      |  Bin 974 -> 0 bytes
 test/reference/linear-uniform.argb32.ref.png                           |  Bin 128 -> 0 bytes
 test/reference/linear-uniform.mask.argb32.ref.png                      |  Bin 128 -> 0 bytes
 test/reference/linear-uniform.mask.rgb24.ref.png                       |  Bin 128 -> 0 bytes
 test/reference/linear-uniform.rgb24.ref.png                            |  Bin 128 -> 0 bytes
 test/reference/linear-uniform.traps.argb32.ref.png                     |  Bin 128 -> 0 bytes
 test/reference/linear-uniform.traps.rgb24.ref.png                      |  Bin 128 -> 0 bytes
 test/reference/long-dashed-lines.mask.argb32.ref.png                   |  Bin 2548 -> 0 bytes
 test/reference/long-dashed-lines.mask.rgb24.ref.png                    |  Bin 2548 -> 0 bytes
 test/reference/map-all-to-image.argb32.ref.png                         |  Bin 86 -> 0 bytes
 test/reference/map-all-to-image.mask.argb32.ref.png                    |  Bin 86 -> 0 bytes
 test/reference/map-all-to-image.mask.rgb24.ref.png                     |  Bin 86 -> 0 bytes
 test/reference/map-all-to-image.rgb24.ref.png                          |  Bin 86 -> 0 bytes
 test/reference/map-all-to-image.traps.argb32.ref.png                   |  Bin 86 -> 0 bytes
 test/reference/map-all-to-image.traps.rgb24.ref.png                    |  Bin 86 -> 0 bytes
 test/reference/map-bit-to-image.argb32.ref.png                         |  Bin 103 -> 0 bytes
 test/reference/map-bit-to-image.mask.argb32.ref.png                    |  Bin 103 -> 0 bytes
 test/reference/map-bit-to-image.mask.rgb24.ref.png                     |  Bin 103 -> 0 bytes
 test/reference/map-bit-to-image.rgb24.ref.png                          |  Bin 103 -> 0 bytes
 test/reference/map-bit-to-image.traps.argb32.ref.png                   |  Bin 103 -> 0 bytes
 test/reference/map-bit-to-image.traps.rgb24.ref.png                    |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.argb32.ref.png                        |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.mask.argb32.ref.png                   |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.mask.rgb24.ref.png                    |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.rgb24.ref.png                         |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.traps.argb32.ref.png                  |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.traps.rgb24.ref.png                   |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.xlib-fallback.rgb24.ref.png           |  Bin 103 -> 0 bytes
 test/reference/map-to-image-fill.xlib-window.rgb24.ref.png             |  Bin 103 -> 0 bytes
 test/reference/mask-alpha.mask.argb32.ref.png                          |  Bin 632 -> 0 bytes
 test/reference/mask-alpha.mask.rgb24.ref.png                           |  Bin 589 -> 0 bytes
 test/reference/mask-ctm.argb32.ref.png                                 |  Bin 110 -> 0 bytes
 test/reference/mask-ctm.mask.argb32.ref.png                            |  Bin 110 -> 0 bytes
 test/reference/mask-ctm.mask.rgb24.ref.png                             |  Bin 105 -> 0 bytes
 test/reference/mask-ctm.traps.argb32.ref.png                           |  Bin 110 -> 0 bytes
 test/reference/mask-ctm.traps.rgb24.ref.png                            |  Bin 105 -> 0 bytes
 test/reference/mask-surface-ctm.argb32.ref.png                         |  Bin 110 -> 0 bytes
 test/reference/mask-surface-ctm.mask.argb32.ref.png                    |  Bin 110 -> 0 bytes
 test/reference/mask-surface-ctm.mask.rgb24.ref.png                     |  Bin 105 -> 0 bytes
 test/reference/mask-surface-ctm.traps.argb32.ref.png                   |  Bin 110 -> 0 bytes
 test/reference/mask-surface-ctm.traps.rgb24.ref.png                    |  Bin 105 -> 0 bytes
 test/reference/mask-transformed-image.mask.argb32.ref.png              |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-image.mask.rgb24.ref.png               |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-image.traps.argb32.ref.png             |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-image.traps.rgb24.ref.png              |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.mask.argb32.ref.png            |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.mask.rgb24.ref.png             |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.traps.argb32.ref.png           |  Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.traps.rgb24.ref.png            |  Bin 3812 -> 0 bytes
 test/reference/mask.mask.argb32.ref.png                                |  Bin 8565 -> 0 bytes
 test/reference/mask.mask.rgb24.ref.png                                 |  Bin 7135 -> 0 bytes
 test/reference/mesh-pattern-accuracy.argb32.ref.png                    |  Bin 8086 -> 0 bytes
 test/reference/mesh-pattern-accuracy.mask.argb32.ref.png               |  Bin 8086 -> 0 bytes
 test/reference/mesh-pattern-accuracy.mask.rgb24.ref.png                |  Bin 8086 -> 0 bytes
 test/reference/mesh-pattern-accuracy.rgb24.ref.png                     |  Bin 8086 -> 0 bytes
 test/reference/mesh-pattern-accuracy.traps.argb32.ref.png              |  Bin 8086 -> 0 bytes
 test/reference/mesh-pattern-accuracy.traps.rgb24.ref.png               |  Bin 8086 -> 0 bytes
 test/reference/mesh-pattern-conical.argb32.ref.png                     |  Bin 8655 -> 0 bytes
 test/reference/mesh-pattern-conical.mask.argb32.ref.png                |  Bin 8655 -> 0 bytes
 test/reference/mesh-pattern-conical.mask.rgb24.ref.png                 |  Bin 8655 -> 0 bytes
 test/reference/mesh-pattern-conical.rgb24.ref.png                      |  Bin 8655 -> 0 bytes
 test/reference/mesh-pattern-conical.traps.argb32.ref.png               |  Bin 8655 -> 0 bytes
 test/reference/mesh-pattern-conical.traps.rgb24.ref.png                |  Bin 8655 -> 0 bytes
 test/reference/mesh-pattern-control-points.argb32.ref.png              |  Bin 10665 -> 0 bytes
 test/reference/mesh-pattern-control-points.mask.argb32.ref.png         |  Bin 10665 -> 0 bytes
 test/reference/mesh-pattern-control-points.mask.rgb24.ref.png          |  Bin 10665 -> 0 bytes
 test/reference/mesh-pattern-control-points.rgb24.ref.png               |  Bin 10665 -> 0 bytes
 test/reference/mesh-pattern-control-points.traps.argb32.ref.png        |  Bin 10665 -> 0 bytes
 test/reference/mesh-pattern-control-points.traps.rgb24.ref.png         |  Bin 10665 -> 0 bytes
 test/reference/mesh-pattern-fold.argb32.ref.png                        |  Bin 52980 -> 0 bytes
 test/reference/mesh-pattern-fold.mask.argb32.ref.png                   |  Bin 52980 -> 0 bytes
 test/reference/mesh-pattern-fold.mask.rgb24.ref.png                    |  Bin 52980 -> 0 bytes
 test/reference/mesh-pattern-fold.rgb24.ref.png                         |  Bin 52980 -> 0 bytes
 test/reference/mesh-pattern-fold.traps.argb32.ref.png                  |  Bin 52980 -> 0 bytes
 test/reference/mesh-pattern-fold.traps.rgb24.ref.png                   |  Bin 52980 -> 0 bytes
 test/reference/mesh-pattern-overlap.argb32.ref.png                     |  Bin 9129 -> 0 bytes
 test/reference/mesh-pattern-overlap.mask.argb32.ref.png                |  Bin 9129 -> 0 bytes
 test/reference/mesh-pattern-overlap.mask.rgb24.ref.png                 |  Bin 9129 -> 0 bytes
 test/reference/mesh-pattern-overlap.rgb24.ref.png                      |  Bin 9129 -> 0 bytes
 test/reference/mesh-pattern-overlap.traps.argb32.ref.png               |  Bin 9129 -> 0 bytes
 test/reference/mesh-pattern-overlap.traps.rgb24.ref.png                |  Bin 9129 -> 0 bytes
 test/reference/mesh-pattern-transformed.argb32.ref.png                 |  Bin 14463 -> 0 bytes
 test/reference/mesh-pattern-transformed.mask.argb32.ref.png            |  Bin 14463 -> 0 bytes
 test/reference/mesh-pattern-transformed.mask.rgb24.ref.png             |  Bin 14463 -> 0 bytes
 test/reference/mesh-pattern-transformed.rgb24.ref.png                  |  Bin 14463 -> 0 bytes
 test/reference/mesh-pattern-transformed.traps.argb32.ref.png           |  Bin 14463 -> 0 bytes
 test/reference/mesh-pattern-transformed.traps.rgb24.ref.png            |  Bin 14463 -> 0 bytes
 test/reference/mesh-pattern.argb32.ref.png                             |  Bin 19566 -> 0 bytes
 test/reference/mesh-pattern.mask.argb32.ref.png                        |  Bin 19566 -> 0 bytes
 test/reference/mesh-pattern.mask.rgb24.ref.png                         |  Bin 19566 -> 0 bytes
 test/reference/mesh-pattern.rgb24.ref.png                              |  Bin 19566 -> 0 bytes
 test/reference/mesh-pattern.traps.argb32.ref.png                       |  Bin 19566 -> 0 bytes
 test/reference/mesh-pattern.traps.rgb24.ref.png                        |  Bin 19566 -> 0 bytes
 test/reference/mime-data.argb32.ref.png                                |  Bin 185 -> 0 bytes
 test/reference/mime-data.mask.argb32.ref.png                           |  Bin 185 -> 0 bytes
 test/reference/mime-data.mask.rgb24.ref.png                            |  Bin 185 -> 0 bytes
 test/reference/mime-data.rgb24.ref.png                                 |  Bin 185 -> 0 bytes
 test/reference/mime-data.traps.argb32.ref.png                          |  Bin 185 -> 0 bytes
 test/reference/mime-data.traps.rgb24.ref.png                           |  Bin 185 -> 0 bytes
 test/reference/miter-precision.mask.argb32.ref.png                     |  Bin 1030 -> 0 bytes
 test/reference/miter-precision.mask.rgb24.ref.png                      |  Bin 1030 -> 0 bytes
 test/reference/move-to-show-surface.argb32.ref.png                     |  Bin 96 -> 0 bytes
 test/reference/move-to-show-surface.mask.argb32.ref.png                |  Bin 96 -> 0 bytes
 test/reference/move-to-show-surface.mask.rgb24.ref.png                 |  Bin 96 -> 0 bytes
 test/reference/move-to-show-surface.rgb24.ref.png                      |  Bin 96 -> 0 bytes
 test/reference/move-to-show-surface.traps.argb32.ref.png               |  Bin 96 -> 0 bytes
 test/reference/move-to-show-surface.traps.rgb24.ref.png                |  Bin 96 -> 0 bytes
 test/reference/negative-stride-image.argb32.ref.png                    |  Bin 81121 -> 0 bytes
 test/reference/negative-stride-image.mask.argb32.ref.png               |  Bin 81121 -> 0 bytes
 test/reference/negative-stride-image.mask.rgb24.ref.png                |  Bin 81121 -> 0 bytes
 test/reference/negative-stride-image.rgb24.ref.png                     |  Bin 81121 -> 0 bytes
 test/reference/negative-stride-image.traps.argb32.ref.png              |  Bin 81121 -> 0 bytes
 test/reference/negative-stride-image.traps.rgb24.ref.png               |  Bin 81121 -> 0 bytes
 test/reference/new-sub-path.mask.argb32.ref.png                        |  Bin 408 -> 0 bytes
 test/reference/new-sub-path.mask.rgb24.ref.png                         |  Bin 371 -> 0 bytes
 test/reference/nil-surface.argb32.ref.png                              |  Bin 88 -> 0 bytes
 test/reference/nil-surface.mask.argb32.ref.png                         |  Bin 88 -> 0 bytes
 test/reference/nil-surface.mask.rgb24.ref.png                          |  Bin 87 -> 0 bytes
 test/reference/nil-surface.traps.argb32.ref.png                        |  Bin 88 -> 0 bytes
 test/reference/nil-surface.traps.rgb24.ref.png                         |  Bin 87 -> 0 bytes
 test/reference/operator-alpha-alpha.argb32.ref.png                     |  Bin 3441 -> 0 bytes
 test/reference/operator-alpha-alpha.mask.argb32.ref.png                |  Bin 3441 -> 0 bytes
 test/reference/operator-alpha-alpha.mask.rgb24.ref.png                 |  Bin 3441 -> 0 bytes
 test/reference/operator-alpha-alpha.rgb24.ref.png                      |  Bin 3441 -> 0 bytes
 test/reference/operator-alpha.argb32.ref.png                           |  Bin 280 -> 0 bytes
 test/reference/operator-alpha.mask.argb32.ref.png                      |  Bin 280 -> 0 bytes
 test/reference/operator-alpha.mask.rgb24.ref.png                       |  Bin 205 -> 0 bytes
 test/reference/operator-alpha.traps.argb32.ref.png                     |  Bin 280 -> 0 bytes
 test/reference/operator-alpha.traps.rgb24.ref.png                      |  Bin 205 -> 0 bytes
 test/reference/operator-clear.mask.argb32.ref.png                      |  Bin 1071 -> 0 bytes
 test/reference/operator.argb32.ref.png                                 |  Bin 238 -> 0 bytes
 test/reference/operator.mask.argb32.ref.png                            |  Bin 238 -> 0 bytes
 test/reference/operator.mask.rgb24.ref.png                             |  Bin 189 -> 0 bytes
 test/reference/operator.traps.argb32.ref.png                           |  Bin 238 -> 0 bytes
 test/reference/operator.traps.rgb24.ref.png                            |  Bin 189 -> 0 bytes
 test/reference/over-above-source.mask.argb32.ref.png                   |  Bin 564 -> 0 bytes
 test/reference/over-above-source.mask.rgb24.ref.png                    |  Bin 465 -> 0 bytes
 test/reference/over-around-source.mask.argb32.ref.png                  |  Bin 633 -> 0 bytes
 test/reference/over-around-source.mask.rgb24.ref.png                   |  Bin 499 -> 0 bytes
 test/reference/over-below-source.mask.argb32.ref.png                   |  Bin 447 -> 0 bytes
 test/reference/over-below-source.mask.rgb24.ref.png                    |  Bin 385 -> 0 bytes
 test/reference/over-between-source.mask.argb32.ref.png                 |  Bin 596 -> 0 bytes
 test/reference/over-between-source.mask.rgb24.ref.png                  |  Bin 463 -> 0 bytes
 test/reference/overlapping-boxes.mask.argb32.ref.png                   |  Bin 179 -> 0 bytes
 test/reference/overlapping-boxes.mask.rgb24.ref.png                    |  Bin 170 -> 0 bytes
 test/reference/overlapping-glyphs.mask.argb32.ref.png                  |  Bin 2717 -> 0 bytes
 test/reference/overlapping-glyphs.mask.rgb24.ref.png                   |  Bin 1663 -> 0 bytes
 test/reference/paint-clip-fill-aa.argb32.ref.png                       |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-aa.mask.argb32.ref.png                  |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-aa.mask.rgb24.ref.png                   |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-aa.rgb24.ref.png                        |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-aa.traps.argb32.ref.png                 |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-aa.traps.rgb24.ref.png                  |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-mono.argb32.ref.png                     |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-mono.mask.argb32.ref.png                |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-mono.mask.rgb24.ref.png                 |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-mono.rgb24.ref.png                      |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-mono.traps.argb32.ref.png               |  Bin 327 -> 0 bytes
 test/reference/paint-clip-fill-mono.traps.rgb24.ref.png                |  Bin 327 -> 0 bytes
 test/reference/paint-repeat.argb32.ref.png                             |  Bin 122 -> 0 bytes
 test/reference/paint-repeat.mask.argb32.ref.png                        |  Bin 122 -> 0 bytes
 test/reference/paint-repeat.mask.rgb24.ref.png                         |  Bin 122 -> 0 bytes
 test/reference/paint-repeat.rgb24.ref.png                              |  Bin 122 -> 0 bytes
 test/reference/paint-repeat.traps.argb32.ref.png                       |  Bin 122 -> 0 bytes
 test/reference/paint-repeat.traps.rgb24.ref.png                        |  Bin 122 -> 0 bytes
 test/reference/paint-source-alpha.argb32.ref.png                       |  Bin 224 -> 0 bytes
 test/reference/paint-source-alpha.mask.argb32.ref.png                  |  Bin 224 -> 0 bytes
 test/reference/paint-source-alpha.mask.rgb24.ref.png                   |  Bin 224 -> 0 bytes
 test/reference/paint-source-alpha.rgb24.ref.png                        |  Bin 224 -> 0 bytes
 test/reference/paint-source-alpha.traps.argb32.ref.png                 |  Bin 224 -> 0 bytes
 test/reference/paint-source-alpha.traps.rgb24.ref.png                  |  Bin 224 -> 0 bytes
 test/reference/paint-with-alpha-clip.argb32.ref.png                    |  Bin 290 -> 0 bytes
 test/reference/paint-with-alpha-clip.rgb24.ref.png                     |  Bin 290 -> 0 bytes
 test/reference/paint-with-alpha-solid-clip.argb32.ref.png              |  Bin 248 -> 0 bytes
 test/reference/paint-with-alpha-solid-clip.rgb24.ref.png               |  Bin 248 -> 0 bytes
 test/reference/paint-with-alpha.argb32.ref.png                         |  Bin 224 -> 0 bytes
 test/reference/paint-with-alpha.mask.argb32.ref.png                    |  Bin 224 -> 0 bytes
 test/reference/paint-with-alpha.mask.rgb24.ref.png                     |  Bin 224 -> 0 bytes
 test/reference/paint-with-alpha.rgb24.ref.png                          |  Bin 224 -> 0 bytes
 test/reference/paint-with-alpha.traps.argb32.ref.png                   |  Bin 224 -> 0 bytes
 test/reference/paint-with-alpha.traps.rgb24.ref.png                    |  Bin 224 -> 0 bytes
 test/reference/paint.argb32.ref.png                                    |  Bin 93 -> 0 bytes
 test/reference/paint.mask.argb32.ref.png                               |  Bin 93 -> 0 bytes
 test/reference/paint.mask.rgb24.ref.png                                |  Bin 93 -> 0 bytes
 test/reference/paint.rgb24.ref.png                                     |  Bin 93 -> 0 bytes
 test/reference/paint.traps.argb32.ref.png                              |  Bin 93 -> 0 bytes
 test/reference/paint.traps.rgb24.ref.png                               |  Bin 93 -> 0 bytes
 test/reference/partial-clip-text-bottom.mask.argb32.ref.png            |  Bin 261 -> 0 bytes
 test/reference/partial-clip-text-bottom.mask.rgb24.ref.png             |  Bin 261 -> 0 bytes
 test/reference/partial-clip-text-bottom.traps.argb32.ref.png           |  Bin 261 -> 0 bytes
 test/reference/partial-clip-text-bottom.traps.rgb24.ref.png            |  Bin 261 -> 0 bytes
 test/reference/partial-clip-text-left.mask.argb32.ref.png              |  Bin 301 -> 0 bytes
 test/reference/partial-clip-text-left.mask.rgb24.ref.png               |  Bin 301 -> 0 bytes
 test/reference/partial-clip-text-left.traps.argb32.ref.png             |  Bin 301 -> 0 bytes
 test/reference/partial-clip-text-left.traps.rgb24.ref.png              |  Bin 301 -> 0 bytes
 test/reference/partial-clip-text-right.mask.argb32.ref.png             |  Bin 155 -> 0 bytes
 test/reference/partial-clip-text-right.mask.rgb24.ref.png              |  Bin 155 -> 0 bytes
 test/reference/partial-clip-text-right.traps.argb32.ref.png            |  Bin 155 -> 0 bytes
 test/reference/partial-clip-text-right.traps.rgb24.ref.png             |  Bin 155 -> 0 bytes
 test/reference/partial-clip-text-top.mask.argb32.ref.png               |  Bin 181 -> 0 bytes
 test/reference/partial-clip-text-top.mask.rgb24.ref.png                |  Bin 181 -> 0 bytes
 test/reference/partial-clip-text-top.traps.argb32.ref.png              |  Bin 181 -> 0 bytes
 test/reference/partial-clip-text-top.traps.rgb24.ref.png               |  Bin 181 -> 0 bytes
 test/reference/partial-coverage-half-reference.argb32.ref.png          |  Bin 189 -> 0 bytes
 test/reference/partial-coverage-half-reference.mask.argb32.ref.png     |  Bin 189 -> 0 bytes
 test/reference/partial-coverage-half-reference.mask.rgb24.ref.png      |  Bin 189 -> 0 bytes
 test/reference/partial-coverage-half-reference.rgb24.ref.png           |  Bin 189 -> 0 bytes
 test/reference/partial-coverage-half-reference.traps.argb32.ref.png    |  Bin 189 -> 0 bytes
 test/reference/partial-coverage-half-reference.traps.rgb24.ref.png     |  Bin 189 -> 0 bytes
 test/reference/partial-coverage-reference.argb32.ref.png               |  Bin 202 -> 0 bytes
 test/reference/partial-coverage-reference.mask.argb32.ref.png          |  Bin 202 -> 0 bytes
 test/reference/partial-coverage-reference.mask.rgb24.ref.png           |  Bin 202 -> 0 bytes
 test/reference/partial-coverage-reference.rgb24.ref.png                |  Bin 202 -> 0 bytes
 test/reference/partial-coverage-reference.traps.argb32.ref.png         |  Bin 202 -> 0 bytes
 test/reference/partial-coverage-reference.traps.rgb24.ref.png          |  Bin 202 -> 0 bytes
 test/reference/partial-coverage-three-quarter-reference.argb32.ref.png |  Bin 186 -> 0 bytes
 .../partial-coverage-three-quarter-reference.mask.argb32.ref.png       |  Bin 186 -> 0 bytes
 .../partial-coverage-three-quarter-reference.mask.rgb24.ref.png        |  Bin 186 -> 0 bytes
 test/reference/partial-coverage-three-quarter-reference.rgb24.ref.png  |  Bin 186 -> 0 bytes
 .../partial-coverage-three-quarter-reference.traps.argb32.ref.png      |  Bin 186 -> 0 bytes
 .../partial-coverage-three-quarter-reference.traps.rgb24.ref.png       |  Bin 186 -> 0 bytes
 test/reference/pass-through.argb32.ref.png                             |  Bin 221 -> 0 bytes
 test/reference/pass-through.mask.argb32.ref.png                        |  Bin 221 -> 0 bytes
 test/reference/pass-through.mask.rgb24.ref.png                         |  Bin 158 -> 0 bytes
 test/reference/pass-through.traps.argb32.ref.png                       |  Bin 221 -> 0 bytes
 test/reference/pass-through.traps.rgb24.ref.png                        |  Bin 158 -> 0 bytes
 test/reference/path-append.mask.argb32.ref.png                         |  Bin 6144 -> 0 bytes
 test/reference/path-append.mask.rgb24.ref.png                          |  Bin 6144 -> 0 bytes
 test/reference/path-stroke-twice.mask.argb32.ref.png                   |  Bin 240 -> 0 bytes
 test/reference/path-stroke-twice.mask.rgb24.ref.png                    |  Bin 240 -> 0 bytes
 test/reference/pattern-getters.argb32.ref.png                          |  Bin 87 -> 0 bytes
 test/reference/pattern-getters.mask.argb32.ref.png                     |  Bin 87 -> 0 bytes
 test/reference/pattern-getters.mask.rgb24.ref.png                      |  Bin 87 -> 0 bytes
 test/reference/pattern-getters.rgb24.ref.png                           |  Bin 87 -> 0 bytes
 test/reference/pattern-getters.traps.argb32.ref.png                    |  Bin 87 -> 0 bytes
 test/reference/pattern-getters.traps.rgb24.ref.png                     |  Bin 87 -> 0 bytes
 test/reference/pdf-surface-source.mask.argb32.ref.png                  |  Bin 377 -> 0 bytes
 test/reference/pdf-surface-source.mask.rgb24.ref.png                   |  Bin 301 -> 0 bytes
 test/reference/pdf-surface-source.traps.argb32.ref.png                 |  Bin 377 -> 0 bytes
 test/reference/pdf-surface-source.traps.rgb24.ref.png                  |  Bin 301 -> 0 bytes
 test/reference/pixman-rotate.argb32.ref.png                            |  Bin 260 -> 0 bytes
 test/reference/pixman-rotate.mask.argb32.ref.png                       |  Bin 260 -> 0 bytes
 test/reference/pixman-rotate.mask.rgb24.ref.png                        |  Bin 225 -> 0 bytes
 test/reference/pixman-rotate.traps.argb32.ref.png                      |  Bin 260 -> 0 bytes
 test/reference/pixman-rotate.traps.rgb24.ref.png                       |  Bin 225 -> 0 bytes
 test/reference/ps-surface-source.mask.argb32.ref.png                   |  Bin 377 -> 0 bytes
 test/reference/ps-surface-source.mask.rgb24.ref.png                    |  Bin 301 -> 0 bytes
 test/reference/ps-surface-source.traps.argb32.ref.png                  |  Bin 377 -> 0 bytes
 test/reference/ps-surface-source.traps.rgb24.ref.png                   |  Bin 301 -> 0 bytes
 test/reference/pthread-same-source.argb32.ref.png                      |  Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.mask.argb32.ref.png                 |  Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.mask.rgb24.ref.png                  |  Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.rgb24.ref.png                       |  Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.traps.argb32.ref.png                |  Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.traps.rgb24.ref.png                 |  Bin 1000 -> 0 bytes
 test/reference/pthread-show-text.mask.argb32.ref.png                   |  Bin 30199 -> 0 bytes
 test/reference/pthread-show-text.mask.rgb24.ref.png                    |  Bin 30199 -> 0 bytes
 test/reference/pthread-show-text.traps.argb32.ref.png                  |  Bin 30199 -> 0 bytes
 test/reference/pthread-show-text.traps.rgb24.ref.png                   |  Bin 30199 -> 0 bytes
 test/reference/pthread-similar.argb32.ref.png                          |  Bin 170 -> 0 bytes
 test/reference/pthread-similar.mask.argb32.ref.png                     |  Bin 170 -> 0 bytes
 test/reference/pthread-similar.mask.rgb24.ref.png                      |  Bin 170 -> 0 bytes
 test/reference/pthread-similar.rgb24.ref.png                           |  Bin 170 -> 0 bytes
 test/reference/pthread-similar.traps.argb32.ref.png                    |  Bin 170 -> 0 bytes
 test/reference/pthread-similar.traps.rgb24.ref.png                     |  Bin 170 -> 0 bytes
 test/reference/push-group-color.mask.argb32.ref.png                    |  Bin 2892 -> 0 bytes
 test/reference/push-group-color.mask.rgb24.ref.png                     |  Bin 2892 -> 0 bytes
 test/reference/push-group-path-offset.argb32.ref.png                   |  Bin 186 -> 0 bytes
 test/reference/push-group-path-offset.mask.argb32.ref.png              |  Bin 186 -> 0 bytes
 test/reference/push-group-path-offset.mask.rgb24.ref.png               |  Bin 186 -> 0 bytes
 test/reference/push-group-path-offset.rgb24.ref.png                    |  Bin 186 -> 0 bytes
 test/reference/push-group-path-offset.traps.argb32.ref.png             |  Bin 186 -> 0 bytes
 test/reference/push-group-path-offset.traps.rgb24.ref.png              |  Bin 186 -> 0 bytes
 test/reference/push-group.mask.argb32.ref.png                          |  Bin 3062 -> 0 bytes
 test/reference/push-group.mask.rgb24.ref.png                           |  Bin 2899 -> 0 bytes
 test/reference/radial-gradient-mask-source.mask.argb32.ref.png         |  Bin 145713 -> 0 bytes
 test/reference/radial-gradient-mask-source.traps.argb32.ref.png        |  Bin 145713 -> 0 bytes
 test/reference/radial-gradient-mask.argb32.ref.png                     |  Bin 286065 -> 0 bytes
 test/reference/radial-gradient-mask.mask.argb32.ref.png                |  Bin 286065 -> 0 bytes
 test/reference/radial-gradient-mask.mask.rgb24.ref.png                 |  Bin 286065 -> 0 bytes
 test/reference/radial-gradient-mask.rgb24.ref.png                      |  Bin 286065 -> 0 bytes
 test/reference/radial-gradient-mask.traps.argb32.ref.png               |  Bin 286065 -> 0 bytes
 test/reference/radial-gradient-mask.traps.rgb24.ref.png                |  Bin 286065 -> 0 bytes
 test/reference/radial-gradient-one-stop.argb32.ref.png                 |  Bin 6306 -> 0 bytes
 test/reference/radial-gradient-one-stop.mask.argb32.ref.png            |  Bin 6306 -> 0 bytes
 test/reference/radial-gradient-one-stop.mask.rgb24.ref.png             |  Bin 6306 -> 0 bytes
 test/reference/radial-gradient-one-stop.rgb24.ref.png                  |  Bin 6306 -> 0 bytes
 test/reference/radial-gradient-one-stop.traps.argb32.ref.png           |  Bin 6306 -> 0 bytes
 test/reference/radial-gradient-one-stop.traps.rgb24.ref.png            |  Bin 6306 -> 0 bytes
 test/reference/radial-gradient-source.mask.argb32.ref.png              |  Bin 408848 -> 0 bytes
 test/reference/radial-gradient-source.mask.rgb24.ref.png               |  Bin 263908 -> 0 bytes
 test/reference/radial-gradient-source.traps.argb32.ref.png             |  Bin 408848 -> 0 bytes
 test/reference/radial-gradient-source.traps.rgb24.ref.png              |  Bin 263908 -> 0 bytes
 test/reference/radial-gradient.argb32.ref.png                          |  Bin 382283 -> 0 bytes
 test/reference/radial-gradient.mask.argb32.ref.png                     |  Bin 382283 -> 0 bytes
 test/reference/radial-gradient.mask.rgb24.ref.png                      |  Bin 382283 -> 0 bytes
 test/reference/radial-gradient.rgb24.ref.png                           |  Bin 382283 -> 0 bytes
 test/reference/radial-gradient.traps.argb32.ref.png                    |  Bin 382283 -> 0 bytes
 test/reference/radial-gradient.traps.rgb24.ref.png                     |  Bin 382283 -> 0 bytes
 test/reference/random-intersections-curves-eo.mask.argb32.ref.png      |  Bin 245848 -> 0 bytes
 test/reference/random-intersections-curves-eo.mask.rgb24.ref.png       |  Bin 245848 -> 0 bytes
 test/reference/random-intersections-curves-nz.mask.argb32.ref.png      |  Bin 265249 -> 0 bytes
 test/reference/random-intersections-curves-nz.mask.rgb24.ref.png       |  Bin 265249 -> 0 bytes
 test/reference/random-intersections-eo.mask.argb32.ref.png             |  Bin 136632 -> 0 bytes
 test/reference/random-intersections-eo.mask.rgb24.ref.png              |  Bin 136632 -> 0 bytes
 test/reference/random-intersections-nonzero.mask.argb32.ref.png        |  Bin 142139 -> 0 bytes
 test/reference/random-intersections-nonzero.mask.rgb24.ref.png         |  Bin 142139 -> 0 bytes
 test/reference/raster-source.argb32.ref.png                            |  Bin 1209 -> 0 bytes
 test/reference/raster-source.mask.argb32.ref.png                       |  Bin 1209 -> 0 bytes
 test/reference/raster-source.mask.rgb24.ref.png                        |  Bin 1209 -> 0 bytes
 test/reference/raster-source.rgb24.ref.png                             |  Bin 1209 -> 0 bytes
 test/reference/raster-source.traps.argb32.ref.png                      |  Bin 1209 -> 0 bytes
 test/reference/raster-source.traps.rgb24.ref.png                       |  Bin 1209 -> 0 bytes
 test/reference/record-extend-none-similar.argb32.ref.png               |  Bin 293 -> 0 bytes
 test/reference/record-extend-none-similar.image16.rgb24.ref.png        |  Bin 293 -> 0 bytes
 test/reference/record-extend-none-similar.rgb24.ref.png                |  Bin 293 -> 0 bytes
 test/reference/record-extend-none.argb32.ref.png                       |  Bin 293 -> 0 bytes
 test/reference/record-extend-none.image16.rgb24.ref.png                |  Bin 293 -> 0 bytes
 test/reference/record-extend-none.rgb24.ref.png                        |  Bin 293 -> 0 bytes
 test/reference/record-extend-none.traps.argb32.ref.png                 |  Bin 293 -> 0 bytes
 test/reference/record-extend-none.traps.rgb24.ref.png                  |  Bin 293 -> 0 bytes
 test/reference/record-extend-pad-similar.argb32.ref.png                |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad-similar.image16.rgb24.ref.png         |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad-similar.rgb24.ref.png                 |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad.argb32.ref.png                        |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad.image16.rgb24.ref.png                 |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad.rgb24.ref.png                         |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad.traps.argb32.ref.png                  |  Bin 298 -> 0 bytes
 test/reference/record-extend-pad.traps.rgb24.ref.png                   |  Bin 298 -> 0 bytes
 test/reference/record-extend-reflect-similar.argb32.ref.png            |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect-similar.image16.rgb24.ref.png     |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect-similar.rgb24.ref.png             |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect.argb32.ref.png                    |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect.image16.rgb24.ref.png             |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect.rgb24.ref.png                     |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect.traps.argb32.ref.png              |  Bin 335 -> 0 bytes
 test/reference/record-extend-reflect.traps.rgb24.ref.png               |  Bin 335 -> 0 bytes
 test/reference/record-extend-repeat-similar.argb32.ref.png             |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat-similar.image16.rgb24.ref.png      |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat-similar.rgb24.ref.png              |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat.argb32.ref.png                     |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat.image16.rgb24.ref.png              |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat.rgb24.ref.png                      |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat.traps.argb32.ref.png               |  Bin 286 -> 0 bytes
 test/reference/record-extend-repeat.traps.rgb24.ref.png                |  Bin 286 -> 0 bytes
 test/reference/record-mesh.argb32.ref.png                              |  Bin 15229 -> 0 bytes
 test/reference/record-mesh.rgb24.ref.png                               |  Bin 15229 -> 0 bytes
 test/reference/record-mesh.traps.argb32.ref.png                        |  Bin 15229 -> 0 bytes
 test/reference/record-mesh.traps.rgb24.ref.png                         |  Bin 15229 -> 0 bytes
 test/reference/record-paint-alpha-solid-clip.argb32.ref.png            |  Bin 248 -> 0 bytes
 test/reference/record-paint-alpha-solid-clip.rgb24.ref.png             |  Bin 248 -> 0 bytes
 test/reference/record-paint-alpha.argb32.ref.png                       |  Bin 224 -> 0 bytes
 test/reference/record-paint-alpha.rgb24.ref.png                        |  Bin 224 -> 0 bytes
 test/reference/record-paint-alpha.traps.argb32.ref.png                 |  Bin 224 -> 0 bytes
 test/reference/record-paint-alpha.traps.rgb24.ref.png                  |  Bin 224 -> 0 bytes
 test/reference/record-paint.argb32.ref.png                             |  Bin 93 -> 0 bytes
 test/reference/record-paint.image16.rgb24.ref.png                      |  Bin 93 -> 0 bytes
 test/reference/record-paint.rgb24.ref.png                              |  Bin 93 -> 0 bytes
 test/reference/record-paint.traps.argb32.ref.png                       |  Bin 93 -> 0 bytes
 test/reference/record-paint.traps.rgb24.ref.png                        |  Bin 93 -> 0 bytes
 test/reference/record-self-intersecting.argb32.ref.png                 |  Bin 168 -> 0 bytes
 test/reference/record-self-intersecting.rgb24.ref.png                  |  Bin 168 -> 0 bytes
 test/reference/rectangle-rounding-error.argb32.ref.png                 |  Bin 212 -> 0 bytes
 test/reference/rectangle-rounding-error.mask.argb32.ref.png            |  Bin 212 -> 0 bytes
 test/reference/rectangle-rounding-error.mask.rgb24.ref.png             |  Bin 212 -> 0 bytes
 test/reference/rectangle-rounding-error.rgb24.ref.png                  |  Bin 212 -> 0 bytes
 test/reference/rectangle-rounding-error.traps.argb32.ref.png           |  Bin 212 -> 0 bytes
 test/reference/rectangle-rounding-error.traps.rgb24.ref.png            |  Bin 212 -> 0 bytes
 test/reference/rectilinear-fill.argb32.ref.png                         |  Bin 151 -> 0 bytes
 test/reference/rectilinear-fill.mask.argb32.ref.png                    |  Bin 151 -> 0 bytes
 test/reference/rectilinear-fill.mask.rgb24.ref.png                     |  Bin 151 -> 0 bytes
 test/reference/rectilinear-fill.rgb24.ref.png                          |  Bin 151 -> 0 bytes
 test/reference/rectilinear-fill.traps.argb32.ref.png                   |  Bin 151 -> 0 bytes
 test/reference/rectilinear-fill.traps.rgb24.ref.png                    |  Bin 151 -> 0 bytes
 test/reference/rectilinear-grid.argb32.ref.png                         |  Bin 569 -> 0 bytes
 test/reference/rectilinear-grid.mask.argb32.ref.png                    |  Bin 569 -> 0 bytes
 test/reference/rectilinear-grid.mask.rgb24.ref.png                     |  Bin 569 -> 0 bytes
 test/reference/rectilinear-grid.rgb24.ref.png                          |  Bin 569 -> 0 bytes
 test/reference/rectilinear-miter-limit.mask.argb32.ref.png             |  Bin 145 -> 0 bytes
 test/reference/rectilinear-miter-limit.mask.rgb24.ref.png              |  Bin 145 -> 0 bytes
 test/reference/rectilinear-stroke.argb32.ref.png                       |  Bin 172 -> 0 bytes
 test/reference/rectilinear-stroke.mask.argb32.ref.png                  |  Bin 172 -> 0 bytes
 test/reference/rectilinear-stroke.mask.rgb24.ref.png                   |  Bin 172 -> 0 bytes
 test/reference/rectilinear-stroke.rgb24.ref.png                        |  Bin 172 -> 0 bytes
 test/reference/rectilinear-stroke.traps.argb32.ref.png                 |  Bin 172 -> 0 bytes
 test/reference/rectilinear-stroke.traps.rgb24.ref.png                  |  Bin 172 -> 0 bytes
 test/reference/rel-path.mask.argb32.ref.png                            |  Bin 197 -> 0 bytes
 test/reference/rgb24-ignore-alpha.argb32.ref.png                       |  Bin 97 -> 0 bytes
 test/reference/rgb24-ignore-alpha.mask.argb32.ref.png                  |  Bin 97 -> 0 bytes
 test/reference/rgb24-ignore-alpha.mask.rgb24.ref.png                   |  Bin 97 -> 0 bytes
 test/reference/rgb24-ignore-alpha.rgb24.ref.png                        |  Bin 97 -> 0 bytes
 test/reference/rgb24-ignore-alpha.traps.argb32.ref.png                 |  Bin 97 -> 0 bytes
 test/reference/rgb24-ignore-alpha.traps.rgb24.ref.png                  |  Bin 97 -> 0 bytes
 test/reference/rotate-clip-image-surface-paint.mask.argb32.ref.png     |  Bin 331 -> 0 bytes
 test/reference/rotate-clip-image-surface-paint.mask.rgb24.ref.png      |  Bin 331 -> 0 bytes
 test/reference/rotate-image-surface-paint.argb32.ref.png               |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.mask.argb32.ref.png          |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.mask.rgb24.ref.png           |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.rgb24.ref.png                |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.traps.argb32.ref.png         |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.traps.rgb24.ref.png          |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.xlib-fallback.rgb24.ref.png  |  Bin 220 -> 0 bytes
 test/reference/rotate-image-surface-paint.xlib-window.rgb24.ref.png    |  Bin 220 -> 0 bytes
 test/reference/rounded-rectangle-fill.mask.argb32.ref.png              |  Bin 787 -> 0 bytes
 test/reference/rounded-rectangle-fill.mask.rgb24.ref.png               |  Bin 787 -> 0 bytes
 test/reference/scale-down-source-surface-paint.argb32.ref.png          |  Bin 96 -> 0 bytes
 test/reference/scale-down-source-surface-paint.mask.argb32.ref.png     |  Bin 96 -> 0 bytes
 test/reference/scale-down-source-surface-paint.mask.rgb24.ref.png      |  Bin 96 -> 0 bytes
 test/reference/scale-down-source-surface-paint.rgb24.ref.png           |  Bin 96 -> 0 bytes
 test/reference/scale-down-source-surface-paint.traps.argb32.ref.png    |  Bin 96 -> 0 bytes
 test/reference/scale-down-source-surface-paint.traps.rgb24.ref.png     |  Bin 96 -> 0 bytes
 test/reference/scale-offset-image.mask.argb32.ref.png                  |  Bin 9748 -> 0 bytes
 test/reference/scale-offset-image.mask.rgb24.ref.png                   |  Bin 9748 -> 0 bytes
 test/reference/scale-offset-similar.mask.argb32.ref.png                |  Bin 9748 -> 0 bytes
 test/reference/scale-offset-similar.mask.rgb24.ref.png                 |  Bin 9748 -> 0 bytes
 test/reference/scale-source-surface-paint.argb32.ref.png               |  Bin 128 -> 0 bytes
 test/reference/scale-source-surface-paint.mask.argb32.ref.png          |  Bin 128 -> 0 bytes
 test/reference/scale-source-surface-paint.mask.rgb24.ref.png           |  Bin 117 -> 0 bytes
 test/reference/scale-source-surface-paint.traps.argb32.ref.png         |  Bin 128 -> 0 bytes
 test/reference/scale-source-surface-paint.traps.rgb24.ref.png          |  Bin 117 -> 0 bytes
 test/reference/select-font-face.mask.argb32.ref.png                    |  Bin 2250 -> 0 bytes
 test/reference/select-font-face.mask.rgb24.ref.png                     |  Bin 2250 -> 0 bytes
 test/reference/select-font-face.traps.argb32.ref.png                   |  Bin 2250 -> 0 bytes
 test/reference/select-font-face.traps.rgb24.ref.png                    |  Bin 2250 -> 0 bytes
 test/reference/self-copy.mask.argb32.ref.png                           |  Bin 257 -> 0 bytes
 test/reference/self-copy.mask.rgb24.ref.png                            |  Bin 257 -> 0 bytes
 test/reference/self-intersecting.argb32.ref.png                        |  Bin 168 -> 0 bytes
 test/reference/self-intersecting.mask.argb32.ref.png                   |  Bin 168 -> 0 bytes
 test/reference/self-intersecting.mask.rgb24.ref.png                    |  Bin 168 -> 0 bytes
 test/reference/self-intersecting.rgb24.ref.png                         |  Bin 168 -> 0 bytes
 test/reference/set-source.argb32.ref.png                               |  Bin 101 -> 0 bytes
 test/reference/set-source.mask.argb32.ref.png                          |  Bin 101 -> 0 bytes
 test/reference/set-source.mask.rgb24.ref.png                           |  Bin 101 -> 0 bytes
 test/reference/set-source.traps.argb32.ref.png                         |  Bin 101 -> 0 bytes
 test/reference/set-source.traps.rgb24.ref.png                          |  Bin 101 -> 0 bytes
 test/reference/shape-general-convex.mask.argb32.ref.png                |  Bin 2742 -> 0 bytes
 test/reference/shape-general-convex.mask.rgb24.ref.png                 |  Bin 2742 -> 0 bytes
 test/reference/shape-sierpinski.mask.argb32.ref.png                    |  Bin 63714 -> 0 bytes
 test/reference/shape-sierpinski.mask.rgb24.ref.png                     |  Bin 63714 -> 0 bytes
 test/reference/show-glyphs-advance.mask.argb32.ref.png                 |  Bin 1394 -> 0 bytes
 test/reference/show-glyphs-advance.mask.rgb24.ref.png                  |  Bin 1394 -> 0 bytes
 test/reference/show-glyphs-advance.traps.argb32.ref.png                |  Bin 1394 -> 0 bytes
 test/reference/show-glyphs-advance.traps.rgb24.ref.png                 |  Bin 1394 -> 0 bytes
 test/reference/show-glyphs-many.argb32.ref.png                         |  Bin 96 -> 0 bytes
 test/reference/show-glyphs-many.mask.argb32.ref.png                    |  Bin 96 -> 0 bytes
 test/reference/show-glyphs-many.mask.rgb24.ref.png                     |  Bin 96 -> 0 bytes
 test/reference/show-glyphs-many.rgb24.ref.png                          |  Bin 96 -> 0 bytes
 test/reference/show-glyphs-many.traps.argb32.ref.png                   |  Bin 96 -> 0 bytes
 test/reference/show-glyphs-many.traps.rgb24.ref.png                    |  Bin 96 -> 0 bytes
 test/reference/show-text-current-point.mask.argb32.ref.png             |  Bin 2151 -> 0 bytes
 test/reference/show-text-current-point.mask.rgb24.ref.png              |  Bin 2151 -> 0 bytes
 test/reference/show-text-current-point.traps.argb32.ref.png            |  Bin 2151 -> 0 bytes
 test/reference/show-text-current-point.traps.rgb24.ref.png             |  Bin 2151 -> 0 bytes
 test/reference/skew-extreme.mask.argb32.ref.png                        |  Bin 799 -> 0 bytes
 test/reference/skew-extreme.mask.rgb24.ref.png                         |  Bin 799 -> 0 bytes
 test/reference/smask-fill.mask.argb32.ref.png                          |  Bin 1197 -> 0 bytes
 test/reference/smask-fill.mask.rgb24.ref.png                           |  Bin 1197 -> 0 bytes
 test/reference/smask-image-mask.mask.argb32.ref.png                    |  Bin 619 -> 0 bytes
 test/reference/smask-image-mask.mask.rgb24.ref.png                     |  Bin 619 -> 0 bytes
 test/reference/smask-image-mask.traps.argb32.ref.png                   |  Bin 619 -> 0 bytes
 test/reference/smask-image-mask.traps.rgb24.ref.png                    |  Bin 619 -> 0 bytes
 test/reference/smask-image-mask.xlib-fallback.rgb24.ref.png            |  Bin 619 -> 0 bytes
 test/reference/smask-image-mask.xlib-window.rgb24.ref.png              |  Bin 619 -> 0 bytes
 test/reference/smask-mask.mask.argb32.ref.png                          |  Bin 2353 -> 0 bytes
 test/reference/smask-mask.mask.rgb24.ref.png                           |  Bin 2353 -> 0 bytes
 test/reference/smask-mask.traps.argb32.ref.png                         |  Bin 2353 -> 0 bytes
 test/reference/smask-mask.traps.rgb24.ref.png                          |  Bin 2353 -> 0 bytes
 test/reference/smask-paint.mask.argb32.ref.png                         |  Bin 2469 -> 0 bytes
 test/reference/smask-paint.mask.rgb24.ref.png                          |  Bin 2469 -> 0 bytes
 test/reference/smask-paint.traps.argb32.ref.png                        |  Bin 2469 -> 0 bytes
 test/reference/smask-paint.traps.rgb24.ref.png                         |  Bin 2469 -> 0 bytes
 test/reference/smask-stroke.mask.argb32.ref.png                        |  Bin 1709 -> 0 bytes
 test/reference/smask-stroke.mask.rgb24.ref.png                         |  Bin 1709 -> 0 bytes
 test/reference/smask-text.traps.argb32.ref.png                         |  Bin 1661 -> 0 bytes
 test/reference/smask-text.traps.rgb24.ref.png                          |  Bin 1661 -> 0 bytes
 test/reference/smask.traps.argb32.ref.png                              |  Bin 3393 -> 0 bytes
 test/reference/smask.traps.rgb24.ref.png                               |  Bin 3393 -> 0 bytes
 test/reference/solid-pattern-cache-stress.argb32.ref.png               |  Bin 87 -> 0 bytes
 test/reference/solid-pattern-cache-stress.mask.argb32.ref.png          |  Bin 87 -> 0 bytes
 test/reference/solid-pattern-cache-stress.mask.rgb24.ref.png           |  Bin 87 -> 0 bytes
 test/reference/solid-pattern-cache-stress.rgb24.ref.png                |  Bin 87 -> 0 bytes
 test/reference/solid-pattern-cache-stress.traps.argb32.ref.png         |  Bin 87 -> 0 bytes
 test/reference/solid-pattern-cache-stress.traps.rgb24.ref.png          |  Bin 87 -> 0 bytes
 test/reference/source-clip-scale.argb32.ref.png                        |  Bin 136 -> 0 bytes
 test/reference/source-clip-scale.mask.argb32.ref.png                   |  Bin 136 -> 0 bytes
 test/reference/source-clip-scale.mask.rgb24.ref.png                    |  Bin 136 -> 0 bytes
 test/reference/source-clip-scale.rgb24.ref.png                         |  Bin 136 -> 0 bytes
 test/reference/source-clip-scale.traps.argb32.ref.png                  |  Bin 136 -> 0 bytes
 test/reference/source-clip-scale.traps.rgb24.ref.png                   |  Bin 136 -> 0 bytes
 test/reference/source-clip.argb32.ref.png                              |  Bin 111 -> 0 bytes
 test/reference/source-clip.mask.argb32.ref.png                         |  Bin 111 -> 0 bytes
 test/reference/source-clip.mask.rgb24.ref.png                          |  Bin 111 -> 0 bytes
 test/reference/source-clip.rgb24.ref.png                               |  Bin 111 -> 0 bytes
 test/reference/source-clip.traps.argb32.ref.png                        |  Bin 111 -> 0 bytes
 test/reference/source-clip.traps.rgb24.ref.png                         |  Bin 111 -> 0 bytes
 test/reference/source-surface-scale-paint.argb32.ref.png               |  Bin 120 -> 0 bytes
 test/reference/source-surface-scale-paint.mask.argb32.ref.png          |  Bin 120 -> 0 bytes
 test/reference/source-surface-scale-paint.mask.rgb24.ref.png           |  Bin 114 -> 0 bytes
 test/reference/source-surface-scale-paint.traps.argb32.ref.png         |  Bin 120 -> 0 bytes
 test/reference/source-surface-scale-paint.traps.rgb24.ref.png          |  Bin 114 -> 0 bytes
 test/reference/spline-decomposition.mask.argb32.ref.png                |  Bin 19520 -> 0 bytes
 test/reference/spline-decomposition.mask.rgb24.ref.png                 |  Bin 19520 -> 0 bytes
 test/reference/stride-12-image.argb32.ref.png                          |  Bin 81121 -> 0 bytes
 test/reference/stride-12-image.mask.argb32.ref.png                     |  Bin 81121 -> 0 bytes
 test/reference/stride-12-image.mask.rgb24.ref.png                      |  Bin 81121 -> 0 bytes
 test/reference/stride-12-image.rgb24.ref.png                           |  Bin 81121 -> 0 bytes
 test/reference/stride-12-image.traps.argb32.ref.png                    |  Bin 81121 -> 0 bytes
 test/reference/stride-12-image.traps.rgb24.ref.png                     |  Bin 81121 -> 0 bytes
 test/reference/stroke-image.mask.argb32.ref.png                        |  Bin 1424 -> 0 bytes
 test/reference/stroke-image.mask.rgb24.ref.png                         |  Bin 1424 -> 0 bytes
 test/reference/stroke-open-box.argb32.ref.png                          |  Bin 148 -> 0 bytes
 test/reference/stroke-open-box.mask.argb32.ref.png                     |  Bin 148 -> 0 bytes
 test/reference/stroke-open-box.mask.rgb24.ref.png                      |  Bin 148 -> 0 bytes
 test/reference/stroke-open-box.rgb24.ref.png                           |  Bin 148 -> 0 bytes
 test/reference/stroke-open-box.traps.argb32.ref.png                    |  Bin 148 -> 0 bytes
 test/reference/stroke-open-box.traps.rgb24.ref.png                     |  Bin 148 -> 0 bytes
 test/reference/stroke-pattern.mask.argb32.ref.png                      |  Bin 1491 -> 0 bytes
 test/reference/stroke-pattern.mask.rgb24.ref.png                       |  Bin 1491 -> 0 bytes
 test/reference/stroke-pattern.traps.argb32.ref.png                     |  Bin 1487 -> 0 bytes
 test/reference/stroke-pattern.traps.rgb24.ref.png                      |  Bin 1487 -> 0 bytes
 test/reference/subsurface-image-repeat.argb32.ref.png                  |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.mask.argb32.ref.png             |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.mask.rgb24.ref.png              |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.rgb24.ref.png                   |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.traps.argb32.ref.png            |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.traps.rgb24.ref.png             |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.xlib-fallback.rgb24.ref.png     |  Bin 915 -> 0 bytes
 test/reference/subsurface-image-repeat.xlib-window.rgb24.ref.png       |  Bin 915 -> 0 bytes
 test/reference/subsurface-modify-child.argb32.ref.png                  |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-child.mask.argb32.ref.png             |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-child.mask.rgb24.ref.png              |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-child.rgb24.ref.png                   |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-child.traps.argb32.ref.png            |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-child.traps.rgb24.ref.png             |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-parent.argb32.ref.png                 |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-parent.mask.argb32.ref.png            |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-parent.mask.rgb24.ref.png             |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-parent.rgb24.ref.png                  |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-parent.traps.argb32.ref.png           |  Bin 197 -> 0 bytes
 test/reference/subsurface-modify-parent.traps.rgb24.ref.png            |  Bin 197 -> 0 bytes
 test/reference/subsurface-outside-target.mask.argb32.ref.png           |  Bin 2063 -> 0 bytes
 test/reference/subsurface-outside-target.mask.rgb24.ref.png            |  Bin 1648 -> 0 bytes
 test/reference/subsurface-outside-target.traps.argb32.ref.png          |  Bin 2063 -> 0 bytes
 test/reference/subsurface-outside-target.traps.rgb24.ref.png           |  Bin 1648 -> 0 bytes
 test/reference/subsurface-pad.argb32.ref.png                           |  Bin 181 -> 0 bytes
 test/reference/subsurface-pad.mask.argb32.ref.png                      |  Bin 181 -> 0 bytes
 test/reference/subsurface-pad.mask.rgb24.ref.png                       |  Bin 181 -> 0 bytes
 test/reference/subsurface-pad.rgb24.ref.png                            |  Bin 181 -> 0 bytes
 test/reference/subsurface-pad.traps.argb32.ref.png                     |  Bin 181 -> 0 bytes
 test/reference/subsurface-pad.traps.rgb24.ref.png                      |  Bin 181 -> 0 bytes
 test/reference/subsurface-reflect.argb32.ref.png                       |  Bin 210 -> 0 bytes
 test/reference/subsurface-reflect.mask.argb32.ref.png                  |  Bin 210 -> 0 bytes
 test/reference/subsurface-reflect.mask.rgb24.ref.png                   |  Bin 210 -> 0 bytes
 test/reference/subsurface-reflect.rgb24.ref.png                        |  Bin 210 -> 0 bytes
 test/reference/subsurface-reflect.traps.argb32.ref.png                 |  Bin 210 -> 0 bytes
 test/reference/subsurface-reflect.traps.rgb24.ref.png                  |  Bin 210 -> 0 bytes
 test/reference/subsurface-repeat.argb32.ref.png                        |  Bin 197 -> 0 bytes
 test/reference/subsurface-repeat.mask.argb32.ref.png                   |  Bin 197 -> 0 bytes
 test/reference/subsurface-repeat.mask.rgb24.ref.png                    |  Bin 197 -> 0 bytes
 test/reference/subsurface-repeat.rgb24.ref.png                         |  Bin 197 -> 0 bytes
 test/reference/subsurface-repeat.traps.argb32.ref.png                  |  Bin 197 -> 0 bytes
 test/reference/subsurface-repeat.traps.rgb24.ref.png                   |  Bin 197 -> 0 bytes
 test/reference/subsurface-scale.mask.argb32.ref.png                    |  Bin 5921 -> 0 bytes
 test/reference/subsurface-scale.mask.rgb24.ref.png                     |  Bin 5921 -> 0 bytes
 test/reference/subsurface-similar-repeat.argb32.ref.png                |  Bin 197 -> 0 bytes
 test/reference/subsurface-similar-repeat.mask.argb32.ref.png           |  Bin 197 -> 0 bytes
 test/reference/subsurface-similar-repeat.mask.rgb24.ref.png            |  Bin 197 -> 0 bytes
 test/reference/subsurface-similar-repeat.rgb24.ref.png                 |  Bin 197 -> 0 bytes
 test/reference/subsurface-similar-repeat.traps.argb32.ref.png          |  Bin 197 -> 0 bytes
 test/reference/subsurface-similar-repeat.traps.rgb24.ref.png           |  Bin 197 -> 0 bytes
 test/reference/subsurface.mask.argb32.ref.png                          |  Bin 1811 -> 0 bytes
 test/reference/subsurface.mask.rgb24.ref.png                           |  Bin 1811 -> 0 bytes
 test/reference/surface-pattern-big-scale-down.argb32.ref.png           |  Bin 191 -> 0 bytes
 test/reference/surface-pattern-big-scale-down.mask.argb32.ref.png      |  Bin 191 -> 0 bytes
 test/reference/surface-pattern-big-scale-down.mask.rgb24.ref.png       |  Bin 191 -> 0 bytes
 test/reference/surface-pattern-big-scale-down.rgb24.ref.png            |  Bin 191 -> 0 bytes
 test/reference/surface-pattern-big-scale-down.traps.argb32.ref.png     |  Bin 191 -> 0 bytes
 test/reference/surface-pattern-big-scale-down.traps.rgb24.ref.png      |  Bin 191 -> 0 bytes
 test/reference/surface-pattern-operator.mask.argb32.ref.png            |  Bin 5217 -> 0 bytes
 test/reference/surface-pattern-operator.mask.rgb24.ref.png             |  Bin 1942 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-none.argb32.ref.png   |  Bin 329 -> 0 bytes
 .../surface-pattern-scale-down-extend-none.mask.argb32.ref.png         |  Bin 329 -> 0 bytes
 .../surface-pattern-scale-down-extend-none.mask.rgb24.ref.png          |  Bin 329 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-none.rgb24.ref.png    |  Bin 329 -> 0 bytes
 .../surface-pattern-scale-down-extend-none.traps.argb32.ref.png        |  Bin 329 -> 0 bytes
 .../surface-pattern-scale-down-extend-none.traps.rgb24.ref.png         |  Bin 329 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-pad.argb32.ref.png    |  Bin 320 -> 0 bytes
 .../surface-pattern-scale-down-extend-pad.mask.argb32.ref.png          |  Bin 320 -> 0 bytes
 .../reference/surface-pattern-scale-down-extend-pad.mask.rgb24.ref.png |  Bin 320 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-pad.rgb24.ref.png     |  Bin 320 -> 0 bytes
 .../surface-pattern-scale-down-extend-pad.traps.argb32.ref.png         |  Bin 320 -> 0 bytes
 .../surface-pattern-scale-down-extend-pad.traps.rgb24.ref.png          |  Bin 320 -> 0 bytes
 .../reference/surface-pattern-scale-down-extend-reflect.argb32.ref.png |  Bin 328 -> 0 bytes
 .../surface-pattern-scale-down-extend-reflect.mask.argb32.ref.png      |  Bin 328 -> 0 bytes
 .../surface-pattern-scale-down-extend-reflect.mask.rgb24.ref.png       |  Bin 328 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-reflect.rgb24.ref.png |  Bin 328 -> 0 bytes
 .../surface-pattern-scale-down-extend-reflect.traps.argb32.ref.png     |  Bin 328 -> 0 bytes
 .../surface-pattern-scale-down-extend-reflect.traps.rgb24.ref.png      |  Bin 328 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-repeat.argb32.ref.png |  Bin 330 -> 0 bytes
 .../surface-pattern-scale-down-extend-repeat.mask.argb32.ref.png       |  Bin 330 -> 0 bytes
 .../surface-pattern-scale-down-extend-repeat.mask.rgb24.ref.png        |  Bin 330 -> 0 bytes
 test/reference/surface-pattern-scale-down-extend-repeat.rgb24.ref.png  |  Bin 330 -> 0 bytes
 .../surface-pattern-scale-down-extend-repeat.traps.argb32.ref.png      |  Bin 330 -> 0 bytes
 .../surface-pattern-scale-down-extend-repeat.traps.rgb24.ref.png       |  Bin 330 -> 0 bytes
 test/reference/surface-pattern-scale-down.mask.argb32.ref.png          |  Bin 1326 -> 0 bytes
 test/reference/surface-pattern-scale-down.mask.rgb24.ref.png           |  Bin 1326 -> 0 bytes
 test/reference/surface-pattern-scale-down.traps.argb32.ref.png         |  Bin 1326 -> 0 bytes
 test/reference/surface-pattern-scale-down.traps.rgb24.ref.png          |  Bin 1326 -> 0 bytes
 test/reference/surface-pattern-scale-up.mask.argb32.ref.png            |  Bin 4020 -> 0 bytes
 test/reference/surface-pattern-scale-up.mask.rgb24.ref.png             |  Bin 4020 -> 0 bytes
 test/reference/surface-pattern-scale-up.traps.argb32.ref.png           |  Bin 4020 -> 0 bytes
 test/reference/surface-pattern-scale-up.traps.rgb24.ref.png            |  Bin 4020 -> 0 bytes
 test/reference/surface-pattern.mask.argb32.ref.png                     |  Bin 11088 -> 0 bytes
 test/reference/surface-pattern.mask.rgb24.ref.png                      |  Bin 11088 -> 0 bytes
 test/reference/surface-pattern.traps.argb32.ref.png                    |  Bin 11088 -> 0 bytes
 test/reference/surface-pattern.traps.rgb24.ref.png                     |  Bin 11088 -> 0 bytes
 test/reference/svg-surface-source.mask.argb32.ref.png                  |  Bin 377 -> 0 bytes
 test/reference/svg-surface-source.mask.rgb24.ref.png                   |  Bin 301 -> 0 bytes
 test/reference/svg-surface-source.traps.argb32.ref.png                 |  Bin 377 -> 0 bytes
 test/reference/svg-surface-source.traps.rgb24.ref.png                  |  Bin 301 -> 0 bytes
 test/reference/text-antialias-gray.mask.argb32.ref.png                 |  Bin 966 -> 0 bytes
 test/reference/text-antialias-gray.mask.rgb24.ref.png                  |  Bin 966 -> 0 bytes
 test/reference/text-antialias-gray.traps.argb32.ref.png                |  Bin 966 -> 0 bytes
 test/reference/text-antialias-gray.traps.rgb24.ref.png                 |  Bin 966 -> 0 bytes
 test/reference/text-antialias-none.argb32.ref.png                      |  Bin 265 -> 0 bytes
 test/reference/text-antialias-none.mask.argb32.ref.png                 |  Bin 265 -> 0 bytes
 test/reference/text-antialias-none.mask.rgb24.ref.png                  |  Bin 265 -> 0 bytes
 test/reference/text-antialias-none.rgb24.ref.png                       |  Bin 265 -> 0 bytes
 test/reference/text-antialias-none.traps.argb32.ref.png                |  Bin 265 -> 0 bytes
 test/reference/text-antialias-none.traps.ref.png                       |  Bin 265 -> 0 bytes
 test/reference/text-antialias-none.traps.rgb24.ref.png                 |  Bin 265 -> 0 bytes
 test/reference/text-antialias-subpixel-bgr.traps.argb32.ref.png        |  Bin 1005 -> 0 bytes
 test/reference/text-antialias-subpixel-bgr.traps.rgb24.ref.png         |  Bin 1005 -> 0 bytes
 test/reference/text-antialias-subpixel-rgb.traps.argb32.ref.png        |  Bin 1013 -> 0 bytes
 test/reference/text-antialias-subpixel-rgb.traps.rgb24.ref.png         |  Bin 1013 -> 0 bytes
 test/reference/text-antialias-subpixel-vbgr.traps.argb32.ref.png       |  Bin 985 -> 0 bytes
 test/reference/text-antialias-subpixel-vbgr.traps.rgb24.ref.png        |  Bin 985 -> 0 bytes
 test/reference/text-antialias-subpixel-vrgb.traps.argb32.ref.png       |  Bin 1009 -> 0 bytes
 test/reference/text-antialias-subpixel-vrgb.traps.rgb24.ref.png        |  Bin 1009 -> 0 bytes
 test/reference/text-antialias-subpixel.traps.argb32.ref.png            |  Bin 1013 -> 0 bytes
 test/reference/text-antialias-subpixel.traps.rgb24.ref.png             |  Bin 1013 -> 0 bytes
 test/reference/text-glyph-range.mask.argb32.ref.png                    |  Bin 1928 -> 0 bytes
 test/reference/text-glyph-range.mask.rgb24.ref.png                     |  Bin 1928 -> 0 bytes
 test/reference/text-glyph-range.traps.argb32.ref.png                   |  Bin 1979 -> 0 bytes
 test/reference/text-glyph-range.traps.rgb24.ref.png                    |  Bin 1979 -> 0 bytes
 test/reference/text-pattern.mask.argb32.ref.png                        |  Bin 3455 -> 0 bytes
 test/reference/text-pattern.mask.rgb24.ref.png                         |  Bin 2684 -> 0 bytes
 test/reference/text-rotate.traps.argb32.ref.png                        |  Bin 16597 -> 0 bytes
 test/reference/text-rotate.traps.rgb24.ref.png                         |  Bin 16597 -> 0 bytes
 test/reference/text-transform.argb32.ref.png                           |  Bin 5579 -> 0 bytes
 test/reference/text-transform.mask.argb32.ref.png                      |  Bin 5579 -> 0 bytes
 test/reference/text-transform.mask.rgb24.ref.png                       |  Bin 5579 -> 0 bytes
 test/reference/text-transform.rgb24.ref.png                            |  Bin 5579 -> 0 bytes
 test/reference/text-transform.traps.argb32.ref.png                     |  Bin 5579 -> 0 bytes
 test/reference/text-transform.traps.rgb24.ref.png                      |  Bin 5579 -> 0 bytes
 test/reference/tiger.mask.argb32.ref.png                               |  Bin 93916 -> 0 bytes
 test/reference/tiger.mask.rgb24.ref.png                                |  Bin 93916 -> 0 bytes
 test/reference/transforms.mask.argb32.ref.png                          |  Bin 348 -> 0 bytes
 test/reference/transforms.mask.rgb24.ref.png                           |  Bin 348 -> 0 bytes
 test/reference/translate-show-surface.argb32.ref.png                   |  Bin 96 -> 0 bytes
 test/reference/translate-show-surface.mask.argb32.ref.png              |  Bin 96 -> 0 bytes
 test/reference/translate-show-surface.mask.rgb24.ref.png               |  Bin 96 -> 0 bytes
 test/reference/translate-show-surface.rgb24.ref.png                    |  Bin 96 -> 0 bytes
 test/reference/translate-show-surface.traps.argb32.ref.png             |  Bin 96 -> 0 bytes
 test/reference/translate-show-surface.traps.rgb24.ref.png              |  Bin 96 -> 0 bytes
 test/reference/twin-antialias-mixed.mask.argb32.ref.png                |  Bin 2230 -> 0 bytes
 test/reference/twin-antialias-mixed.mask.rgb24.ref.png                 |  Bin 2230 -> 0 bytes
 test/reference/twin-antialias-none.mask.argb32.ref.png                 |  Bin 690 -> 0 bytes
 test/reference/twin-antialias-none.mask.rgb24.ref.png                  |  Bin 690 -> 0 bytes
 test/reference/unaligned-box.argb32.ref.png                            |  Bin 496 -> 0 bytes
 test/reference/unaligned-box.mask.argb32.ref.png                       |  Bin 496 -> 0 bytes
 test/reference/unaligned-box.mask.rgb24.ref.png                        |  Bin 496 -> 0 bytes
 test/reference/unaligned-box.rgb24.ref.png                             |  Bin 496 -> 0 bytes
 test/reference/unantialiased-shapes.argb32.ref.png                     |  Bin 3926 -> 0 bytes
 test/reference/unantialiased-shapes.mask.argb32.ref.png                |  Bin 3926 -> 0 bytes
 test/reference/unantialiased-shapes.mask.rgb24.ref.png                 |  Bin 3926 -> 0 bytes
 test/reference/unantialiased-shapes.rgb24.ref.png                      |  Bin 3926 -> 0 bytes
 test/reference/unclosed-strokes.mask.argb32.ref.png                    |  Bin 1901 -> 0 bytes
 test/reference/unclosed-strokes.mask.rgb24.ref.png                     |  Bin 1901 -> 0 bytes
 test/reference/user-font-mask.argb32.ref.png                           |  Bin 5476 -> 0 bytes
 test/reference/user-font-mask.mask.argb32.ref.png                      |  Bin 5476 -> 0 bytes
 test/reference/user-font-mask.mask.rgb24.ref.png                       |  Bin 5476 -> 0 bytes
 test/reference/user-font-mask.rgb24.ref.png                            |  Bin 5476 -> 0 bytes
 test/reference/user-font-mask.traps.argb32.ref.png                     |  Bin 5476 -> 0 bytes
 test/reference/user-font-mask.traps.rgb24.ref.png                      |  Bin 5476 -> 0 bytes
 test/reference/user-font-proxy.mask.argb32.ref.png                     |  Bin 16941 -> 0 bytes
 test/reference/user-font-proxy.mask.rgb24.ref.png                      |  Bin 16941 -> 0 bytes
 test/reference/user-font-proxy.traps.argb32.ref.png                    |  Bin 16854 -> 0 bytes
 test/reference/user-font-proxy.traps.rgb24.ref.png                     |  Bin 16854 -> 0 bytes
 test/reference/user-font-rescale.mask.argb32.ref.png                   |  Bin 14883 -> 0 bytes
 test/reference/user-font-rescale.mask.rgb24.ref.png                    |  Bin 14883 -> 0 bytes
 test/reference/user-font-rescale.traps.argb32.ref.png                  |  Bin 14883 -> 0 bytes
 test/reference/user-font-rescale.traps.rgb24.ref.png                   |  Bin 14883 -> 0 bytes
 test/reference/white-in-noop.argb32.ref.png                            |  Bin 95 -> 0 bytes
 test/reference/white-in-noop.mask.argb32.ref.png                       |  Bin 95 -> 0 bytes
 test/reference/white-in-noop.mask.rgb24.ref.png                        |  Bin 95 -> 0 bytes
 test/reference/white-in-noop.rgb24.ref.png                             |  Bin 95 -> 0 bytes
 test/reference/white-in-noop.traps.argb32.ref.png                      |  Bin 95 -> 0 bytes
 test/reference/white-in-noop.traps.rgb24.ref.png                       |  Bin 95 -> 0 bytes
 test/reference/world-map-fill.mask.argb32.ref.png                      |  Bin 57308 -> 0 bytes
 test/reference/world-map-fill.mask.rgb24.ref.png                       |  Bin 57308 -> 0 bytes
 test/reference/xcb-huge-image-shm.argb32.ref.png                       |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.mask.argb32.ref.png                  |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.mask.rgb24.ref.png                   |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.rgb24.ref.png                        |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.traps.argb32.ref.png                 |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.traps.rgb24.ref.png                  |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.xlib-fallback.rgb24.ref.png          |  Bin 97 -> 0 bytes
 test/reference/xcb-huge-image-shm.xlib-window.rgb24.ref.png            |  Bin 97 -> 0 bytes
 test/reference/xcb-snapshot-assert.argb32.ref.png                      |  Bin 97 -> 0 bytes
 test/reference/xcb-snapshot-assert.mask.argb32.ref.png                 |  Bin 97 -> 0 bytes
 test/reference/xcb-snapshot-assert.mask.rgb24.ref.png                  |  Bin 97 -> 0 bytes
 test/reference/xcb-snapshot-assert.rgb24.ref.png                       |  Bin 97 -> 0 bytes
 test/reference/xcb-snapshot-assert.traps.argb32.ref.png                |  Bin 97 -> 0 bytes
 test/reference/xcb-snapshot-assert.traps.rgb24.ref.png                 |  Bin 97 -> 0 bytes
 test/reference/xcb-stress-cache.argb32.ref.png                         |  Bin 97 -> 0 bytes
 test/reference/xcb-stress-cache.mask.argb32.ref.png                    |  Bin 97 -> 0 bytes
 test/reference/xcb-stress-cache.mask.rgb24.ref.png                     |  Bin 97 -> 0 bytes
 test/reference/xcb-stress-cache.rgb24.ref.png                          |  Bin 97 -> 0 bytes
 test/reference/xcb-stress-cache.traps.argb32.ref.png                   |  Bin 97 -> 0 bytes
 test/reference/xcb-stress-cache.traps.rgb24.ref.png                    |  Bin 97 -> 0 bytes
 test/reference/xcb-surface-source.mask.argb32.ref.png                  |  Bin 377 -> 0 bytes
 test/reference/xcb-surface-source.mask.rgb24.ref.png                   |  Bin 301 -> 0 bytes
 test/reference/xcb-surface-source.traps.argb32.ref.png                 |  Bin 377 -> 0 bytes
 test/reference/xcb-surface-source.traps.rgb24.ref.png                  |  Bin 301 -> 0 bytes
 test/reference/xcomposite-projection.argb32.ref.png                    |  Bin 1108 -> 0 bytes
 test/reference/xcomposite-projection.rgb24.ref.png                     |  Bin 1108 -> 0 bytes
 test/reference/xlib-expose-event.argb32.ref.png                        |  Bin 40717 -> 0 bytes
 test/reference/xlib-expose-event.mask.argb32.ref.png                   |  Bin 40717 -> 0 bytes
 test/reference/xlib-expose-event.mask.rgb24.ref.png                    |  Bin 40717 -> 0 bytes
 test/reference/xlib-expose-event.rgb24.ref.png                         |  Bin 40717 -> 0 bytes
 test/reference/xlib-expose-event.traps.argb32.ref.png                  |  Bin 40717 -> 0 bytes
 test/reference/xlib-expose-event.traps.rgb24.ref.png                   |  Bin 40717 -> 0 bytes
 test/reference/xlib-surface-source.mask.argb32.ref.png                 |  Bin 377 -> 0 bytes
 test/reference/xlib-surface-source.mask.rgb24.ref.png                  |  Bin 301 -> 0 bytes
 test/reference/xlib-surface-source.traps.argb32.ref.png                |  Bin 377 -> 0 bytes
 test/reference/xlib-surface-source.traps.rgb24.ref.png                 |  Bin 301 -> 0 bytes
 test/reference/zero-alpha.argb32.ref.png                               |  Bin 91 -> 0 bytes
 test/reference/zero-alpha.mask.argb32.ref.png                          |  Bin 91 -> 0 bytes
 test/reference/zero-alpha.mask.rgb24.ref.png                           |  Bin 91 -> 0 bytes
 test/reference/zero-alpha.rgb24.ref.png                                |  Bin 91 -> 0 bytes
 test/reference/zero-alpha.traps.argb32.ref.png                         |  Bin 91 -> 0 bytes
 test/reference/zero-alpha.traps.rgb24.ref.png                          |  Bin 91 -> 0 bytes
 test/reference/zero-mask.argb32.ref.png                                |  Bin 402 -> 0 bytes
 test/reference/zero-mask.mask.argb32.ref.png                           |  Bin 402 -> 0 bytes
 test/reference/zero-mask.mask.rgb24.ref.png                            |  Bin 382 -> 0 bytes
 test/reference/zero-mask.traps.argb32.ref.png                          |  Bin 402 -> 0 bytes
 test/reference/zero-mask.traps.rgb24.ref.png                           |  Bin 382 -> 0 bytes
 1477 files changed, 0 insertions(+), 0 deletions(-)

commit 33895904d52f47d0d89156ca1e1ff7cc8f5887d2
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:37:41 2013 +0000

    test: Add special cases for create-from-png and fallback-resolution
    
    These tests use reference images somewhat differently from other tests,
    so treat them as special cases and avoid recommending deleting any of
    their files.
    
    Add TODO's to each test to rework them to be more consistent with other
    tests.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/check-refs.sh         |   10 ++++++++++
 test/create-from-png.c     |    5 +++++
 test/fallback-resolution.c |    1 +
 3 files changed, 16 insertions(+)

commit 5577223489dc3f6e282c498d70f66f8ee9327474
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:37:00 2013 +0000

    pdiff: Drop unused variable
    
    Fixes:
    perceptualdiff.c:35:24: warning: unused variable ‘dim’
    [-Wunused-variable]
    
    Signed-off-by: Bryce Harrington <bryce@bryceharrington.org>
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/pdiff/perceptualdiff.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 319b8935826c8726b8c23f1c746a82b261b8cde1
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:36:28 2013 +0000

    pdiff: Quell warning about signed/unsigned comparisons
    
    perceptualdiff.c:55:19: warning: comparison between signed and unsigned
    integer expressions [-Wsign-compare]
    perceptualdiff.c:60:16: warning: comparison between signed and unsigned
    integer expressions [-Wsign-compare]
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/pdiff/perceptualdiff.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e4cac50c25cec0476413a991d98c897fce0aceb
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:35:47 2013 +0000

    test: Make check-ref-dups utilize perceptualdiff for comparisons
    
    The current sha1sum-based file checker does a blanket comparison of all
    files with each other, which is fast but not directly helpful since it
    doesn't distinguish between sibling files (which are allowable to be
    duplicates).  Also, it ignores files that may have byte differences
    (such as PNG header differences) but are otherwise pixel-identical.
    
    This patch replaces the sha1sum-based checker with one that accounts for
    the default fallback path and uses perceptualdiff to compare files that
    are bytewise different and verify whether they actually are different.
    
    The intention is that the output of this command can be directly used to
    remove redundant files, e.g.:
    
      cd test
      make check-ref-dups | cut -d' ' -f2 | \
          while read f; do git rm "reference/$f"; done
    
    This should have no impact on make check's results (modulo any tests
    that behave erratically), and will help trim down the size of the
    tarball.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    [ickle: rebase and add the suggested command to the Makefile]

 test/Makefile.am |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 8d3c518e9db39b670fe89c4bf097871e1cf16955
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:35:08 2013 +0000

    test: Use cmp to catch byte-by-byte identical files
    
    cmp runs faster than perceptualdiff, and catches files that are exact
    copies of the reference image.  We still use perceptualdiff for catching
    files that aren't bytewise identical, but are still identical at the
    pixel level.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/check-refs.sh |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit b0be0d8d42b5b6ba80e59a869a8f72fd8556e91e
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:33:57 2013 +0000

    test: Add script to check for redundant reference images
    
    This script requires the perceptualdiff program, which can be built as
    follows:
    
      cd test/pdiff && make perceptualdiff
    
    The script's output provides a list of target-specific or
    format-specific images that are identical to their more generic
    reference files, and thus are redundant and can be safely removed from
    the archive without altering any test behaviors.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    [ickle: applied Behdad's suggestion of renaming the script check-refs.sh]

 test/Makefile.am   |    1 +
 test/check-refs.sh |   60 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

commit 7f1be42e85589ee07dacead012234c1a1eb1b395
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Wed Jul 3 22:32:34 2013 +0000

    test: Fix make check-ref-dups due to move of ref images to reference/
    
    The check-ref-dups target in Makefile.am was not updated with the new
    path when the reference images were moved from test/ to
    test/reference/.  Now it produces output properly again.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b8fc77bb974fbd4fbc697405a8b6aec748bb7f2
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Jun 24 23:28:47 2013 -0700

    gl: Move glGetUniformLocation to shader compile time.
    
    The lookup of the string names has significant overhead, which is why GL
    gives you glGetUniformLocation so that you reference uniforms by
    constant integers in your high performance path.
    
    Reduces cairo-perf-trace runtime of firefox-planet-gnome by 1.06767% +/-
    0.289265% (n=72) on my IVB macbook air.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-composite.c |    2 +-
 src/cairo-gl-operand.c   |   30 +++++++--------------
 src/cairo-gl-private.h   |   19 ++++++++-----
 src/cairo-gl-shaders.c   |   67 +++++++++++++++++++++++++++++++---------------
 4 files changed, 70 insertions(+), 48 deletions(-)

commit 4d9439132de85c0f0f4d5b5a474ea7164910251e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 21 20:18:40 2013 +0100

    check: Fix check-def.sh for variations in GCC's linker
    
    We now need to exclude bss and data sections from the symbol list.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/check-def.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b80613d6d483cdfd5d0c6311de0f8586092b408
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 21 17:30:47 2013 +0100

    test: Use the highest precision rendering for shapes for generating ref results
    
    The test-traps and test-base surfaces are used for generating the
    reference results, and so they should opt for using the best rendering
    paths through the traps- and base-compositors.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/test-compositor-surface.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 686ebd4a893d2e583d0cf11bd9f77681dbf0b21c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 21 16:58:38 2013 +0100

    cairo-perf-print: Do not free the uninitialised histogram
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-perf-print.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5589e80e2bd6b82e5730cbf6b72aaf82a66b31c0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 21 12:01:32 2013 +0100

    xml: Handle clip-boxes in the updated cairo_clip_t
    
    Edward Zimmerman pointed out that the xml surface had bitrotted slightly
    and no longer understand the new clip layout - in particular that we can
    have clips without a path, but just with boxes instead.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xml-surface.c |   77 ++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 72 insertions(+), 5 deletions(-)

commit 2bfb9e9001bceaedffb2303c062af8e42045931e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 20 20:47:18 2013 +0100

    svg: Unwrap recording surfaces
    
    As a first step towards bring SVG uptodate with the various new
    patterns, first we need to prevent SVG crashing when it mishandles an
    unknown recording surface.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-svg-surface.c |   16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit b7331f0c52cc64f2c224eac502afa6c50a1a8d8b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 20 14:23:15 2013 +0100

    gstate: Speed up stroked path extents
    
    We can skip the intermediate evaluation of the trapezoids for
    determining the extents of a stroked path by using the relatively new
    functions for computing the contours of the stroke. Then we can simply
    use the bbox of the points within the contours to retrieve the path
    extents - which is already provided by the polygon holding the contours
    of the stroke. This provides a faster result with less numerical
    inaccuracy due to fewer stages required in the computation
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=62375
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gstate.c |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 9ea5993b036f5930179263baaf3162eeebb7c153
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 20 14:11:38 2013 +0100

    test/get-path-extents: Check exact matches within tolerance
    
    When we refine geometry, we do so to a tolerance as specified by the
    user. This means that we can not expect tessellated results to have
    exact results, but always they should match within the specified
    tolerance.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/get-path-extents.c |   30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

commit e079e4e2297810ceb10798cf310a7fafe39b18f0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 20 14:02:14 2013 +0100

    image: Mark the data as owned after stealing the snapshot's image
    
    Victor Goya found that we ended up leaking memory after reading a PNG
    into an image surface and drawing that onto a PDF surface. In
    particular, he discovered that
    
    commit 0bfd2acd35547fc2bd0de99cc67d153f0170697d
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Mon Aug 13 01:34:12 2012 +0100
    
    	xlib: Implement SHM fallbacks and fast upload paths
    
    introduced a path to steal the image data for a snapshot (and thereby
    avoid a redundant copy), but that path then lead to the leak of the
    "owned" data.
    
    Reported-by: Victor Goya <victor.goya@af83.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f39eef852491c10dec4089f9fb3d332a712da28c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 20 11:11:20 2013 +0100

    pdf: Fix compiler warning for use of unitialised variable along error path
    
    cairo-pdf-surface.c: In function '_cairo_pdf_surface_add_source_surface.isra.20':
    cairo-pdf-surface.c:1461:10: warning: 'unique_id' may be used uninitialized in this function [-Wmaybe-uninitialized]
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-pdf-surface.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80641f4adc3e2ca16e67110e7b82f42e88efd93e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 20 11:09:53 2013 +0100

    pdf: Improve consistency in use of cairo_int_status_t
    
    Suppress several compiler warning for mixing
    cairo_status_t/cairo_int_status_t enums.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-pdf-operators-private.h       |    7 +-
 src/cairo-pdf-surface.c                 |  256 +++++++++++++++----------------
 src/cairo-ps-surface.c                  |    2 +-
 src/cairo-type3-glyph-surface-private.h |    5 +-
 4 files changed, 136 insertions(+), 134 deletions(-)

commit d4545910e2836eb6fc7dc2ed787b02aea514cb0b
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Jun 20 03:16:01 2013 +0000

    test: Note naming scheme for XFAIL images in README
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/README |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 982f288460591a8f2b8a78db89ae6e5495d2b3b8
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Jun 20 03:16:29 2013 +0000

    gl: Quell warning about incompatible pointer type
    
    mask is a cairo_surface_t pointer, and is cast to a cairo_gl_surface_t
    pointer in the _cairo_gl_surface_draw_image() call.
    texture.owns_surface also expects mask to be a cairo_gl_surface_t
    pointer, so apply the same cast here as well.
    
    Fixes the following warning:
    
     cairo-gl-traps-compositor.c:370:35: warning: assignment from
      incompatible pointer type [enabled by default]
    
    Ref.: 38bf7a65
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-gl-traps-compositor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa764a3bbc3fe43191d877aaec42b73c7d55d040
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Jun 20 03:17:38 2013 +0000

    pdf: Assure compiler that data, data_size will always be initialized
    
    There are only three possible color states:  COLOR, GRAYSCALE, or
    MONOCHROME thus data and data_size will always be set to some value,
    so assert the default is never reached.
    
    Fixes these warning:
      cairo-pdf-surface.c:2517:32: warning: ‘data_size’ may be used
       uninitialized in this function [-Wuninitialized]
      cairo-pdf-surface.c:2338:19: note: ‘data_size’ was declared here
      cairo-pdf-surface.c:2446:11: warning: ‘data’ may be used uninitialized
       in this function [-Wuninitialized]
      cairo-pdf-surface.c:2337:11: note: ‘data’ was declared here
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-pdf-surface.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 27cb80b84834f7262d70cd1f95dd6e940059f75a
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Jun 20 03:18:11 2013 +0000

    type1-subset: Fix typos in function comment
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-type1-subset.c |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f893acd60df816f3e0282affef6b58f59f84f48a
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Jun 20 03:18:45 2013 +0000

    type1-subset: Quell warning about uninitialized array_start
    
    Since we explicitly set font->subset_subrs to false, there's no way the
    warned code will be executed, but perhaps the compiler is confused by
    the goto jump.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-type1-subset.c |    1 +
 1 file changed, 1 insertion(+)

commit 519dff51db30e157f52ef5244a3afeea06340ff8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 18 16:06:28 2013 +0100

    scaled-font: Prevent a recursive mutex lock for removing a failed glyph
    
    If we fail to create a glyph, and it is the only one in the glyph page,
    we then pluck that page out of the global glyph cache. The cache destroy
    callback tries to take the scaled_font lock again, causing a lockup.
    Rework the error path to avoid taking that lock in this case - still a
    potential lock ordering issue remains.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-scaled-font.c |    4 ++++
 1 file changed, 4 insertions(+)

commit df1ca22ada340add2360677ff892ec043dad96f4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 18 15:46:28 2013 +0100

    recording: Prevent invalid memory access with zero length command array
    
    If we try to sort a zero length array, we access invalid memory.
    However, for a zero length command array, we can trivially compute the
    number of visible indices, 0.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-recording-surface.c |    3 +++
 1 file changed, 3 insertions(+)

commit c51b850bd836c2bec0a1bcc7b32136dc21bc2360
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 11 14:11:45 2013 +0100

    perf: Remove a debug artifact
    
    Remove the intentional #error for non-UNIX path used to remind me to fix
    up configure.ac.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-perf-print.c |    1 -
 1 file changed, 1 deletion(-)

commit 2c097e6e6b8375b7d488572cdb09b80dca06d42a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 11 11:57:04 2013 +0100

    perf: Avoid vertically stretching the histogram
    
    If we have more rows than the max_count in any column, we end up
    stretching the histogram vertically, which makes it harder to read.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-stats.c |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit b9f0ef4496eca31b47296543f48078b2a7034750
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 11 11:47:24 2013 +0100

    perf: Rescale the histogram for the terminal
    
    If running ./cairo-perf-print in a terminal, query the terminal size and
    rescale the histogram to use the maximum available space.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 configure.ac            |    2 ++
 perf/cairo-perf-print.c |   37 +++++++++++++++++++++++++++++++++++--
 2 files changed, 37 insertions(+), 2 deletions(-)

commit 9a12c2e02369f0920c1f1f578eb8d228add77ea1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 11 11:05:03 2013 +0100

    perf: Rudimentary histogram printing for cairo-perf-print
    
    If you call ./cairo-perf-print --histogram results.txt, it will then
    print a histogram of the results, one per test. Ideally, you should see
    a skewed distribution (with a negative skew representing that most results
    run in optimal time), but random sampling errors (scheduling,
    throttling, general inefficiency etc) will push it more towards a normal
    distribution.
    
    For example,
    |                                                             x                |
    |                                                             x xx             |
    |                                                             x xx             |
    |                                                             x xx             |
    |                                                             xxxx             |
    |                                                             xxxx x           |
    |                                                          x  xxxxxx           |
    |                                                          x  xxxxxx           |
    |                                                          xxxxxxxxx           |
    |                                                          xxxxxxxxx           |
    |                                                          xxxxxxxxx           |
    |                                                         xxxxxxxxxxxx         |
    |                                                         xxxxxxxxxxxx         |
    |                                                         xxxxxxxxxxxx         |
    |                                                        xxxxxxxxxxxxxx        |
    |x                                                       xxxxxxxxxxxxxx        |
    |x x                                                     xxxxxxxxxxxxxxx       |
    |x x                                                     xxxxxxxxxxxxxxx       |
    |x x                                                    xxxxxxxxxxxxxxxxx      |
    |xxx                                                 x xxxxxxxxxxxxxxxxxxx     |
    |xxx                                                xxxxxxxxxxxxxxxxxxxxxxxxx  |
    |xxxxxx xxxx x x x   x xxx xx xxxxx xxx x xxx x xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx|
    .------------------------------------------------------------------------------.
     xlib           firefox-fishtank  8298.44 1.53% (829/946)
    
    Starts off reasonably, but quickly deteriorates as the integrated CPU/GPU
    overheats and is forced to throttle.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-perf-print.c  |   65 +++++++++++++++++++++++++++----------
 perf/cairo-perf-report.c |    2 +-
 perf/cairo-perf.h        |    9 ++++++
 perf/cairo-stats.c       |   80 ++++++++++++++++++++++++++++++++++++++++++++++
 perf/cairo-stats.h       |   16 ++++++++++
 5 files changed, 155 insertions(+), 17 deletions(-)

commit e519d6f9860c7f0bc51f1e8a17505f2dc372c938
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 11 10:00:56 2013 +0100

    recording: Fix inconsistent usage of types for indices
    
    We were wantonly mixing unsigned/signed integers for our index and
    counters, leading to compiler warnings. Be bold, and use unsigned
    consistently.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-recording-surface-private.h |    4 ++--
 src/cairo-recording-surface.c         |   18 +++++++++---------
 2 files changed, 11 insertions(+), 11 deletions(-)

commit b45c79ff8a8e7c5cf4af1498d854a85c818d9268
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Mon Jun 10 19:01:09 2013 +0000

    image: Quell warning about signed/unsigned int comparison.
    
    Restore (int) cast that was dropped in e7e1ac23.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-image-compositor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5271f3199107f50f65608f3816c840da7445fb55
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Sat Jun 8 01:42:20 2013 +0000

    test: Fix typo in sample_horizontal to use horizontal, not vertical.
    
    Triggers the following warning during build:
    
    sample.c:61:1: warning: ‘horizontal’ defined but not used
     [-Wunused-function]
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/sample.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17dc312221c294b120bd159e01f5f566c6ec4a2d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jun 5 22:34:52 2013 +0100

    trace: Improve operand emission
    
    In particular fixing up a couple of corner cases in emitting the right
    instructions for scaled-fonts and patterns.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-trace/trace.c |  147 +++++++++++++++++++++++++++-------------------
 1 file changed, 87 insertions(+), 60 deletions(-)

commit e34b800214c78ec3d92de505d173fc617cf6220f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 4 11:47:07 2013 +0100

    test: Extend testing of joins for fine lines

 test/caps-joins.c                          |   55 ++++++++++++++++++++++++++--
 test/reference/caps-joins-05.ref.png       |  Bin 0 -> 2169 bytes
 test/reference/caps-joins-05.traps.ref.png |  Bin 0 -> 1714 bytes
 test/reference/caps-joins-1.ref.png        |  Bin 0 -> 2105 bytes
 test/reference/caps-joins-1.traps.ref.png  |  Bin 0 -> 1861 bytes
 test/reference/caps-joins-2.ref.png        |  Bin 0 -> 2046 bytes
 test/reference/caps-joins-2.traps.ref.png  |  Bin 0 -> 1631 bytes
 7 files changed, 51 insertions(+), 4 deletions(-)

commit a2d852497364afa742518ac0d9feb0466dccc191
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 4 11:34:31 2013 +0100

    test: Expand testing of caps for fine strokes

 test/caps.c                          |   57 ++++++++++++++++++++++++++++++++--
 test/reference/caps-05.ref.png       |  Bin 0 -> 1375 bytes
 test/reference/caps-05.traps.ref.png |  Bin 0 -> 1126 bytes
 test/reference/caps-1.ref.png        |  Bin 0 -> 1457 bytes
 test/reference/caps-1.traps.ref.png  |  Bin 0 -> 1268 bytes
 test/reference/caps-2.ref.png        |  Bin 0 -> 1509 bytes
 test/reference/caps-2.traps.ref.png  |  Bin 0 -> 1231 bytes
 7 files changed, 54 insertions(+), 3 deletions(-)

commit 85c2a0d76ab109f2bec8f7dccab577033e6d37b0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 3 13:56:00 2013 +0100

    xlib: Unlike the visual when destroying it
    
    Otherwise we leave dangling pointers in the visual list, leading to
    memory corruption when using low bitdepth servers.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-list-inline.h |    8 +++++++-
 src/cairo-xlib-visual.c |    3 +++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 41bef0fc385381b8c6b9091ec7ca2abe04cfc147
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu May 30 20:57:04 2013 +0100

    traps: Ensure that we correctly clip when using multiple clip boxes
    
    We need to be more careful when trying to discard a clip to be sure that
    it is truly not required. In particular, we need to not throw a way a
    clip region when it has more than one box intersecting the mask.
    
    Reported-by: Alexander Larsson
    Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=697357
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-composite-rectangles.c |    7 +++++++
 src/cairo-traps-compositor.c     |   32 ++++++++++++++------------------
 2 files changed, 21 insertions(+), 18 deletions(-)

commit 631bf299256e11a17511977f357e0353fb5615f7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat May 11 21:37:05 2013 +0100

    directfb: Correctly chain up map-to-image/unmap to the image backend
    
    Fixes the infinite recursion reported by jojo.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-directfb-surface.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 728e58e60f89076f626329ee3f006f011783f90b
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Thu May 9 10:45:44 2013 -0700

    gles: Switch default framebuffer destinations properly
    
    Make _cairo_gl_context_bind_framebuffer handle different types of GLES
    surfaces properly Since, the multisampling setting of a surface never changes
    in for GLES, so the first thing we do when setting the destination is to
    ignore the requested multisampling setting. This simplifies all
    following logic.

 src/cairo-gl-device.c |   47 +++++++++++++++++++++++++++--------------------
 1 file changed, 27 insertions(+), 20 deletions(-)

commit 1704292e493b3c635e115df59d07330d19b39514
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue May 7 12:01:17 2013 -0700

    gl: Fix compiler warnings in the GL backend

 src/cairo-gl-composite.c       |    5 ++++-
 src/cairo-gl-glyphs.c          |    3 ++-
 src/cairo-gl-msaa-compositor.c |    6 ++++--
 3 files changed, 10 insertions(+), 4 deletions(-)

commit e83943ec9a06f20572e22105f4e6e44740893eb9
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Mon May 6 10:56:26 2013 -0700

    gl: Bind the default framebuffer before calling gl{Read|Draw}Buffer
    
    Fix more fallout from separating framebuffer binding from setting the
    destination. In some cases it is sufficient to call
    glDrawBuffer/glReadBuffer before binding the framebuffer, but the
    masking-filling-stroking test of cairo-gl-smoke-tests fails if the order
    is incorrect.

 src/cairo-gl-device.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 32bd6aa46dc77c497f06d2ab3bf0c2ec218d9e19
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Fri Apr 26 15:21:37 2013 -0700

    gl: Update transformation when surface size changes
    
    In my previous commit I mistakenly removed the transformation matrix
    update when cairo_gl_surface_set_size is called. This change restores
    it.

 src/cairo-gl-device.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8da704ca7c43dda796657e86c5221736b1983122
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Wed Apr 10 22:25:49 2013 +0000

    gl: Separate framebuffer bind from destination selection
    
    Disentangle the action of binding the framebuffer from setting the
    destination. This straightens up the code a bit and avoids some redundant
    operations (such as reacquiring the context) when simply switching from
    the multi-sample framebuffer to the single-sample framebuffer and vice
    versa.

 src/cairo-gl-device.c  |   98 ++++++++++++++++++++++++++++--------------------
 src/cairo-gl-private.h |    9 +++--
 src/cairo-gl-surface.c |    2 +-
 3 files changed, 63 insertions(+), 46 deletions(-)

commit 793f8223d4a71f3fc7e74722fb60659e7100a39d
Author: egag <ed44@xs4all.nl>
Date:   Wed Apr 24 12:07:47 2013 +0200

    xlib: Aquire display before using it in DEBUG message.

 src/cairo-xlib-surface.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 498421bec90f68f3d7219b145860a71fd39f0c64
Author: Henry Song <henry.song@samsung.com>
Date:   Wed Apr 17 10:23:27 2013 -0700

    gl/msaa: Resolve multisampling on surface flush
    
    When flushing a surface, we must resolve multisampling for desktop GL.
    This allows use of the original surface texture in any following raw GL
    operations. This fixes accelerated canvas with WebKitGTK+ using the MSAA
    compositor.

 src/cairo-gl-operand.c |   39 +++------------------------------------
 src/cairo-gl-private.h |    3 +++
 src/cairo-gl-surface.c |   35 +++++++++++++++++++++++++++++++++++
 3 files changed, 41 insertions(+), 36 deletions(-)

commit 2dd2c826a5b367d32cf2d48ed69754795990c5db
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Apr 16 10:58:56 2013 +0100

    png: Avoid marking the surface as in error after a png warning
    
    It turns out that libpng will continue to load an image after throwing a
    warning, and that libpng16 now throws warnings for images that libpng15
    and earlier loaded without error. As we were happily loading those
    images into cairo surfaces before, we are therefore being overzealous
    in throwing an error now - so just squelch the warning.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-png.c |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit a64ce09715162c57d6e4b6a460d426af1d443cdc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Apr 6 09:09:23 2013 +0100

    xlib: Trim uploads for surfaces extended by PAD
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c |    3 +++
 1 file changed, 3 insertions(+)

commit 04b9d5d9b1ab8544fc0918d8ced90dc70641e727
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Apr 6 09:07:24 2013 +0100

    xlib: Wrap errors generating sources in an error surface
    
    Once upon a time the wrapping was provided by the caller, but the
    current requirement is that the error is propagated back as an error
    surface.
    
    Bugzilla: http://bugs.freedesktop.org/show_bug.cgi?id=63196
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f6efecdfefa161c68fc5bf193a6487fc1a5047d5
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Fri Mar 29 11:09:48 2013 -0700

    boilerplate/gl: Disable thread awareness
    
    This dramatically speeds up testing on NVidia and actually makes it
    possible to run traces within a reasonable amount of time.
    
    cairo-perf-trace results for:
    NVIDIA Corporation GeForce GTS 250/PCIe/SSE2 3.3.0 NVIDIA 310.14
    
    Before:
    test              min(s)  median(s) stddev. count
    gvim              30.924  31.251    0.72%   5/6
    firefox-fishbowl  168.751 201.017   12.46%  8/8
    (exited early)
    
    After:
    test              min(s)  median(s) stddev. count
    gvim              1.294   1.325     1.79%   6/6
    firefox-fishbowl  18.540  19.104    1.54%   6/6

 boilerplate/cairo-boilerplate-egl.c |    2 ++
 boilerplate/cairo-boilerplate-glx.c |    3 +++
 2 files changed, 5 insertions(+)

commit b00b9e82ab728eaf3b87dd1113387d8e8df0d7e3
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Thu Apr 4 12:03:19 2013 -0700

    boilerplate: Add a mode for running threaded perf tests
    
    This is useful because the GL backend runs much faster on some drivers
    when thread awareness is disabled.

 boilerplate/cairo-boilerplate.h |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit e66e9ac12e3e11af76f14e8de3cfee72d4299864
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Tue Apr 2 00:32:56 2013 +0200

    win32: fix corrupted drawing
    
    Fix src bitmap coordinates, which origin is bottom-left. This is
    apparently a bug in StretchDIBits(), according to some comments on
    MSDN API documentation.
    
    The backend used to have this coordinate change in the past:
    
                if (!StretchDIBits (dst->dc,
                                    /* dst x,y,w,h */
                                    dst_r.x, dst_r.y + dst_r.height - 1,
                                    dst_r.width, - (int) dst_r.height,
                                    /* src x,y,w,h */
                                    src_r.x, src_extents.height - src_r.y + 1,
                                    src_r.width, - (int) src_r.height,
                                    src_image->data,
                                    &bi,
                                    DIB_RGB_COLORS,
                                    SRCCOPY))
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61876

 src/win32/cairo-win32-gdi-compositor.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0446fae26d35dc4e31aadc498f0f9b48b21d2c45
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Mar 23 11:19:14 2013 +0000

    perf: Iteratively prune outliers
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-stats.c |   41 +++++++++++++++++++++++------------------
 1 file changed, 23 insertions(+), 18 deletions(-)

commit fdec6b37596d8b064ff082326d7189daa8208052
Author: Michael Hutchinson <m.j.hutchinson@gmail.com>
Date:   Fri Mar 29 02:37:33 2013 +0100

    quartz: Don't release memory we don't own
    
    This was causing crashes due to double frees.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=62885
    
    Signed-off-by: Benjamin Otte <otte@redhat.com>

 src/cairo-quartz-surface.c |    1 -
 1 file changed, 1 deletion(-)

commit 9e0748e223cfb8c5557c73f3ab5068ec1323e7c2
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Mar 27 08:08:32 2013 +1030

    pdf: fix typo in bbox check
    
    http://lists.cairographics.org/archives/cairo/2013-March/024186.html

 src/cairo-pdf-surface.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 59ccc3d72e839bd897111322765bb13696a97ef5
Author: Nicola Fontana <ntd@entidi.it>
Date:   Fri Mar 1 14:16:45 2013 +0100

    gobject: Add wrapper around cairo_matrix_t
    
    Reviewed-By: Benjamin Otte <otte@redhat.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 util/cairo-gobject/cairo-gobject-structs.c |    4 +++-
 util/cairo-gobject/cairo-gobject.h         |    4 ++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit be5eabb66a475720020211a6d37bfeb75fc3242c
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 22 18:19:00 2013 +0100

    xcb: Clear temporary replay image in recording playback
    
    This gets rid of random noise that we got from the X11 server due to
    uninitialized memory.
    
    Fixes: pdf-surface-source, ps-surface-source, svg-surface-source
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 41ef69a98c67a2cb8b64e8ef3bb986d57a0a2437
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 22 14:14:29 2013 +0100

    Fix "make check" standalone header check
    
    This fixes the following error:
    
    ./cairo-fixed-private.h: In function ‘_slow_segment_intersection’:
    ./cairo-fixed-private.h:374:9: error: ‘FALSE’ undeclared (first use in this function)
    ./cairo-fixed-private.h:374:9: note: each undeclared identifier is reported only once for each function it appears in
    ./cairo-fixed-private.h:386:12: error: ‘TRUE’ undeclared (first use in this function)
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-fixed-private.h |    1 +
 1 file changed, 1 insertion(+)

commit b7c06fff1f597ba74fa6618766ec297d3a4bf880
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 22 14:04:44 2013 +0100

    boilerplate: rename xcb-render-0.0 to xcb-render-0_0
    
    The test suite uses dots to separate the backend name from the content type.
    Thus, the backend name must not contain any dots.
    
    The xlib backend already calls its RENDER 0.0 target xlib-render-0_0 for this
    reason. This commit makes the xcb backend match this.
    
    Reported-by: Darxus <darxus@chaosreigns.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 boilerplate/cairo-boilerplate-xcb.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit caf50c07e225ee3a3e149234601e7305b1437736
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 22 13:58:04 2013 +0100

    test: Fix handling of dots in CAIRO_TEST_TARGET
    
    Before this, the following happened:
    
      $ CAIRO_TEST_TARGET=image,xcb-render-0.0 make test
      Cannot find target 'image'.
      Known targets: image, [...]
    
    The reason for this is that _cairo_boilerplate_target_matches_name() doesn't get
    a null-terminated string, but instead has a pointer to the end of the string.
    However, strpbrk() expects a null-terminated argument and thus could return a
    result which points past the end of the input.
    
    This commit fixes exactly this.
    
    Reported-by: Darxus <darxus@chaosreigns.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 boilerplate/cairo-boilerplate.c |    2 ++
 1 file changed, 2 insertions(+)

commit 13bd8d09b44e50649f6fc4d58d036bc32c1d5c5b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Mar 21 16:48:43 2013 -0400

    [ft] I meant fabs(), not abs()

 src/cairo-ft-font.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed6a293e3dd2e81c8e159bf685cce6ffbcd7c81c
Author: Henry Song <henry.song@samsung.com>
Date:   Wed Mar 20 15:10:34 2013 +0000

    gl: Fix typo in gles2 shader cache lookup
    
    When comparing shader cache entries, it's important that we actually
    compare the variable type hash.

 src/cairo-gl-shaders.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff233fd706e62edf267bee66113e2cb35183bcd9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Mar 18 14:17:29 2013 -0400

    [test] Set font size
    
    Previously this test was working because we were not scaling bitmap
    fonts.  We do now, so adjust test.

 test/bitmap-font.c |    1 +
 1 file changed, 1 insertion(+)

commit be347acd5a198b4280f2699a1abfca241e7e610b
Author: Matt Sealey <matt@genesi-usa.com>
Date:   Mon Mar 11 10:24:52 2013 -0500

    gitignore: negate gitignore for static pkgconfig files
    
    Commit 781f253 adds a rule cairo-*.*.* to .gitignore in the root dir.
    Unfortunately this matches several src/cairo-*.pc.in files in the
    src directory.
    
    The build system requires these files to be present, but the rule is
    allowing them to be ignored. For example, when extracting a cgit
    snapshot tarball and checking it into another git repository, these
    files get left behind. Any accidental changes to these files will go
    unnoticed by a 'git status' (possibly creating bad installs) and
    any intentional changes could not be committed (git commit -a will
    miss them, and every one will need to be forced). This is not really
    desirable.
    
    We don't want to unignore *.pc.in here since there are many, many
    autogenerated files with this name, and the cairo-*.*.* rule is in
    general quite useful and doesn't warrant modification (although it
    could be made a little more specific), so we just make these 4 files
    a special case and negate the match with full filenames in src/.
    
    Signed-off-by: Matt Sealey <matt@genesi-usa.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/.gitignore |    4 ++++
 1 file changed, 4 insertions(+)

commit 0e999edff869bc08522a6a56c69efa9b5e1c33b5
Author: Matthew Fischer <matthew.fischer@canonical.com>
Date:   Sat Mar 9 15:42:59 2013 -0700

    Adding a simple usage statement to cairo-perf-chart
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 perf/cairo-perf-chart.c |   29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 592f5944239debfa3dacc410f675261947156baf
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 15 16:53:28 2013 +0100

    test: Fix CAIRO_REF_DIR
    
    Ever since the test output was moved from test/ to test/output/, using
    CAIRO_REF_DIR to make the test suite succeed no longer works. The test suite was
    looking for the wrong file names.
    
    This patch makes this work again. However, I am not sure that this really is the
    correct fix. It just seems to work. :-)
    
    Reported-by: Darxus <darxus@chaosreigns.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/README       |    2 +-
 test/cairo-test.c |    5 ++---
 2 files changed, 3 insertions(+), 4 deletions(-)

commit c141615a7fa632a2435b49f3949ed1fc9962af1f
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Mar 15 14:46:19 2013 +0100

    cff-subset: Fix allocation of width arrays
    
    fd_default_width and fd_nominal_width
    are arrays of doubles not arrays of ints.

 src/cairo-cff-subset.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 01a8bf01c6508a4fea8d40371c3049e7a2f7908a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 15 09:08:00 2013 +0000

    mempool: Reduce an assert into an error return for get_buddy()
    
    If we ask for a buddy that is outside of our allocation that is an
    error that should not happen with a power-of-two allocated zone...
    However, since it has been seen in the wild, we can safely return that
    there is no buddy rather than die in a too-late assert.
    
    Reported-by: Anton Eliasson <devel@antoneliasson.se>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mempool.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2c2dccf5a4d298c866f7c0faed2e10c65252c168
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Mar 12 15:17:19 2013 -0700

    stroke: Use round-joins near inflection points of splines
    
    Similar to b7bd5ae4f3da44131261711bb236cd7aa24a3ae3, but applied to the
    fallback stroke shaper.

 src/cairo-path-stroke.c |   36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit aadece05fb1cf80f0a1138368f4664e878a59204
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Mar 12 15:16:01 2013 -0700

    stroke: Fix large line widths for fallback stroke shaper
    
    Fix the test case line-width-tolerance for the fallback stroke shaper.
    Instead of drawing quads between spline points, draw triangle based on
    the actual spline edges. This roughly follows the approach of the
    tristrip and polygonal shapers.

 src/cairo-fixed-private.h |   34 +++++++++++++++++
 src/cairo-path-stroke.c   |   90 +++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 116 insertions(+), 8 deletions(-)

commit c60e23feb16a8745eaa6d213a89f61ded5707731
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Wed Mar 13 17:19:19 2013 -0700

    path: Fix a bug in line intersection
    
    Before the intersection code was not taking into account that both
    quotients are required to be in the range (0,1) for the segments to
    intersect or handling the case of negative numerators and denominators.

 src/cairo-path-fixed.c |   39 +++++++++++++++++++++++++++------------
 1 file changed, 27 insertions(+), 12 deletions(-)

commit 5ee136b2c067c92e85f04ba0c84966f7760f4556
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Fri Mar 8 10:29:55 2013 -0800

    gl: Setup operands when the vertex size changes
    
    Previously _cairo_gl_composite_setup_vbo was overwriting the old context
    vertex_size, while _cairo_gl_context_setup_operand was relying on it to
    determine if the vertex size changed. Instead of a fragile ordering of
    statements, pass whether the vertex size changed as an argument to enforce
    the calling order via method parameters.

 src/cairo-gl-composite.c |   29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit f50ced2e7b4b2f4601dc9b9edf1a861401c302e4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 8 14:25:26 2013 +0000

    gl: Fix typo s/bool/cairo_bool_t/
    
    One quickly gets used to having stdbool.h available.

 src/cairo-egl-context.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 524e6fd3e82d952dfa850b832238a1f4f9ccb8bb
Author: Henry Song <henry.song@samsung.com>
Date:   Thu Mar 7 16:33:27 2013 +0000

    gl: Export query for EGLContext and EGLDisplay from device
    
    Similar to glx, add query for the EGLContext and EGLDisplay to egl-based
    cairo devices.

 src/cairo-egl-context.c |   33 +++++++++++++++++++++++++++++++++
 src/cairo-gl.h          |    6 ++++++
 2 files changed, 39 insertions(+)

commit a8f1b456db744e33a10b2301df03528787e5b1ca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 8 06:21:59 2013 -0500

    [FT] Prefer downscaling bitmap glyphs to upscaling
    
    Say, you have bitmap strikes for sizes 50ppem and 100ppem.
    To render at 60ppem, it's much better to downscale the 100ppem
    bitmap than upscale 50ppem one.  Prefer downscaling.

 src/cairo-ft-font.c |   15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 4f00d2344c84a1017a1e7d76ccb2fa552c80a969
Author: Jana Saout <jana@saout.de>
Date:   Fri Mar 1 20:10:28 2013 +1030

    pdf: Fix crash
    
    Bug 61451

 src/cairo-pdf-surface.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7658eced9a45f42033c2b0b45cee70f6edb6ff20
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 24 17:07:54 2013 +0000

    xlib: Fix invocation of XRenderFindFormat()
    
    The 'count' parameter is an indication to libXrender of the number of
    matches to skip before reporting (rather than a limit on the number to
    report). As we only want the first match, always pass 0.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-display.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 446a3dc5c0298e35b9a1e38460bc3804ab6e01ce
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Feb 19 20:59:16 2013 +1030

    pdf: add missing 'endobj' to shading dict
    
    https://bugs.launchpad.net/ubuntu/+source/libcairo/+bug/1051939

 src/cairo-pdf-surface.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e7e1ac235ff94d184d88c8c206b81343822f6a4e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 19 09:54:24 2013 +0000

    image: Compare against the true size of the embedded buffer
    
    When querying whether the run is small enough to fit inside the
    pre-allocated temporary buffer, we need to avoid comparing against
    sizeof(buf) as buf is a variable length array and so sizeof() is
    meaningless.
    
    Reported-by: Edward Zimmermann <Edward.Zimmermann@cib.de>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb1abbc4bc25c541cfb1084012a6a185c541c340
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 15 14:04:21 2013 +0000

    win32: Free the fallback upon finish
    
    Zozó Teki pointed out that we leak the fallback surface upon finish in
    case it was active at the time as the preceding flush would only clear
    the damage and not decouple the fallback surface.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c |    3 +++
 1 file changed, 3 insertions(+)

commit 41e646e019911f8e566e4f9963036117750f862f
Author: Henry Song <henry.song@samsung.com>
Date:   Tue Jan 29 17:30:25 2013 +0000

    gl: disable GL_DITHER
    
    GL_DITHER is enabled by default by spec. Leaving GL_DITHER enabled
    causes color pixel mismatch on some drivers by comparing uploading then
    readPixels and original image.

 src/cairo-gl-device.c |    2 ++
 1 file changed, 2 insertions(+)

commit 02b467a28703a0bd68b92fb26f7905bf6a25bf7d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 10:46:42 2013 +0000

    test: Exercise replaying a recording surface through a flip matrix

 test/Makefile.sources                              |    1 +
 test/recordflip.c                                  |  493 ++++++++++++++++++++
 test/reference/recordflip-fill-alpha.ref.png       |  Bin 0 -> 2790 bytes
 .../recordflip-paint-alpha-clip-mask.ref.png       |  Bin 0 -> 340 bytes
 test/reference/recordflip-paint-alpha-clip.ref.png |  Bin 0 -> 291 bytes
 .../recordflip-paint-alpha-solid-clip.ref.png      |  Bin 0 -> 280 bytes
 test/reference/recordflip-paint-alpha.ref.png      |  Bin 0 -> 242 bytes
 test/reference/recordflip-paint.ref.png            |  Bin 0 -> 93 bytes
 test/reference/recordflip-select-font-face.ref.png |  Bin 0 -> 2229 bytes
 .../reference/recordflip-self-intersecting.ref.png |  Bin 0 -> 168 bytes
 test/reference/recordflip-text-transform.ref.png   |  Bin 0 -> 5606 bytes
 11 files changed, 494 insertions(+)

commit a09b7c79278465ee1ad916697e0153eae640d8df
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 10:25:03 2013 +0000

    path: Fix bbox computation for negative scale factors
    
    The fast path for transforming a path by a simple scale factor, forgot
    to fix up the orientation of the box if that scale factor was negative.
    
    Reported-by: Edward Zimmermann <Edward.Zimmermann@cib.de>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-path-fixed.c |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit be1561dadece6e947a3ca78d1124197b4278ce96
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 10:24:08 2013 +0000

    recording: Avoid indirection through indices array if not reduced
    
    If we don't discard any elements, then the index array is simply a 1:1
    mapping of the element array, and we may as well bypass it.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-recording-surface.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 14237f11439831377b59e8ea5717de5dd3e19e73
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 10:11:12 2013 +0000

    spans: Mark the surface as cleared in preparing for recording surface playback
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 7f3cca458a7546f913533f693b581325228aba4e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 14:18:47 2013 +0000

    Post release version bump to 1.12.15

 cairo-version.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0dac37c41473deafa4a2f154187c5c3d08b07c91
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 13:38:28 2013 +0000

    1.12.14 release

 NEWS            |   32 ++++++++++++++++++++++++++++++++
 cairo-version.h |    2 +-
 2 files changed, 33 insertions(+), 1 deletion(-)

commit 93ddc3a28308bcd9e062178ceb453f26e9228fc4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 13:13:31 2013 +0000

    tests: Update reference images after adjustments to polygon line clipping
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/clip-nesting.rgb24.ref.png            |  Bin 937 -> 936 bytes
 test/reference/record-fill-alpha.argb32.ref.png      |  Bin 2736 -> 0 bytes
 test/reference/record-fill-alpha.ref.png             |  Bin 2839 -> 2812 bytes
 test/reference/record-fill-alpha.rgb24.ref.png       |  Bin 2736 -> 0 bytes
 test/reference/record1414x-fill-alpha.argb32.ref.png |  Bin 4129 -> 0 bytes
 test/reference/record1414x-fill-alpha.rgb24.ref.png  |  Bin 4129 -> 0 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png    |  Bin 5715 -> 0 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png     |  Bin 5715 -> 0 bytes
 test/reference/record90-fill-alpha.argb32.ref.png    |  Bin 2651 -> 0 bytes
 test/reference/record90-fill-alpha.rgb24.ref.png     |  Bin 2651 -> 0 bytes
 test/reference/rel-path.rgb24.ref.png                |  Bin 216 -> 216 bytes
 11 files changed, 0 insertions(+), 0 deletions(-)

commit d4651676e1496f0354acb0ef045e8b65601edf6d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 22:17:13 2013 +0000

    win32: Clear the similar-image before returning to the user
    
    Our userspace API mandates that surfaces created for the user are
    cleared before they are returned. Make it so for the win32 similar image
    constructor.
    
    Reported-by: Michael Henning <drawoc@darkrefraction.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=60519
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-display-surface.c |   10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 2d7ac9e737f37daf8490c27e6a04c65bba642645
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 15:19:14 2013 +0000

    xlib: Only apply the dst offset to the glyph strings once
    
    The elts offset is a delta from the previous glyph coordinate. So by
    subtracting the dst origin everytime, we were accumulating a glyph
    position error. Instead we just want to offset the starting coordinate
    and then always use relative positions.
    
    Reported-by: Theo Veenker <T.J.G.Veenker@uu.nl>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ea16302e45ced56e6f12b8520e9f530e1ffc68c4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 13:22:01 2013 +0000

    polygon: Avoid computing the unused intersection coordinates
    
    If we only ignore the result of the computed boundary intersection,
    because the edge is inside that boundary, then we can simply forgo the
    calculation.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-polygon.c |   13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 8cfbdf2f02ba01d5638a91c9f3f7fc228b402caa
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 13:10:25 2013 +0000

    polygon: Only rely on the computed boundary intersections for crossing edges
    
    If we need to extrapolate the edge to the boundary, then we run the risk
    of an overflow for an immaterial result. So if the edge does not cross
    the boundary, we can simply use the corresponding end-point and not emit
    the boundary segment.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=60489
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-polygon.c |   35 +++++++++++++++++++++++++----------
 1 file changed, 25 insertions(+), 10 deletions(-)

commit 607a15db5df04d10e5be6d06599ec4e9d98d2446
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 21:40:30 2013 +0000

    gl: Mark up _cairo_gl_composite_set_operator* as private
    
    Add the cairo_private markup to hide the PLT entries and to keep make
    check happy.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-private.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 562cc8227feb99b75fb53df7800df66887be129d
Author: Ravi Nanjundappa <ravi.nanjundappa@gmail.com>
Date:   Mon Feb 6 10:56:55 2012 +0530

    gl/spans: Handle SOURCE operations with opaque sources.
    
    SOURCE operations with an opaque are equivalent to OVER.
    This can prevent us from falling back in certain cases.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-spans-compositor.c |    7 +++++++
 1 file changed, 7 insertions(+)

commit 4b6b28b5e8b9020c72a60b01ff3340a70dd59478
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 10:00:47 2013 +0000

    win32: Fix is_win98()
    
    Since the translation into a separate function, its condition was
    reversed: that is almost everybody thought they were on a win98 machine
    and so had no working AlphaBlend().
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-device.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4b54c09c056e5dee65f2cf4e87835eb9127e5b1c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 22:16:12 2013 +0000

    image: Substitute OVER spans for SOURCE with an opaque pattern
    
    Based on an idea from Ravi Nanjundappa
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c |   12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 400ea9c2905461067df9e6d27c2e961d47f04676
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Wed Feb 6 12:53:14 2013 -0800

    gl/msaa: Properly fall back when using CLEAR operator
    
    There are some situations that the MSAA compositor doesn't support using
    the CLEAR operator. We should properly fall back in those cases.

 src/cairo-gl-msaa-compositor.c |    7 +++++++
 1 file changed, 7 insertions(+)

commit 7bee1962f601009c507f987838de1a9dec3d9334
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Feb 5 21:57:52 2013 +1030

    type1-subset: in latin subsets replace glyph names with standard names
    
    When using WinAnsiEncoding in PDF the glyphs are keyed by glyph
    name. We need to ensure the correct names are used and can't assume
    the glyph names in the font are correct.
    
    Bug 60248

 src/cairo-type1-subset.c |   19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 4cb181d985adbbf79e80ff695adc908810b41544
Author: Henry Song <henry.song@samsung.com>
Date:   Tue Jan 29 17:53:38 2013 +0000

    gl: do not force flush everytime uploading a glyph image to glyph cache
    
    In normal cases, we want to flush pending operations reading from the
    texture before modifying its contents.  However during uploading of
    glyphs into the glyph cache, we repeatedly modify the texture as we
    construct the vbo (whilst referencing it for that operation). We track
    unused areas in the glyph cache so that if we run out of space, we can
    explicitly flush the pending glyphs and start afresh and avoid having to
    flush the operation in common case.

 src/cairo-gl-glyphs.c           |    2 +-
 src/cairo-gl-private.h          |    3 ++-
 src/cairo-gl-spans-compositor.c |    2 +-
 src/cairo-gl-surface-legacy.c   |    7 ++++---
 src/cairo-gl-surface.c          |   16 ++++++++++------
 src/cairo-gl-traps-compositor.c |    9 ++++++---
 6 files changed, 24 insertions(+), 15 deletions(-)

commit 260c16331a2c7bedbcf35d7f2cbab2f1f4098c87
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 4 10:43:13 2013 +0000

    gl: Include the vertex ident in the shader cache hash
    
    As we may specialise the vertex program depending upon details of the
    fragment shader, and may have more than one program for the same
    combination of fragment sources, we need to include the vertex tag in
    the cache entry.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-shaders.c |   49 +++++++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 19 deletions(-)

commit 05ad89f91241b386f72f5b9bac3ebe62faff1d1b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 3 16:51:35 2013 +0000

    gl: Replace manual vertex transformation with VS computation of texcoords
    
    Not only is our point transformation code is quite slow (well at least
    compared to a real GPU), but by deriving the texture coordinates from
    the vertex position we can elide the multiple arrays that we need to
    construct and pass to GL - improving performance by eliminating CPU
    overhead from needless transforms and data shovelling.
    
    However, not all vertex emission is suitable. For instance, for glyphs
    we need to emit discontiguous texture coordinates for each glyph, but
    span generation is suitable - which fortuitously also has the largest
    vertex density and so benefits the most.
    
    The only real concern is for hardware without true vertex shader support
    (e.g. i915) but there we are already invoking the VS to transform the
    vertex into the viewport. We would need to eliminate that transform as
    well as manually compute the texture coordinates in order to eliminate
    the vertex recomputation pass.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-composite.c        |   70 +++++++++++++++++++++++++++++----------
 src/cairo-gl-msaa-compositor.c  |   21 ++++++++----
 src/cairo-gl-operand.c          |   67 +++++++++++++++++++++++++++----------
 src/cairo-gl-private.h          |   24 +++++++++-----
 src/cairo-gl-shaders.c          |   31 ++++++++++++-----
 src/cairo-gl-source.c           |    3 +-
 src/cairo-gl-spans-compositor.c |    6 ++--
 src/cairo-gl-traps-compositor.c |    3 +-
 8 files changed, 162 insertions(+), 63 deletions(-)

commit d15a71f128c73ce1da19e6ff5a4e2fe044b58749
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 3 12:51:13 2013 +0000

    qt: Update for fallback compositor
    
    We now need to explicitly manage fallbacks and to provide an
    implementation for map-to-image/unmap-image.

 src/cairo-qt-surface.cpp |  210 ++++++++++++++++++++++++++++++----------------
 1 file changed, 140 insertions(+), 70 deletions(-)

commit 10110d58cee179cded8e4c4ff8a8d02c477585bd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Feb 2 08:47:26 2013 +0000

    surface: Prevent reads from the user-data arrays during teardown
    
    In a similar fashion to the previous commit, we also need to be wary of
    users simply trying to read from a potentially freed user-data array.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 18cff63e3d288bf2d7773760f2ab25c80a4a2bc1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Feb 2 08:47:26 2013 +0000

    surface: Prevent writes to the user-data arrays during teardown
    
    As we cleanup the user-data arrays, we call the user provided destroy
    notifier callbacks. These callbacks are at liberty to write back into
    the parent surface, and in particular try to write into the arrays that
    we have just freed. This causes hard to control and fairly unpredictable
    use-after-frees in the client, so lets just rule out the dangerous
    behaviour.
    
    References:https://bugzilla.mozilla.org/show_bug.cgi?id=722975
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-surface.c |    9 +++++++++
 1 file changed, 9 insertions(+)

commit c391093f40472c2300f38d0e5857858f85586b60
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 16:31:49 2013 +0000

    image: Add a convenience function for creating an image from another's data
    
    The GL backend would like to extract a rectangle from another surface
    and convert it to a different pixel format. The
    _cairo_image_surface_create_from_image() does that by returning a new
    image that has the contents of the specified rectangle in the source
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface-private.h |    7 +++++
 src/cairo-image-surface.c         |   55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

commit 15830fdb1087f18dcd6351de1034a5025b8ed343
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 18:50:39 2013 +0000

    NEWS: fix a couple of typos
    
    Reported-by: Thierry Vignaud

 NEWS |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 28dbafd5643fcf637a556fc196b5b984d44d151d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 16:23:24 2013 +0000

    Post release version bump to 1.12.13

 cairo-version.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a201a1169f472e822a66275b7dffe62f241d8ec0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 15:24:33 2013 +0000

    1.12.12 release

 NEWS            |   24 ++++++++++++++++++++++++
 cairo-version.h |    2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 350f9fb5366079113eb8bca947d480362c3ae6be
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 15:15:03 2013 +0000

    test: Refresh refs for aa noise following reduction of the 2-stage compositing
    
    A side effect of
    
    commit c986a7310bb06582b7d8a566d5f007ba4e5e75bf
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Thu Jan 24 08:55:54 2013 +0000
    
        image: Enable inplace compositing with opacities for general routines
    
    is that we should in theory be reducing the rounding errors when
    compositing coverage.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/bug-source-cu.rgb24.ref.png                     |  Bin 3211 -> 3211 bytes
 test/reference/clip-stroke-unbounded.argb32.ref.png            |  Bin 4128 -> 4127 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png             |  Bin 3546 -> 3566 bytes
 test/reference/mask.argb32.ref.png                             |  Bin 8579 -> 8565 bytes
 test/reference/mask.rgb24.ref.png                              |  Bin 7127 -> 7135 bytes
 test/reference/record-paint-alpha-clip-mask.argb32.ref.png     |  Bin 340 -> 0 bytes
 test/reference/record-paint-alpha-clip-mask.ref.png            |  Bin 333 -> 318 bytes
 test/reference/record-paint-alpha-clip-mask.rgb24.ref.png      |  Bin 340 -> 0 bytes
 test/reference/record-text-transform.argb32.ref.png            |  Bin 5579 -> 0 bytes
 test/reference/record-text-transform.rgb24.ref.png             |  Bin 5579 -> 0 bytes
 test/reference/record1414x-text-transform.ref.png              |  Bin 8706 -> 8365 bytes
 test/reference/record2x-text-transform.ref.png                 |  Bin 13476 -> 13072 bytes
 test/reference/record90-paint-alpha-clip-mask.argb32.ref.png   |  Bin 343 -> 0 bytes
 test/reference/record90-paint-alpha-clip-mask.ref.png          |  Bin 0 -> 316 bytes
 test/reference/record90-paint-alpha-clip-mask.rgb24.ref.png    |  Bin 343 -> 0 bytes
 test/reference/record90-paint-alpha-clip.argb32.ref.png        |  Bin 296 -> 0 bytes
 test/reference/record90-paint-alpha-clip.ref.png               |  Bin 0 -> 320 bytes
 test/reference/record90-paint-alpha-clip.rgb24.ref.png         |  Bin 296 -> 0 bytes
 test/reference/record90-text-transform.argb32.ref.png          |  Bin 5811 -> 0 bytes
 test/reference/record90-text-transform.ref.png                 |  Bin 0 -> 5481 bytes
 test/reference/record90-text-transform.rgb24.ref.png           |  Bin 5811 -> 0 bytes
 test/reference/recording-surface-extend-none.argb32.ref.png    |  Bin 3051 -> 3153 bytes
 test/reference/recording-surface-extend-none.rgb24.ref.png     |  Bin 3128 -> 3145 bytes
 test/reference/recording-surface-extend-pad.argb32.ref.png     |  Bin 10822 -> 11200 bytes
 test/reference/recording-surface-extend-pad.rgb24.ref.png      |  Bin 12582 -> 12586 bytes
 test/reference/recording-surface-extend-reflect.argb32.ref.png |  Bin 23518 -> 23967 bytes
 test/reference/recording-surface-extend-reflect.rgb24.ref.png  |  Bin 23881 -> 23930 bytes
 test/reference/recording-surface-extend-repeat.argb32.ref.png  |  Bin 24047 -> 24091 bytes
 test/reference/recording-surface-extend-repeat.rgb24.ref.png   |  Bin 24038 -> 24075 bytes
 test/reference/recording-surface-over.argb32.ref.png           |  Bin 0 -> 3153 bytes
 test/reference/recording-surface-over.rgb24.ref.png            |  Bin 3128 -> 3145 bytes
 test/reference/recording-surface-source.argb32.ref.png         |  Bin 3044 -> 3153 bytes
 test/reference/recording-surface-source.rgb24.ref.png          |  Bin 3133 -> 3146 bytes
 test/reference/stroke-clipped.ref.png                          |  Bin 5886 -> 5790 bytes
 34 files changed, 0 insertions(+), 0 deletions(-)

commit 22b7fae0368ba6cff23b2ebdf58bd7d1bfdfbd6f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 14:19:53 2013 +0000

    image: Add a reference for the clone's parent image
    
    We use the parent as a flag during map-to-image/umap-image that the
    resultant image came from a fallback rather than as direct call
    to the backend's map_to_image(). Whilst we use it as a simple flag,
    we need to make sure the parent surface obeys the reference counting
    semantics and is consistent for all callers.
    
    Unlike other users of the parent pointer, there is no resource sharing
    between the two surfaces.
    
    Reported-by: Henry Song <henry.song@samsung.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface.c |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit ec58fde294afd52c89fa5ed21ba2611edfdbd550
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 14:06:48 2013 +0000

    perf: Synchronize before stopping the timers
    
    Fixes a regression from
    
    commit 2855ff4666922f2c38505414270d47f659b0d499
    Author: Andrea Canciani <ranma42@gmail.com>
    Date:   Wed Aug 31 16:42:03 2011 +0200
    
        perf: Reuse cairo-time
    
    which dropped the essential call to synchronize when refactoring the
    code.
    
    Reported-by: Siarhei Siamashka <siarhei.siamashka@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-perf.c |    3 +++
 1 file changed, 3 insertions(+)

commit 2560c0b6577a6380ef175cf18bb804913784632c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 23:51:44 2013 +0000

    xlib/shm: More clarification of seqno required
    
    Everytime I read the predicate wrong, but hopefully, this time I have it
    right!
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface-shm.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 91834fbdee40f46e18d071fd2671a7a642e6aa86
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 22:12:00 2013 +0000

    xlib/shm: Clarify testing of seqno
    
    Rename the seqno tests into seqno_passed(), seqno_before() and
    seqno_after() in order to clarify their semantics.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c      |    2 +-
 src/cairo-xlib-surface-shm.c |   20 ++++++++++++++++----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit 89092b97b50a7740058d0f72f94dfc6defe15ed6
Author: Henry Song <henry.song@samsung.com>
Date:   Tue Jan 29 13:21:00 2013 -0800

    gl/msaa: Don't emit alpha when emitting vertices
    
    The color attribute is disabled when not in spans mode, so the emitted
    alpha is simply overwritten by the next vertex. Additionally, this can
    potentially cause the alpha to be written past the end of the buffer.

 src/cairo-gl-composite.c |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit 74a19c527c1fa07ade2042a8d2acecbb5f6ccab1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 10:31:05 2013 +0000

    configure: Include X11.h before testing for usability of Xrender.h
    
    On Solaris at least, the Xrender.h header is not standalone and requires
    X11/X.h to be included first to define the essential types.
    
    Reported-by: Andreas F. Borchert <bugzilla@andreas-borchert.de>
    Bugzilla; https://bugs.freedesktop.org/show_bug.cgi?id=58199
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 configure.ac |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 41ae904461e344fbfa3be3d276a7102bb4304b19
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 03:52:02 2013 +0000

    xlib/shm: Appease the compiler for a 'maybe used uninitialised' variable
    
    Initialise shm during its declaration so that it is indeed initialised
    for the cleanup after every path.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9b92625151ca75a6ee10f231f83b53f67a371947
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 03:49:56 2013 +0000

    xlib/shm: Simplify uploading of SHM image data
    
    Make sure that we simply copy from the SHM segment into the target
    drawable, and not inadvertently stage it through another SHM buffer.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c |   22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit c006b886d28a772d7a62cec52ab7e0c8196c36f6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 03:01:31 2013 +0000

    xlib/shm: Force synchronisation for scratch SHM image buffers
    
    The scratch image buffers are used for uploads to the xserver and so we
    must be careful not to overwrite active SHM segments. Unfortunately we
    told the core SHM allocator that we would sync before using the images,
    which was a lie.
    
    Reported-by: Michael Natterer <mitch@gimp.org>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface-shm.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd59e6d86a3a1fc6720316f20deb8a0bd6f7b767
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 03:00:46 2013 +0000

    xlib/shm: Always request a CompletionEvent from ShmPutImage
    
    ...and treat is as an expected event for synchronisation.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface-shm.c |   11 +++--------
 src/cairo-xlib-surface.c     |    3 +--
 2 files changed, 4 insertions(+), 10 deletions(-)

commit a364a106b257c4493ba7b3badacc63599ba6064a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 02:52:10 2013 +0000

    xlib/shm: Tidy up destroying the mempool for a shm block
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface-shm.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02a2baa8dcf49ad2d9766d43578ba216fab0d464
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 02:51:25 2013 +0000

    xlib/shm: Tidy creation of the proxy source for ShmPixmaps
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c |   10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 30e950515171b25d9bc3da8d535cfe05d8be69c8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 02:49:26 2013 +0000

    xlib/shm: Skip creating new SHM segments if the data is already in the xserver
    
    If the image is already inside a SHM segment, but the image format does
    not match the surface, fallback to the XRender paths in order to perform
    colorspace conversion on the data already inside the Xserver.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 1d1af825bb4fcfd7c4a54b65292734ba244e096d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 29 02:47:48 2013 +0000

    xlib/shm: Tighten mark-active to the actual CopyArea on the ShmPixmap
    
    Along the draw_image_boxes() upload path, we were actually marking the
    ShmPixmap as still active for the subsequent drawing operation - which
    could in theory never be submitted...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-render-compositor.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3c18bae20ee2fea24d75f6986390ef8157d0207d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 28 10:03:54 2013 +0000

    perf; Do not allow the backends to optimize away the clear before sync
    
    The importance of writing to the scratch surface before retrieving an
    image is that it makes that the write lands in the server queue, as well
    as the GetImage, in order to serialise the timer against all the
    operations.
    
    Reported-by: Siarhei Siamashka <siarhei.siamashka@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/cairo-perf-trace.c |   10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit d9d5adec256b3935e4f261d81c37c77a2649248b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 27 16:51:52 2013 +0000

    image: And more fallout from c986a73, restore the absent short runs
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c |   34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 1ba9fb6fadcc1cb619af0ef974dffb0ff8672244
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 27 16:15:35 2013 +0000

    Mark _cairo_path_is_simple_quad as private
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-path-fixed-private.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d105f215a9c62f5b60541da209bf71182a2e9df
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 27 16:29:44 2013 +0000

    image: Fix opaque span fills
    
    I should have realised the previous result was too good to be true!
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c986a7310bb06582b7d8a566d5f007ba4e5e75bf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 24 08:55:54 2013 +0000

    image: Enable inplace compositing with opacities for general routines
    
    On a SNB i5-2500:
    
    Speedups
    ========
             firefox-chalkboard  34284.16 -> 19637.40:  1.74x speedup
             swfdec-giant-steps    778.35 ->   665.37:  1.17x speedup
                      ocitysmap    485.64 ->   431.94:  1.12x speedup
    
    Slowdowns
    =========
               firefox-fishbowl  46878.98 -> 54407.14:  1.16x slowdown
    
    That slow down is due to overhead of the increased number of calls to
    pixman_image_composite32() (pixman_transform_point for analyzing the
    source extents in particular) outweighing any advantage gained by
    performing the rasterisation in a single pass and eliding gaps. The
    solution that has been floated in the past is for an interface into
    pixman to only perform the analysis once and then to return a kernel to
    use for all spans.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c         |  190 ++++++++++++++++++++++++++++------
 src/cairo-spans-compositor-private.h |    2 +-
 2 files changed, 162 insertions(+), 30 deletions(-)

commit cfe0e59663c71a6ecd0c976797ac32339e363af2
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Jan 22 20:09:01 2013 -0800

    gl/msaa: Add a fast path for fills that are simple quads
    
    Instead of invoking Bentley-Ottman for fills that are simple
    quadrilaterals, just pass the geometry straight to OpenGL.

 src/cairo-gl-msaa-compositor.c |   45 +++++++++++--
 src/cairo-path-fixed-private.h |   17 +++++
 src/cairo-path-fixed.c         |  136 ++++++++++++++++++++++++++++++----------
 3 files changed, 158 insertions(+), 40 deletions(-)

commit 1e3424cfd1fea3f9aa2b1c8af4bb72239a94f365
Author: Henry Song <henry.song@samsung.com>
Date:   Tue Jan 22 14:54:38 2013 -0800

    gl: Use GL_ALPHA textures for CAIRO_CONTENT_ALPHA glyph caching
    
    It's safe to us GL_ALPHA for glyph caching surfaces, since Cairo only
    uses them for texture uploading. This saves a little bit of memory.

 src/cairo-gl-glyphs.c  |   16 ++++++++--------
 src/cairo-gl-private.h |    6 ++++++
 src/cairo-gl-surface.c |   38 +++++++++++++++++++++++++++++++-------
 3 files changed, 45 insertions(+), 15 deletions(-)

commit a44b8bd70683a92d862b11c2d7359ce2b0a6a968
Author: Henry Song <henry.song@samsung.com>
Date:   Fri Jan 25 12:45:10 2013 -0800

    gl: Fix typos in multisampling detection
    
    Instead of looking for the EXT_framebuffer_multisample, this code should
    look for GL_EXT_framebuffer_multisample. GL_ARB_framebuffer_object also
    contains all necessary API for using multisampling, so we don't need to
    check for both it and the GL_EXT_framebuffer_blit and
    GL_EXT_framebuffer_multisample pair.

 src/cairo-gl-device.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bb4072046016610a510373df3b67cdeb2ac1b583
Author: Henry Song <henry.song@samsung.com>
Date:   Fri Jan 25 11:55:10 2013 -0800

    gl/msaa: Fix a memory leak in _clip_to_traps
    
    We need to clean up the polygon we create when decomposing a path into
    trapezoids.

 src/cairo-gl-msaa-compositor.c |    2 ++
 1 file changed, 2 insertions(+)

commit 7054c9969cb0e41845635d6658935da223899f08
Author: Henry Song <henry.song@samsung.com>
Date:   Wed Jan 16 15:32:32 2013 +0100

    gl: Don't query the display when checking if the context changed
    
    If display has changed, the associated context must change. A
    context is tied a display so we can avoid this check, eliminating
    unnecessary work during context acquisition and release.

 src/cairo-egl-context.c |   13 ++++---------
 src/cairo-glx-context.c |   13 ++++---------
 2 files changed, 8 insertions(+), 18 deletions(-)

commit fa4f48cccb6c7f4e1afb2ff4b98b906b7d8d4afc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jan 23 15:04:26 2013 +0000

    xlib: Do not upload the whole image just because we want an entire row
    
    Fixes regression exposed by
    
    commit a73e7ff0186176bc82cd3ae1432c054c1fd3aebd
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Sun Jan 6 11:29:27 2013 +0000
    
        xlib: Simplify source creation by use of map-to-image
    
    but ultimately from
    
    commit 74941f822015cc50cd8477d0cf97f1a70dbff60b
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Wed Jan 2 22:27:55 2013 +0000
    
        xlib: Use SHM transport for ordinary image uploads
    
    Reported-by: Gökçen Eraslan <gokcen.eraslan@gmail.com>
    Reported-by: Guillaume Ayoub <guillaume.ayoub@kozea.fr>
    Reported-by: Emmanuel Benisty <benisty.e@gmail.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=59635
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c  |    8 +++++++-
 src/cairo-xlib-surface.c |   24 +++++++++++-------------
 2 files changed, 18 insertions(+), 14 deletions(-)

commit ed2fa6b16b03fccc3e21598cdb9157cbcebd1d37
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jan 16 20:58:46 2013 +0000

    version: Post-release bump to 1.12.11

 cairo-version.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d6204c67d4d0d9c5d03087c4c1609a81ef1fdb7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jan 16 20:22:38 2013 +0000

    1.12.10 release

 NEWS            |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |    2 +-
 2 files changed, 50 insertions(+), 1 deletion(-)

commit 1dfea39841fc6d545e45420b1999239f29556c05
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Jan 15 17:12:23 2013 -0800

    gl: Follow up fix for the previous commit
    
    Handle "fake" surfaces created by _cairo_gl_pattern_to_source which just
    embed a GL backend operand. These surfaces do not have a backend, so we
    should not fall back if a surface without a backend is not a texture
    surface.

 src/cairo-gl-operand.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 769ea3b2c757adc9f8f348fdc93bb46f35c2f6b8
Author: Henry Song <henry.song@samsung.com>
Date:   Wed May 2 21:54:55 2012 +0200

    gl: Support for non-texture sources and masks
    
    If a GL surface is not a texture and is used as source or mask,
    fall back to using an image surface as an intermediary.
    
    Fixes subsurface-image-repeat, subsurface-modify-child,
    subsurface-modify-parent, subsurface-outside-target, subsurface-pad,
    subsurface-reflect, subsurface-repeat, and subsurface-scale.

 src/cairo-gl-operand.c |    3 +++
 1 file changed, 3 insertions(+)

commit d01a502710296c9b15755f445f6fdda289a2df0b
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Tue Jan 15 12:07:33 2013 -0800

    gl/msaa: Check for more extensions before using MSAA
    
    The MSAA compositor is implicitly relying on the existence of several
    OpenGL extensions. This change makes those dependencies explicit.

 src/cairo-gl-device.c |   33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 768b81b78eabbebb1bb443355441cac567739035
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 14 03:27:11 2013 +0000

    script: Set decompression length prior to calling decompressors
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=59224
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-operators.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6639c1231072d71d33eb0952bae5f95e7480cd0d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 13 22:48:30 2013 +0000

    xlib: Initialise Pixmap for proxy sources
    
    So that we do not try to tell X to free a garbage pixmap and promptly
    kill us.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fd34f420ec3ba02eb39f22f6551705ab23ebfc28
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 13 18:16:17 2013 +0000

    compositor: Pass back the internal failure
    
    In order to pass back a CAIRO_INT_STATUS_UNSUPPORTED, we need to use the
    internal error surface creation functions as they do not assert on
    private error codes.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mask-compositor.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 14c32ee1cf6bfcaeb07d50a80b6d5a388a1f2885
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 13 18:11:31 2013 +0000

    compositor: Convert image surface into backend source
    
    Before passing a surface to the backend composite functions, they expect
    them to be a native source. The copy'n'paste code for the mask
    compositor forgot to perform the conversion upon the clip surfaces,
    which originally were native to the backend and are now images.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mask-compositor.c |   61 ++++++++++++++++++++++++++++++++-----------
 1 file changed, 46 insertions(+), 15 deletions(-)

commit 7012334ebb424b619312e1fa397cc3b8a3ffd770
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jan 13 17:20:24 2013 +0000

    xlib: Handle lack of XRenderFillRectangles
    
    Remember to check for a supported render version before making a
    FillRectangle request, and fallback to the core protocol where possible
    instead.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-core-compositor.c   |   79 +++++++++++++++++++++++++++---------
 src/cairo-xlib-private.h           |   15 ++++++-
 src/cairo-xlib-render-compositor.c |   30 +++++++++++---
 src/cairo-xlib-source.c            |   70 +++++++++++++++++++++++++++-----
 4 files changed, 157 insertions(+), 37 deletions(-)

commit 503b6b9e2ea65805a77d527c00cf242ec86d479b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jan 11 13:10:56 2013 +0000

    xlib: Only fallback through the mask intermediate if we can composite the mask
    
    Before rendering into the mask, we should first check whether the
    subsequent call to composite the mask will trigger a fallback. In that
    case, we should fallback earlier and do the operation in place.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-compositor-private.h     |    3 +++
 src/cairo-mask-compositor.c        |   27 +++++++++++++++++++++++----
 src/cairo-xlib-render-compositor.c |   24 ++++++++++++------------
 3 files changed, 38 insertions(+), 16 deletions(-)

commit 1bcd59ef4c9dceaefa51ec6db1f5240d75940724
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Wed Jan 9 14:16:59 2013 -0800

    gl/msaa: Rely on the stencil buffer to cache the clip
    
    When using a texture surface the depth/stencil buffer is private to
    cairo so we can rely on the fact that any previously painted clip is
    still valid.
    
    We also only scissor when there's a previously painted clip on the
